Bug 1193929 - GlusterFS can be improved
Summary: GlusterFS can be improved
Keywords:
Status: POST
Alias: None
Product: GlusterFS
Classification: Community
Component: unclassified
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1576814 1576815 1576816
TreeView+ depends on / blocked
 
Reported: 2015-02-18 15:06 UTC by Jeff Darcy
Modified: 2019-10-17 09:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1576814 1629877 1679998 (view as bug list)
Environment:
Last Closed: 2019-10-10 11:23:38 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 20633 None Merged coding-standard: memset before string functions similar to sprintf/snprintf etc 2018-11-26 05:40:28 UTC
Gluster.org Gerrit 20894 None Abandoned glfs-fops.c, glfs.c: strncpy() -> sprintf(), reduce strlen()'s 2019-10-05 14:39:49 UTC
Gluster.org Gerrit 20897 None Abandoned extras/geo-rep/gsync-sync-gfid.c: move from strlen() to sizeof() 2019-10-05 14:40:58 UTC
Gluster.org Gerrit 20900 None Abandoned bit-rot xlator: strncpy()->sprintf(), reduce strlen()'s 2019-10-05 14:41:57 UTC
Gluster.org Gerrit 21178 None Open AFR xlator: use dict_{setn|getn|deln|get_int32n|set_int32n|set_strn} 2018-12-17 11:39:58 UTC
Gluster.org Gerrit 21238 None Open doc: add a new contributor 'hints' guide 2018-11-06 05:43:46 UTC
Gluster.org Gerrit 21328 None Abandoned nufa and switch: remove from build 2019-02-06 19:35:48 UTC
Gluster.org Gerrit 21452 None Open libglusterfs multiple files: remove dead initilization 2018-11-12 03:18:50 UTC
Gluster.org Gerrit 21470 None Open xlator: add generic option parsing framework 2018-11-02 06:25:23 UTC
Gluster.org Gerrit 21502 None Open build/packaging: el-X (x > 7) isms 2018-10-30 05:04:44 UTC
Gluster.org Gerrit 21503 None Open glusterfsd: Make each multiplexed brick sign in 2018-11-12 04:10:29 UTC
Gluster.org Gerrit 21536 None Open logging: create parent dir if not available 2018-11-06 04:18:23 UTC
Gluster.org Gerrit 21541 None Open libglusterfs/src/iobuf.c: remove some if statements 2018-11-06 04:19:39 UTC
Gluster.org Gerrit 21542 None Open libglusterfs/src/iobuf.c: take the pool lock once in new pool 2018-11-06 04:20:36 UTC
Gluster.org Gerrit 21543 None Open libglusterfs/src/iobuf.c: where possible, pass the index parameter 2018-11-06 04:20:06 UTC
Gluster.org Gerrit 21567 None Open tests/interrupt.t: remove 'stripe' volume type 2018-11-06 11:00:45 UTC
Gluster.org Gerrit 21571 None Open cluster/afr: s/uuid_is_null/gf_uuid_is_null 2018-11-07 02:48:11 UTC
Gluster.org Gerrit 21573 None Open libglusterfs/src/iobuf.c: don't forget to unlock a mutex 2018-11-07 02:40:23 UTC
Gluster.org Gerrit 21581 None Open libglusterfs/src/iobuf.c: small refactor to re-use code. 2018-12-05 04:00:08 UTC
Gluster.org Gerrit 21591 None Open rpc-clnt*: several code changes to reduce conn lock times 2018-11-12 03:25:40 UTC
Gluster.org Gerrit 21592 None Open rpc/rpc-lib/src/rpc-clnt.c: unlock sooner, if we fail to connect. 2018-11-15 05:04:49 UTC
Gluster.org Gerrit 21597 None Open cli: avoid unnecessary strtail for geo rep config. 2018-11-11 15:46:24 UTC
Gluster.org Gerrit 21599 None Open core: fix strncpy warnings 2018-11-08 12:52:27 UTC
Gluster.org Gerrit 21609 None Abandoned libglusterfs/src/mem-pool.h: properly align structures 2019-02-22 19:30:30 UTC
Gluster.org Gerrit 21613 None Open core: fix strncpy warnings 2018-11-15 05:07:41 UTC
Gluster.org Gerrit 21615 None Open core: fix strncpy warnings 2018-11-15 05:06:15 UTC
Gluster.org Gerrit 21629 None Abandoned mem-pool.{c|h}: mem-pool small cleanups, const, static & code re-order 2019-03-21 15:44:08 UTC
Gluster.org Gerrit 21637 None Open glusterd/snapshot: copy-paste typo 2018-11-13 14:27:59 UTC
Gluster.org Gerrit 21657 None Open libglusterfs/src/mem-types.h: remove unused common enums from mem-types.h 2018-12-31 05:10:26 UTC
Gluster.org Gerrit 21663 None Open libglusterfs/src/common-utils.h: faster mem_0filled() function 2018-11-20 03:12:12 UTC
Gluster.org Gerrit 21666 None Open core: fix strncpy, coverity annotation 2018-11-19 15:10:38 UTC
Gluster.org Gerrit 21704 None Open Coverity fix for calling risky function - fscanf 2018-11-24 17:22:58 UTC
Gluster.org Gerrit 21710 None Open rpc *.h fles: align structs 2018-12-03 05:54:12 UTC
Gluster.org Gerrit 21714 None Open xlators/mgmt/glusterd/src/glusterd-volgen.c: use dict_ new functions 2018-12-05 08:49:12 UTC
Gluster.org Gerrit 21715 None Open libglusterfs/src/dict.c : consistent initialization of parameters. 2018-11-27 05:30:54 UTC
Gluster.org Gerrit 21727 None Open mem-pool: minor fix and clarification 2018-11-28 03:10:13 UTC
Gluster.org Gerrit 21728 None Open core: ctx calls naked calloc() 2018-11-28 18:16:26 UTC
Gluster.org Gerrit 21729 None Open glusterd: volume-ops calls naked malloc 2018-11-28 04:23:32 UTC
Gluster.org Gerrit 21746 None Open libglusterfs: Move devel headers under glusterfs directory 2018-12-05 21:48:06 UTC
Gluster.org Gerrit 21754 None Open Multiple xlator .h files: remove unused private gf_* memory types. 2018-11-30 11:51:56 UTC
Gluster.org Gerrit 21772 None Abandoned Multiple fuse related files: several modifications 2019-04-21 19:30:35 UTC
Gluster.org Gerrit 21775 None Open Multiple posix related files: several modifications 2018-12-14 04:54:22 UTC
Gluster.org Gerrit 21794 None Open tests/geo-rep: Mask failure of geo-rep arbiter test 2018-12-05 15:35:35 UTC
Gluster.org Gerrit 21830 None Abandoned cli* files: several minor fixes 2019-06-19 19:30:33 UTC
Gluster.org Gerrit 21833 None Abandoned dict.c/h : hack for int32 - do not convert to string. 2019-03-16 19:30:34 UTC
Gluster.org Gerrit 21846 None Open afr: some minor itable related cleanups 2018-12-12 23:03:47 UTC
Gluster.org Gerrit 21865 None Open xlators/cluster/afr/src/afr-self-heal-common.c: remove a variable array. 2018-12-14 16:48:24 UTC
Gluster.org Gerrit 21867 None Open xlators/cluster/afr/src/afr-self-heal-common.c: remove a variable array. 2018-12-18 06:55:40 UTC
Gluster.org Gerrit 21871 None Abandoned dict.c/h: mulitple changes 2019-03-21 15:44:36 UTC
Gluster.org Gerrit 21891 None Open run-tests.sh: add buffer time for retried tests 2018-12-19 13:10:59 UTC
Gluster.org Gerrit 21909 None Open libglusterfs/src/iobuf.c: remove redundant NULL checks 2018-12-20 20:06:23 UTC
Gluster.org Gerrit 21920 None Abandoned fd.c : remove redundant checks 2019-03-01 18:10:44 UTC
Gluster.org Gerrit 21923 None Open inode.c and related files: remove redundant NULL checks 2018-12-24 21:24:12 UTC
Gluster.org Gerrit 21929 None Abandoned Many files: redo include files. 2019-03-21 15:45:01 UTC
Gluster.org Gerrit 21936 None Open barrier: replace boolean-switch statement with if/else 2018-12-28 03:44:33 UTC
Gluster.org Gerrit 21940 None Open all: toward better string copies 2018-12-27 17:16:36 UTC
Gluster.org Gerrit 21951 None Open Multiple files: reduce work while under lock. 2019-01-29 09:28:10 UTC
Gluster.org Gerrit 21956 None Open configure: fix the duplicate CFLAGS options 2019-01-11 07:46:59 UTC
Gluster.org Gerrit 21971 None Open all: toward better string copies 2019-01-01 20:37:12 UTC
Gluster.org Gerrit 21977 None Open timer-wheel: run the timer function outside of locked region 2019-01-09 02:54:28 UTC
Gluster.org Gerrit 21978 None Abandoned syncop: move CALLOC -> MALLOC 2019-04-09 19:30:35 UTC
Gluster.org Gerrit 21982 None Open extras: Add readdir-ahead to samba group command 2019-01-04 01:49:04 UTC
Gluster.org Gerrit 21987 None Open glfs-fops.c: fix the bad string length for snprintf 2019-01-07 09:21:18 UTC
Gluster.org Gerrit 22008 None Open tests: increase the timeout for distribute bug 1117851.t 2019-01-11 03:21:37 UTC
Gluster.org Gerrit 22074 None Open tests/bug-brick-mux-restart: add extra information 2019-01-24 05:47:44 UTC
Gluster.org Gerrit 22094 None Open core: make gf_thread_create() easier to use 2019-02-02 03:07:51 UTC
Gluster.org Gerrit 22114 None Open api: bad GFAPI_4.1.6 block 2019-01-30 07:01:52 UTC
Gluster.org Gerrit 22130 None Open syncop: remove unnecessary call to gf_backtrace_save() 2019-01-31 15:42:14 UTC
Gluster.org Gerrit 22157 None Open fuse: correctly handle setxattr values 2019-02-07 10:57:12 UTC
Gluster.org Gerrit 22159 None Open api: Update all future API versions to rel-6 2019-02-07 12:22:27 UTC
Gluster.org Gerrit 22171 None Open glusterd: improve logging 2019-02-08 15:46:16 UTC
Gluster.org Gerrit 22182 None Open fuse: reflect the actual default for lru-limit option 2019-02-11 13:40:01 UTC
Gluster.org Gerrit 22194 None Open logging.c: do not strlen() under lock. 2019-02-12 08:32:25 UTC
Gluster.org Gerrit 22196 None Open dht-shared.c: minor reduction of work under lock. 2019-02-14 11:58:14 UTC
Gluster.org Gerrit 22199 None Open auth-cache.c: minor reduction of work under lock. 2019-02-18 02:52:18 UTC
Gluster.org Gerrit 22200 None Open md-cache.c: minor reduction of work under lock. 2019-02-18 02:43:49 UTC
Gluster.org Gerrit 22201 None Open server.c: use dict_() funcs with key length. 2019-02-18 02:47:07 UTC
Gluster.org Gerrit 22207 None Open rfc.sh: fix the missing rebase issue 2019-02-13 11:53:19 UTC
Gluster.org Gerrit 22212 None Open docs: fix typo in Developer Guide Readme 2019-02-14 07:43:47 UTC
Gluster.org Gerrit 22213 None Open fuse lock interrupt: fix flock_interrupt.t 2019-03-05 02:49:45 UTC
Gluster.org Gerrit 22214 None Open upcall: some modifications to reduce work under lock 2019-02-19 15:30:03 UTC
Gluster.org Gerrit 22222 None Open leases-internal.c: minor reduction of work under lock. 2019-02-25 18:14:07 UTC
Gluster.org Gerrit 22233 None Open glusterd: fix get-state leak 2019-02-22 03:46:21 UTC
Gluster.org Gerrit 22257 None Open glusterfind: revert shebangs to #!/usr/bin/python3 2019-02-26 03:47:22 UTC
Gluster.org Gerrit 22274 None Open mem-pool.{c|h}: minor changes 2019-05-06 14:00:36 UTC
Gluster.org Gerrit 22275 None Open glusterfind: revert shebangs to #!/usr/bin/python3 2019-02-27 16:06:18 UTC
Gluster.org Gerrit 22277 None Abandoned logging.c: replace get_mem0() with get_mem() 2019-03-21 15:45:25 UTC
Gluster.org Gerrit 22278 None Open io-threads.c: Potentially skip a lock. 2019-02-27 20:08:53 UTC
Gluster.org Gerrit 22279 None Abandoned fd.c: try to skip a lock in fd_ref() 2019-03-01 07:59:32 UTC
Gluster.org Gerrit 22281 None Open Replace memdup() with gf_memdup() 2019-04-12 13:09:02 UTC
Gluster.org Gerrit 22291 None Abandoned fd.c : remove redundant checks, CALLOC -> MALLOC 2019-03-21 15:05:02 UTC
Gluster.org Gerrit 22292 None Abandoned inode.c/h: CALLOC->MALLOC 2019-03-21 15:45:50 UTC
Gluster.org Gerrit 22293 None Abandoned stack.h: alignment of structures and met_get0 -> mem_get 2019-03-21 15:46:26 UTC
Gluster.org Gerrit 22298 None Open packaging: s390x has RDMA support 2019-03-07 05:34:43 UTC
Gluster.org Gerrit 22302 None Open core: avoid dynamic TLS allocation when possible 2019-04-24 03:27:31 UTC
Gluster.org Gerrit 22312 None Open packaging: remove unnecessary ldconfig in scriptlets 2019-03-08 05:25:52 UTC
Gluster.org Gerrit 22328 None Abandoned tests/afr: add a test case for replica 4 config 2019-07-24 19:30:39 UTC
Gluster.org Gerrit 22329 None Open logging.c/h: aggressively remove sprintfs() 2019-04-25 04:14:06 UTC
Gluster.org Gerrit 22365 None Open mount/fuse: Fix spelling mistake 2019-03-15 15:19:57 UTC
Gluster.org Gerrit 22371 None Abandoned rpc* : move to use dict_n functions where possible 2019-07-01 19:30:36 UTC
Gluster.org Gerrit 22373 None Open glusterd-locks: misc. changes. 2019-03-20 04:47:36 UTC
Gluster.org Gerrit 22387 None Open changelog: remove unused code. 2019-04-03 04:37:11 UTC
Gluster.org Gerrit 22391 None Open build: link libgfrpc with MATH_LIB (libm, -lm) 2019-03-26 11:32:27 UTC
Gluster.org Gerrit 22394 None Open mem-pool: remove dead code. 2019-03-26 06:24:40 UTC
Gluster.org Gerrit 22406 None Open cluster/afr: Remove un-used variables related to pump 2019-03-26 05:54:06 UTC
Gluster.org Gerrit 22415 None Open graph.c: remove extra gettimeofday() - reuse the graph dob. 2019-04-15 02:25:59 UTC
Gluster.org Gerrit 22416 None Abandoned dict: functions to set/get a key based on its hash. 2019-07-20 19:10:38 UTC
Gluster.org Gerrit 22433 None Open rpc: Remove duplicate code 2019-03-28 09:31:20 UTC
Gluster.org Gerrit 22434 None Abandoned run-tests: check for rpc.statd instead of failing tests 2019-04-15 13:56:16 UTC
Gluster.org Gerrit 22439 None Open rpclib: slow floating point math and libm 2019-04-03 04:40:50 UTC
Gluster.org Gerrit 22454 None Open [WIP][RFC]dict.{c|h}: slightly reduce work under lock. 2019-03-31 20:52:19 UTC
Gluster.org Gerrit 22471 None Open build: conditional rpcbind for gnfs in glusterd.service 2019-04-01 13:10:19 UTC
Gluster.org Gerrit 22473 None Abandoned [WIP][RFC]mem-pool: set ptr to 0x0 after free'ed. 2019-05-01 20:25:51 UTC
Gluster.org Gerrit 22484 None Open glusterd: remove redundant glusterd_check_volume_exists () calls 2019-04-08 13:08:22 UTC
Gluster.org Gerrit 22492 None Open tests: shard read test correction 2019-04-03 11:38:06 UTC
Gluster.org Gerrit 22496 None Open cluster/afr: Invalidate inode on change of split-brain-choice 2019-04-05 09:49:29 UTC
Gluster.org Gerrit 22508 None Open tests: correctly check open fd's when gfid is missing 2019-04-10 11:15:14 UTC
Gluster.org Gerrit 22509 None Open ec: increase line coverage of ec 2019-04-10 04:32:38 UTC
Gluster.org Gerrit 22512 None Open glusterd-volgen.c: skip fetching skip-CLIOT in a loop. 2019-04-08 16:28:07 UTC
Gluster.org Gerrit 22528 None Open glusterd: remove glusterd_check_volume_exists() call 2019-04-11 15:20:52 UTC
Gluster.org Gerrit 22541 None Open glusterd-volgen.c: skip fetching some vol settings in a bricks loop. 2019-04-14 08:53:24 UTC
Gluster.org Gerrit 22580 None Open tests: Add changelog snapshot testcase 2019-05-02 03:24:37 UTC
Gluster.org Gerrit 22592 None Abandoned [DNM][RFE] Padding of structures. 2019-07-23 19:30:38 UTC
Gluster.org Gerrit 22593 None Open dht-common.h: reorder variables to reduce padding. 2019-07-15 08:18:17 UTC
Gluster.org Gerrit 22601 None Open options.c,h: minor changes to GF_OPTION_RECONF 2019-04-30 06:27:06 UTC
Gluster.org Gerrit 22623 None Open tests: improve and fix some test scripts 2019-05-09 09:25:10 UTC
Gluster.org Gerrit 22625 None Open core: improve timer accuracy 2019-06-17 10:32:11 UTC
Gluster.org Gerrit 22626 None Open storage/posix: fix fresh file detection delay 2019-04-29 07:31:31 UTC
Gluster.org Gerrit 22632 None Abandoned core: reduce some timeouts 2019-10-16 19:30:36 UTC
Gluster.org Gerrit 22633 None Open rpc: implement reconnect back-off strategy 2019-05-11 14:26:29 UTC
Gluster.org Gerrit 22642 None Open glusterd/store: store all key-values in one shot 2019-05-08 06:47:02 UTC
Gluster.org Gerrit 22652 None Open glusterd-utils.c: reduce work in glusterd_add_volume_to_dict() 2019-05-03 06:19:13 UTC
Gluster.org Gerrit 22659 None Open glusterd: reduce some work in glusterd-utils.c 2019-05-09 19:37:07 UTC
Gluster.org Gerrit 22665 None Open libglusterfs: Fix compilation when --disable-mempool is used 2019-05-07 05:12:30 UTC
Gluster.org Gerrit 22675 None Open glusterd-utils.c: skip checksum when possible. 2019-05-23 09:56:42 UTC
Gluster.org Gerrit 22679 None Open glusterd: improve logging in __server_getspec() 2019-05-08 15:05:43 UTC
Gluster.org Gerrit 22696 None Open rpc/xdr: include nfs specific files in build only if gNFS is enabled 2019-07-10 03:39:23 UTC
Gluster.org Gerrit 22700 None Open libglusterfs: Remove decompunder helper routines from symbol export 2019-05-11 11:13:49 UTC
Gluster.org Gerrit 22705 None Abandoned store: minor changes to store functions. 2019-07-13 15:05:25 UTC
Gluster.org Gerrit 22732 None Open [WIP][RFC]inode.c/h: small optimizations for inode_ctx_* funcs 2019-05-15 07:40:16 UTC
Gluster.org Gerrit 22736 None Open tests: change usleep() to sleep() 2019-05-17 08:21:45 UTC
Gluster.org Gerrit 22754 None Open tests: Fix spurious failures in ta-write-on-bad-brick.t 2019-05-24 15:01:13 UTC
Gluster.org Gerrit 22755 None Open tests: Add history api tests 2019-05-27 03:13:52 UTC
Gluster.org Gerrit 22760 None Open tests: Add changelog api tests 2019-05-27 14:36:47 UTC
Gluster.org Gerrit 22766 None Open [WIP]dict.c: remove one strlen() done under lock. 2019-05-22 14:38:46 UTC
Gluster.org Gerrit 22772 None Open glusterd-volgen.c: remove BD xlator from the graph 2019-06-18 12:09:45 UTC
Gluster.org Gerrit 22796 None Open libglusterfs: cleanup iovec functions 2019-06-11 13:28:51 UTC
Gluster.org Gerrit 22797 None Open glusterd: remove trivial conditions 2019-06-01 17:27:54 UTC
Gluster.org Gerrit 22800 None Open (multiple files) use dict_allocate_and_serialize() where applicable. 2019-07-22 11:41:49 UTC
Gluster.org Gerrit 22804 None Open tests/geo-rep: Remove a rename test case on EC volume 2019-06-04 06:25:24 UTC
Gluster.org Gerrit 22820 None Abandoned [WIP][RFC]dict: use fixed 'hash' for keys that are fixed strings. 2019-07-20 19:08:59 UTC
Gluster.org Gerrit 22827 None Open cli: defer create_frame() (and dict creation) to later stages. 2019-07-16 14:48:24 UTC
Gluster.org Gerrit 22829 None Open tests/utils: Fix py2/py3 util python scripts 2019-06-07 09:05:15 UTC
Gluster.org Gerrit 22832 None Open glusterd: Fix typos 2019-06-07 13:14:57 UTC
Gluster.org Gerrit 22835 None Abandoned tests/subdir-mount: give more time for heal to complete 2019-06-17 10:38:36 UTC
Gluster.org Gerrit 22844 None Open multiple files: another attempt to remove includes 2019-06-14 16:51:17 UTC
Gluster.org Gerrit 22845 None Open tests: keep glfsxmp in tests directory 2019-06-11 13:28:01 UTC
Gluster.org Gerrit 22847 None Open tests: added cleanup for lock files 2019-06-10 14:27:00 UTC
Gluster.org Gerrit 22859 None Open glusterd.h: remove unneeded macros or move them to their users. 2019-06-25 06:44:53 UTC
Gluster.org Gerrit 22870 None Open tests: Add missing NFS test tag to the testfile 2019-06-15 03:57:28 UTC
Gluster.org Gerrit 22875 None Open glfs: add syscall.h after header cleanup 2019-06-14 17:17:40 UTC
Gluster.org Gerrit 22879 None Open core: fedora 30 compiler warnings 2019-06-18 10:54:28 UTC
Gluster.org Gerrit 22885 None Abandoned core: fedora 29 compiler warnings 2019-09-27 19:30:38 UTC
Gluster.org Gerrit 22901 None Open fix template file after clang-format 2019-06-20 21:01:34 UTC
Gluster.org Gerrit 22924 None Open glusterd.h: align structs 2019-07-08 03:14:51 UTC
Gluster.org Gerrit 22957 None Open rfc.sh: Improve bug identification 2019-07-01 04:24:53 UTC
Gluster.org Gerrit 22958 None Open run-tests.sh: stop test on Ctrl-C 2019-06-28 04:56:27 UTC
Gluster.org Gerrit 22975 None Open cli: Remove Wformat-truncation compiler warning 2019-07-02 10:56:20 UTC
Gluster.org Gerrit 22978 None Abandoned glusterd: change the error log to info log 2019-09-30 19:30:57 UTC
Gluster.org Gerrit 22979 None Open glusterd: don't log a warning message for tier-enabled key 2019-07-04 08:24:48 UTC
Gluster.org Gerrit 22985 None Open dict.c: dict_unserialize() can use dict_addn() 2019-07-29 04:47:45 UTC
Gluster.org Gerrit 22988 None Open logging.c: check for skip_logging() in _gf_slog(), _gf_smsg() 2019-07-16 17:54:52 UTC
Gluster.org Gerrit 23004 None Open glusterd: fix packed member address warning 2019-07-09 07:50:37 UTC
Gluster.org Gerrit 23009 None Open posix: fix Wformat-overflow warning 2019-07-09 11:56:26 UTC
Gluster.org Gerrit 23027 None Abandoned rdma: remove packed member address error 2019-07-14 05:59:35 UTC
Gluster.org Gerrit 23083 None Open Multiple files: get trivial stuff done before lock 2019-08-01 04:12:54 UTC
Gluster.org Gerrit 23084 None Open [WIP][RFC]dict: use fixed 'hash' for keys that are fixed strings. 2019-07-20 19:09:46 UTC
Gluster.org Gerrit 23104 None Open Improve logging of fusedump creation failure 2019-07-25 08:28:29 UTC
Gluster.org Gerrit 23105 None Open build: stop suppressing \"Entering/Leaving direcory...\" messages 2019-08-08 06:11:14 UTC
Gluster.org Gerrit 23109 None Open glusterd: write voldir once in glusterd-store and don't attempt again. 2019-07-29 04:23:16 UTC
Gluster.org Gerrit 23118 None Open tests: introduce BRICK_MUX_BAD_TESTS variable 2019-08-04 03:39:49 UTC
Gluster.org Gerrit 23130 None Open multiple files: reduce minor work under RCU_READ_LOCK 2019-08-05 03:09:22 UTC
Gluster.org Gerrit 23153 None Open [WIP]options.h: format OPTION_INIT similar to RECONF_INIT 2019-08-04 14:01:11 UTC
Gluster.org Gerrit 23156 None Open index.{c|h}: minor changes 2019-08-05 07:08:39 UTC
Gluster.org Gerrit 23169 None Open client-handshake.c: minor changes and removal of dead code. 2019-08-14 05:56:11 UTC
Gluster.org Gerrit 23178 None Open client_t.c: removal of dead code. 2019-08-20 03:15:41 UTC
Gluster.org Gerrit 23319 None Open [WIP][RFC]dht-common.c: remove some strcat and temp buffers 2019-08-28 08:34:28 UTC
Gluster.org Gerrit 23324 None Open posix*.c: remove unneeded strlen() calls 2019-09-05 08:57:50 UTC
Gluster.org Gerrit 23327 None Open build: Fix libglusterd Makefile target 2019-08-30 04:38:24 UTC
Gluster.org Gerrit 23331 None Abandoned logging.c: check for log level before checking for args. 2019-09-07 08:30:25 UTC
Gluster.org Gerrit 23335 None Open glusterd-store.c: remove of dead code 2019-09-05 05:50:49 UTC
Gluster.org Gerrit 23356 None Open [RFC][WIP] multiple files: exec gf_uuid_unparse() when needed. 2019-09-04 19:21:49 UTC
Gluster.org Gerrit 23381 None Open logging.c: check for log level before checking for args. 2019-09-16 06:41:30 UTC
Gluster.org Gerrit 23401 None Open client xlator: misc. cleanups 2019-10-11 04:01:11 UTC
Gluster.org Gerrit 23410 None Open afr-common.c, afr-self-heal.h: calloc/alloca0 -> malloc/alloca 2019-09-20 10:12:58 UTC
Gluster.org Gerrit 23412 None Open afr: align structs 2019-10-14 04:32:11 UTC
Gluster.org Gerrit 23421 None Open rpc: align structs 2019-10-17 06:35:31 UTC
Gluster.org Gerrit 23439 None Open posix-helpers.c: minor changes to posix_fs_health_check 2019-10-15 06:57:22 UTC
Gluster.org Gerrit 23452 None Open posix-helpers.c: do not copy when reading xattr 2019-10-11 03:55:47 UTC
Gluster.org Gerrit 23455 None Open [WIP]inode.c: inode_table_prune() should not re-take the table lock 2019-09-19 15:15:28 UTC
Gluster.org Gerrit 23457 None Open afr: replace afr_frame_return() when possible with direct call 2019-10-07 07:32:41 UTC
Gluster.org Gerrit 23458 None Open [WIP]dht: replace dht_frame_return() when possible with direct call 2019-09-20 04:50:10 UTC
Gluster.org Gerrit 23466 None Open extras: add statedumpparse.rb 2019-09-20 22:57:13 UTC
Gluster.org Gerrit 23474 None Open xlators/store: store all key-values at a time 2019-09-26 11:13:55 UTC
Gluster.org Gerrit 23498 None Open glusterd: improve logging 2019-10-01 07:56:21 UTC
Gluster.org Gerrit 23500 None Open [WIP]glusterfsd-mgmt: unify read and write tests 2019-09-27 09:31:13 UTC
Gluster.org Gerrit 23503 None Open glusterd-volgen.c: fix setting the key export-dir 2019-10-14 09:23:49 UTC
Gluster.org Gerrit 23505 None Open tests: add a pending test case 2019-10-03 02:10:16 UTC
Gluster.org Gerrit 23507 None Open [WIP]iobuf.c, h: minor fixes 2019-10-02 05:19:06 UTC
Gluster.org Gerrit 23511 None Open glusterd-utils.c: attach_brick() - remove dead code 2019-10-11 03:56:44 UTC
Gluster.org Gerrit 23513 None Open Multiple files: make root gfid a static variable 2019-10-14 08:22:48 UTC
Gluster.org Gerrit 23520 None Open cli-*: make some structs static to reduce space consumed. 2019-10-04 20:31:32 UTC
Gluster.org Gerrit 23525 None Open dict.{c,h}: remove the lock from the _data struct 2019-10-11 03:59:45 UTC
Gluster.org Gerrit 23528 None Merged packaging: remove leftover bd cruft in rpm .spec 2019-10-10 11:23:37 UTC
Gluster.org Gerrit 23529 None Open dict.c: remove redundant checks 2019-10-09 18:31:22 UTC
Gluster.org Gerrit 23537 None Open [DNM][RFC][WIP]: Dict - use union to storage vars in native format 2019-10-10 22:08:18 UTC
Gluster.org Gerrit 23538 None Open cloudsync: remove dead code, unused variable 2019-10-10 22:24:55 UTC
Gluster.org Gerrit 23539 None Open tests: add tests for bz#1758878 2019-10-17 03:36:10 UTC
Gluster.org Gerrit 23561 None Open libglusterfs: remove unused files from repo 2019-10-17 09:26:35 UTC

Description Jeff Darcy 2015-02-18 15:06:47 UTC
I hope this bug is never fixed.

The upstream patch process requires that each patch have an associated bug ID before it can be merged.  However, there is no requirement that the bug contain any information or receive any kind of signoff before the patch can proceed.  As a result, many of our developers have the habit of creating such "placeholder" bugs every time they want to make a change, even if it's just a random cleanup/idea and not an actual bug fix or requested/tracked feature request.  Also, any patch with the dreaded "rfc" bug ID (which would be appropriate for such changes) is unlikely to be reviewed.

This bug exists to satisfy our process requirement, without the additional negatives of clogging up our triage/tracking processes and making it appear that the code has more bugs (which would be bad) when in fact a developer had more ideas (which is generally good).

Comment 1 Vijay Bellur 2016-07-27 09:30:29 UTC
REVIEW: http://review.gluster.org/14638 (tier: Suppress warning when tiering is disabled) posted (#2) for review on master by Prashanth Pai (ppai@redhat.com)

Comment 2 Vijay Bellur 2016-07-27 09:31:27 UTC
REVIEW: http://review.gluster.org/14638 (tier: Suppress warning when tiering is disabled) posted (#3) for review on master by Prashanth Pai (ppai@redhat.com)

Comment 3 Vijay Bellur 2016-07-27 10:40:53 UTC
REVIEW: http://review.gluster.org/11922 (README: improve readability and add a clickable link) posted (#5) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 4 Vijay Bellur 2016-07-27 11:12:09 UTC
COMMIT: http://review.gluster.org/14638 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit 98280290cd4a483f72c8c4d614eb826117383e1d
Author: Prashanth Pai <ppai@redhat.com>
Date:   Mon May 30 11:56:17 2016 +0530

    tier: Suppress warning when tiering is disabled
    
    Suppress -Wunused-function compile time warnings when tiering is
    disabled with --disable-tiering.
    
    BUG: 1193929
    Change-Id: I396e03631606ce60a953ed5e124986ae2c803abd
    Signed-off-by: Prashanth Pai <ppai@redhat.com>
    Reviewed-on: http://review.gluster.org/14638
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.org>

Comment 5 Vijay Bellur 2016-07-27 11:15:19 UTC
COMMIT: http://review.gluster.org/11922 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit dbc8dac5c357a28aeba17894f8b02faa2af2a792
Author: Niels de Vos <ndevos@redhat.com>
Date:   Fri Aug 14 11:13:54 2015 +0200

    README: improve readability and add a clickable link
    
    It is easier to have a link that can be clicked.
    
    Change-Id: Id0f75b3e68ca358c218e7f1f00769545dab0c058
    BUG: 1193929
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/11922
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>

Comment 6 Worker Ant 2017-04-10 10:22:26 UTC
REVIEW: https://review.gluster.org/16200 (glusterd: Propagate EADDRINUSE correctly to parent process) posted (#6) for review on master by Prashanth Pai (ppai@redhat.com)

Comment 7 Worker Ant 2017-04-13 03:49:06 UTC
COMMIT: https://review.gluster.org/16200 committed in master by Atin Mukherjee (amukherj@redhat.com) 
------
commit 94afe2ca98a8ed9effb05901fc89d3b7bb6d0d41
Author: Prashanth Pai <ppai@redhat.com>
Date:   Mon Dec 19 16:28:06 2016 +0530

    glusterd: Propagate EADDRINUSE correctly to parent process
    
    exit()/_exit():
    Only the least significant 8 bits i.e (err & 255) shall be available
    to the waiting parent process on calling _exit() or exit() with an
    integer exit status. If this number is negative, the parent process
    doesn't readily get what it's really looking forward to handle.
    
    For example: EADDRINUSE is 98 and if exit status code is set to -98,
    the waiting parent process shall get 158 (= -98 & 255) as exit status.
    
    BUG: 1193929
    
    Change-Id: Idc6b0f40c2332e087e584b4b40cbf0d29168c9cd
    Signed-off-by: Prashanth Pai <ppai@redhat.com>
    Reviewed-on: https://review.gluster.org/16200
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Amar Tumballi <amarts@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>

Comment 8 Worker Ant 2017-04-27 13:05:43 UTC
REVIEW: https://review.gluster.org/17129 (glusterd: Fix removing pmap entry on rpc disconnect) posted (#1) for review on master by Prashanth Pai (ppai@redhat.com)

Comment 9 Worker Ant 2017-04-27 13:07:44 UTC
REVIEW: https://review.gluster.org/17129 (glusterd: Fix removing pmap entry on rpc disconnect) posted (#2) for review on master by Prashanth Pai (ppai@redhat.com)

Comment 10 Worker Ant 2017-04-28 17:15:33 UTC
COMMIT: https://review.gluster.org/17129 committed in master by Jeff Darcy (jeff@pl.atyp.us) 
------
commit 081f9febeec61787ebe81850a081beda17de3047
Author: Prashanth Pai <ppai@redhat.com>
Date:   Thu Apr 27 18:26:02 2017 +0530

    glusterd: Fix removing pmap entry on rpc disconnect
    
    Problem:
    The following line of code intended to remove pmap entry for the
    connection during disconnects:
    
        pmap_registry_remove (this, 0, NULL, GF_PMAP_PORT_NONE, xprt);
    
    However, no pmap entry will have it's type set to GF_PMAP_PORT_NONE
    at any point in time. So a call to pmap_registry_search_by_xprt() in
    pmap_registry_remove() will always fail to find a match.
    
    Fix:
    Optionally ignore pmap entry's type in pmap_registry_search_by_xprt().
    
    BUG: 1193929
    Change-Id: I705f101739ab1647ff52a92820d478354407264a
    Signed-off-by: Prashanth Pai <ppai@redhat.com>
    Reviewed-on: https://review.gluster.org/17129
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Jeff Darcy <jeff@pl.atyp.us>

Comment 11 Worker Ant 2017-06-30 13:20:14 UTC
REVIEW: https://review.gluster.org/17659 (Link against missed libraries to resolve symbols) posted (#1) for review on master by Prashanth Pai (ppai@redhat.com)

Comment 12 Worker Ant 2017-06-30 17:59:53 UTC
REVIEW: https://review.gluster.org/17659 (Link against missed libraries to resolve symbols) posted (#2) for review on master by Prashanth Pai (ppai@redhat.com)

Comment 13 Worker Ant 2017-07-03 10:58:18 UTC
COMMIT: https://review.gluster.org/17659 committed in master by Jeff Darcy (jeff@pl.atyp.us) 
------
commit 97a08698058962a4ddc783008c92ee94f08740a9
Author: Prashanth Pai <ppai@redhat.com>
Date:   Fri Jun 30 15:52:53 2017 +0530

    Link against missed libraries to resolve symbols
    
    When external programs perform a dlopen("..so", RTLD_LAZY|RTLD_LOCAL)
    on some shared objects like xlators, it can fail with dlerror set to
    error string "undefined symbol <some-type>".
    
    This was observed for the following shared objects: fuse.so, quota.so,
    quotad.so, server.so, libgfrpc.so and socket.so
    
    P.S: This was found while running a go program which fetches the list
    of xlator options (volume_option_t) from xlator's shared object.
    
    BUG: 1193929
    Change-Id: I7b958409cf11fb67c2be32a3f85a96fb1260236b
    Signed-off-by: Prashanth Pai <ppai@redhat.com>
    Reviewed-on: https://review.gluster.org/17659
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Amar Tumballi <amarts@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Jeff Darcy <jeff@pl.atyp.us>

Comment 14 Worker Ant 2017-07-12 07:38:51 UTC
REVIEW: https://review.gluster.org/17753 (socket: avoid calling GF_CALLOC() in init_openssl_mt()) posted (#1) for review on master by Prashanth Pai (ppai@redhat.com)

Comment 15 Worker Ant 2017-07-13 05:58:26 UTC
REVIEW: https://review.gluster.org/17753 (socket: avoid calling GF_CALLOC() in init_openssl_mt()) posted (#2) for review on master by Prashanth Pai (ppai@redhat.com)

Comment 16 Worker Ant 2017-07-13 13:50:11 UTC
REVIEW: https://review.gluster.org/17753 (socket: call init_openssl_mt() in init() and add cleanup) posted (#3) for review on master by Prashanth Pai (ppai@redhat.com)

Comment 17 Worker Ant 2017-07-14 12:38:34 UTC
REVIEW: https://review.gluster.org/17753 (socket: call init_openssl_mt() in init() and add cleanup) posted (#4) for review on master by Prashanth Pai (ppai@redhat.com)

Comment 18 Worker Ant 2017-07-17 17:09:09 UTC
COMMIT: https://review.gluster.org/17753 committed in master by Jeff Darcy (jeff@pl.atyp.us) 
------
commit 58a15ae04e597d6ab353f00a3ee72260c0b6f802
Author: Prashanth Pai <ppai@redhat.com>
Date:   Wed Jul 12 12:59:35 2017 +0530

    socket: call init_openssl_mt() in init() and add cleanup
    
    init_openssl_mt() wasn't explicitly invoked and was run implicitly before
    dlopen() returned as it was tagged as __attribute__ ((constructor)). This
    function used to call GF_CALLOC() which wasn't available or initialized
    when socket.so is dlopen()ed by an external program. The program used to
    crash with SIGSEGV as follows:
    
    0x00007ffff5efe1ad in __gf_calloc (nmemb=41, size=40, type=158, typestr=0x7ffff63eb3d6 "gf_sock_mt_lock_array")
    at mem-pool.c:109
    0x00007ffff63e6acf in init_openssl_mt () at socket.c:4016
    0x00007ffff7de90da in call_init.part () from /lib64/ld-linux-x86-64.so.2
    0x00007ffff7de91eb in _dl_init () from /lib64/ld-linux-x86-64.so.2
    0x00007ffff7dedde1 in dl_open_worker () from /lib64/ld-linux-x86-64.so.2
    0x00007ffff7de8f84 in _dl_catch_error () from /lib64/ld-linux-x86-64.so.2
    0x00007ffff7ded339 in _dl_open () from /lib64/ld-linux-x86-64.so.2
    
    This change moves call to init_openssl_mt() from being a constructor function
    to the init() function and introduces fini_openssl_mt() which cleans up
    resources (called in destructor).
    
    BUG: 1193929
    Change-Id: Iab690897ec34e24c33f6b43f8d8d9f8fd75ac607
    Signed-off-by: Prashanth Pai <ppai@redhat.com>
    Reviewed-on: https://review.gluster.org/17753
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Amar Tumballi <amarts@redhat.com>
    Reviewed-by: Jeff Darcy <jeff@pl.atyp.us>

Comment 19 Worker Ant 2017-07-21 10:21:47 UTC
REVIEW: https://review.gluster.org/17848 (rpc: prevent logging null client [Invalid argument]) posted (#1) for review on master by Prashanth Pai (ppai@redhat.com)

Comment 20 Worker Ant 2017-07-21 10:52:37 UTC
REVIEW: https://review.gluster.org/17848 (rpc: prevent logging null client [Invalid argument]) posted (#2) for review on master by Prashanth Pai (ppai@redhat.com)

Comment 21 Worker Ant 2017-07-25 06:28:59 UTC
REVIEW: https://review.gluster.org/17848 (rpc: prevent logging null client [Invalid argument]) posted (#3) for review on master by Prashanth Pai (ppai@redhat.com)

Comment 22 Worker Ant 2017-07-25 12:47:11 UTC
COMMIT: https://review.gluster.org/17848 committed in master by Jeff Darcy (jeff@pl.atyp.us) 
------
commit 7140858c3816c89d22d81ddfaa1d270db5dfd622
Author: Prashanth Pai <ppai@redhat.com>
Date:   Fri Jul 21 15:48:23 2017 +0530

    rpc: prevent logging null client [Invalid argument]
    
    The following log entry is observed during volume operations such
    as volume create:
    
    [2017-07-20 05:13:43.213797] E [client_t.c:321:gf_client_ref]
    (-->/usr/local/lib/libgfrpc.so.0(rpcsvc_request_create+0x1a4) [0x7f987f66cd20]
    -->/usr/local/lib/libgfrpc.so.0(rpcsvc_request_init+0xd0) [0x7f987f66ca23]
    -->/usr/local/lib/libglusterfs.so.0(gf_client_ref+0x56) [0x7f987f91cbd5] )
    0-client_t: null client [Invalid argument]
    
    Change-Id: I49ba753e8d1a828bb275b0ccb1a181706774f387
    BUG: 1193929
    Signed-off-by: Prashanth Pai <ppai@redhat.com>
    Reviewed-on: https://review.gluster.org/17848
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-by: Amar Tumballi <amarts@redhat.com>
    Tested-by: Amar Tumballi <amarts@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>

Comment 23 Worker Ant 2017-10-17 05:56:22 UTC
REVIEW: https://review.gluster.org/18535 (worm/read-only: Add sentinel NULL key to options) posted (#1) for review on master by Prashanth Pai (ppai@redhat.com)

Comment 24 Worker Ant 2017-10-17 11:09:59 UTC
COMMIT: https://review.gluster.org/18535 committed in master by Prashanth Pai (ppai@redhat.com) 
------
commit 4f3c680ed8350496e18de127064be816388dafdd
Author: Prashanth Pai <ppai@redhat.com>
Date:   Tue Oct 17 10:57:13 2017 +0530

    worm/read-only: Add sentinel NULL key to options
    
    BUG: 1193929
    Change-Id: Ibfee382362826556e2e760f9b946c83445d6a08e
    Signed-off-by: Prashanth Pai <ppai@redhat.com>

Comment 25 Worker Ant 2017-12-27 07:07:44 UTC
REVIEW: https://review.gluster.org/19056 (Use RTLD_LOCAL for symbol resolution) posted (#3) for review on master by Prashanth Pai

Comment 26 Worker Ant 2017-12-27 15:50:20 UTC
COMMIT: https://review.gluster.org/19056 committed in master by \"Prashanth Pai\" <ppai@redhat.com> with a commit message- Use RTLD_LOCAL for symbol resolution

RTLD_LOCAL is the default value for symbol visibility flag of dlopen()
in Linux and NetBSD. Using it avoids conflicts during symbol resolution.

This also allows us to detect xlators that have not been explicitly
linked with libraries that they use. This used to go unnoticed
when RTLD_GLOBAL was being used.

BUG: 1193929
Change-Id: I50db6ea14ffdee96596060c4d6bf71cd3c432f7b
Signed-off-by: Prashanth Pai <ppai@redhat.com>

Comment 27 Worker Ant 2018-01-29 08:58:41 UTC
REVIEW: https://review.gluster.org/19339 (libglusterfs: cleanup useless need_lookup) posted (#3) for review on master by Niels de Vos

Comment 28 Worker Ant 2018-02-07 05:10:09 UTC
REVIEW: https://review.gluster.org/19517 (log: Change some frequent log entries to DEBUG) posted (#1) for review on master by Prashanth Pai

Comment 29 Shyamsundar 2018-03-15 11:16:50 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-4.0.0, please open a new bug report.

glusterfs-4.0.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://lists.gluster.org/pipermail/announce/2018-March/000092.html
[2] https://www.gluster.org/pipermail/gluster-users/

Comment 30 Shyamsundar 2018-03-15 11:30:22 UTC
Reopening, inadvertently closed.

Comment 31 Worker Ant 2018-04-05 11:54:25 UTC
REVIEW: https://review.gluster.org/19824 (doc: Update the admin guide link) posted (#2) for review on master by Varsha Rao

Comment 32 Worker Ant 2018-04-06 10:14:07 UTC
COMMIT: https://review.gluster.org/19824 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- doc: Update the admin guide link

Update the existing admin guide link as it is incorrect.

Change-Id: I05669192623aeac287dfa9002caa0f390ea79499
Updates: bz#1193929
Signed-off-by: Varsha Rao <varao@redhat.com>

Comment 33 Worker Ant 2018-04-16 14:00:06 UTC
REVIEW: https://review.gluster.org/19882 (Add CLI option to print XLATORDIR) posted (#1) for review on master by Prashanth Pai

Comment 34 Worker Ant 2018-04-18 08:28:10 UTC
COMMIT: https://review.gluster.org/19882 committed in master by "Atin Mukherjee" <amukherj@redhat.com> with a commit message- Add CLI option to print XLATORDIR

glusterfs gets the path to xlator dir from a compile time flag named
XLATORDIR which gets passed through a -D flag to GCC. This path is
used to find and load xlator shared objects.

The XLATORDIR path isn't easily accessible to glusterd2. Glusterd2
currently uses the following command (hack) to get value of XLATORDIR:

$ strings -d `which glusterfsd` | awk '/glusterfs/*/xlator$/'

This change introduces "print-xlatordir" CLI option to expose
XLATORDIR. The option is intentionally not documented.

Updates: bz#1193929
Change-Id: Ic7247457600f11cd8d68eb3d0ad2526fdfda0b02
Signed-off-by: Prashanth Pai <ppai@redhat.com>

Comment 35 Worker Ant 2018-04-19 07:28:57 UTC
REVIEW: https://review.gluster.org/19905 (Make glusterfsd binary print statedump & xlator dir) posted (#1) for review on master by Prashanth Pai

Comment 36 Worker Ant 2018-04-19 14:25:14 UTC
COMMIT: https://review.gluster.org/19905 committed in master by "Prashanth Pai" <ppai@redhat.com> with a commit message- Make glusterfsd binary print statedump & xlator dir

The glusterd2 needs following options, some of which are provided by
gluster CLI today:

--print-xlatordir
--print-statedumpdir
--print-logdir

However, the CLI package need not be present on the machine running
glusterd2. This change adds the above CLI options to glusterfsd binary
which glusterd2 depends on.

Reverts 9a1ae47c8d60836ae0628a04a153f28c1085c0e8

Related changes:
https://review.gluster.org/#/c/19882/
https://github.com/gluster/glusterd2/pull/663

Updates: bz#1193929
Change-Id: I18c123b0d3350d2bd4f2400783e3b94e402a4e29
Signed-off-by: Prashanth Pai <ppai@redhat.com>

Comment 37 Worker Ant 2018-04-23 10:01:06 UTC
REVIEW: https://review.gluster.org/19923 (build: Disallow unresolved symbol references) posted (#1) for review on master by Prashanth Pai

Comment 38 Worker Ant 2018-05-04 09:35:47 UTC
REVIEW: https://review.gluster.org/19955 (mount,fuse: make fuse dumping available as mount option) posted (#2) for review on master by Csaba Henk

Comment 39 Worker Ant 2018-05-04 17:43:03 UTC
COMMIT: https://review.gluster.org/19955 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- mount,fuse: make fuse dumping available as mount option

Updates: bz#1193929
Change-Id: I4dd4d0e607f89650ebb74b893b911b554472826d
Signed-off-by: Csaba Henk <csaba@redhat.com>

Comment 40 Worker Ant 2018-05-08 17:55:55 UTC
REVIEW: https://review.gluster.org/19976 (features/cloudsync: Remove multiple definition in Makefile.am) posted (#2) for review on master by Anoop C S

Comment 41 Worker Ant 2018-05-09 11:20:41 UTC
REVIEW: https://review.gluster.org/19994 (core: FreeBSD has pthread_set_name_np() (versus pthread_setname_np())) posted (#1) for review on master by Kaleb KEITHLEY

Comment 42 Worker Ant 2018-05-09 17:37:10 UTC
COMMIT: https://review.gluster.org/19994 committed in master by "Kaleb KEITHLEY" <kkeithle@redhat.com> with a commit message- core: FreeBSD has pthread_set_name_np() (versus pthread_setname_np())

And has had it since at least FreeBSD 9.0

Reported-by: Roman Serbski <mefystofel@gmail.com>

Change-Id: I52cfde7f2f7a82d0e66465ac392ed7e201e1653b
updates: bz#1193929
Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>

Comment 43 Worker Ant 2018-05-10 11:37:37 UTC
COMMIT: https://review.gluster.org/19976 committed in master by "Kaleb KEITHLEY" <kkeithle@redhat.com> with a commit message- features/cloudsync: Remove multiple definition in Makefile.am

CLOUDSYNC_SRC is defined twice in the same Makefile.am which generates
the following warning:

xlators/features/cloudsync/src/Makefile.am:9: warning: CLOUDSYNC_SRC multiply defined in condition TRUE ...
xlators/features/cloudsync/src/Makefile.am:5: ... 'CLOUDSYNC_SRC' previously defined here

Therefore removing the duplicate definition.

Change-Id: I00c3e2f3d64ad45e4080c2c82766516cd3e2bf63
fixes: bz#1193929
BUG: 1193929
Signed-off-by: Anoop C S <anoopcs@redhat.com>

Comment 44 Worker Ant 2018-05-10 11:49:17 UTC
REVIEW: https://review.gluster.org/20002 (core: FreeBSD has pthread_set_name_np() (versus pthread_setname_np())) posted (#1) for review on release-4.1 by Kaleb KEITHLEY

Comment 45 Worker Ant 2018-05-10 11:50:16 UTC
REVIEW: https://review.gluster.org/20003 (core: FreeBSD has pthread_set_name_np() (versus pthread_setname_np())) posted (#1) for review on release-4.0 by Kaleb KEITHLEY

Comment 46 Worker Ant 2018-05-10 11:51:11 UTC
REVIEW: https://review.gluster.org/20004 (core: FreeBSD has pthread_set_name_np() (versus pthread_setname_np())) posted (#1) for review on release-3.12 by Kaleb KEITHLEY

Comment 47 Worker Ant 2018-05-10 12:48:18 UTC
REVISION POSTED: https://review.gluster.org/20002 (core: FreeBSD has pthread_set_name_np() (versus pthread_setname_np())) posted (#2) for review on release-4.1 by Kaleb KEITHLEY

Comment 48 Worker Ant 2018-05-10 12:49:18 UTC
REVISION POSTED: https://review.gluster.org/20003 (core: FreeBSD has pthread_set_name_np() (versus pthread_setname_np())) posted (#2) for review on release-4.0 by Kaleb KEITHLEY

Comment 49 Worker Ant 2018-05-10 12:50:24 UTC
REVISION POSTED: https://review.gluster.org/20004 (core: FreeBSD has pthread_set_name_np() (versus pthread_setname_np())) posted (#2) for review on release-3.12 by Kaleb KEITHLEY

Comment 50 Worker Ant 2018-05-18 04:23:11 UTC
COMMIT: https://review.gluster.org/19923 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- build: Disallow unresolved symbol references

In the past, it was often[1] forgotten for xlators to be linked against
the symbols they refer to. This often caused glusterd2 to fail while
loading xlator's shared object (.so) file.

This change adds "--no-undefined" as a linker flag which causes the
linker to treat unresolved symbol references as an error and hence fail
linking.

[1]:
https://review.gluster.org/#/c/19912/
https://review.gluster.org/#/c/19664/
https://review.gluster.org/#/c/19056/
https://review.gluster.org/#/c/17659/
https://bugzilla.redhat.com/show_bug.cgi?id=1532238

Bonus:
Added cloudsync and utime xlator's generated source files to .gitignore

Updates: bz#1193929
Change-Id: I9604a4a87b7313a5fa43bda5fdb37dfa7ef8facd
Signed-off-by: Prashanth Pai <ppai@redhat.com>

Comment 51 Worker Ant 2018-05-21 13:31:47 UTC
REVIEW: https://review.gluster.org/20048 (api: cleanup headers) posted (#1) for review on master by Kaleb KEITHLEY

Comment 52 Worker Ant 2018-05-23 15:29:11 UTC
REVIEW: https://review.gluster.org/20073 (api: missing __THROW on pub function decls) posted (#1) for review on master by Kaleb KEITHLEY

Comment 53 Worker Ant 2018-05-25 08:19:23 UTC
COMMIT: https://review.gluster.org/20073 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- api: missing __THROW on pub function decls

missing __THROW on pub function decls needed for C++

Change-Id: Ia0ff09d311741e4cdc8ef171e07bbd56c24b9260
updates: bz#1193929
Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>

Comment 54 Worker Ant 2018-05-31 11:52:26 UTC
REVIEW: https://review.gluster.org/20111 (libgfchangelog: Remove duplicate includedir definition for changelog.h) posted (#1) for review on master by Anoop C S

Comment 55 Worker Ant 2018-06-01 04:40:18 UTC
COMMIT: https://review.gluster.org/20111 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- libgfchangelog: Remove duplicate includedir definition for changelog.h

includedir for changelog.h is already defined in Makefile.am under libglusterfs/src
since it was moved from xlators/features/changelog/lib/src. Therefore removing the
duplicate definition.

Change-Id: Iaff2e02fca45715820caa35b41efc2f6b656203a
updates: bz#1193929
Signed-off-by: Anoop C S <anoopcs@redhat.com>

Comment 56 Worker Ant 2018-06-06 10:06:31 UTC
REVIEW: https://review.gluster.org/20173 (MAINTAINERS: remove me from NFS maintainers) posted (#1) for review on master by Niels de Vos

Comment 57 Worker Ant 2018-06-11 13:11:10 UTC
COMMIT: https://review.gluster.org/20048 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- api: cleanup headers

fix inconsistent use in headers of:
  struct glfs and glfs_t
  struct glfs_fd and glfs_fd_t
  struct glfs_object and glfs_object_t

add typedefs to headers for various struct glfs_foos, and use them, e.g.:
  struct glfs_upcall and glfs_upcall_t

fix inconsistent type naming for 'enum glfs_lock_mode_t'. (All other
enum decls are 'enum glfs_foo' not 'enum_glfs_foo_t'), and add
typedefs for all enums, and use them.

style, replace tabs with spaces and follow return value style, i.e.:
  int
  pub_glfs_foo()
instead of:
  int pub_glfs_foo()

Update copyright dates, substantial new work has been done since 2012

Change-Id: I0a9654486ea132efde7977b655799fb37887b1d5
Updates: bz#1193929
Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>

Comment 58 Worker Ant 2018-06-18 03:51:21 UTC
COMMIT: https://review.gluster.org/20173 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- MAINTAINERS: remove me from NFS maintainers

My role at Red Hat changed a little and I do not have the time to look
into gNFS anymore. If needed, I am still around to assist, but the
initial contacts should be the active maintainers and peers.

Change-Id: I3cbae3c5cbd413abb6f95be238efc685c493c392
Updates: bz#1193929
Signed-off-by: Niels de Vos <ndevos@redhat.com>

Comment 59 Worker Ant 2018-06-30 05:55:39 UTC
REVIEW: https://review.gluster.org/20426 (xlators/playground: fix the template files with latest requirements) posted (#1) for review on master by Amar Tumballi

Comment 60 Worker Ant 2018-07-02 11:23:59 UTC
REVIEW: https://review.gluster.org/20437 (protocol/client: handle the fdctx_destroy properly with different versions) posted (#1) for review on master by Amar Tumballi

Comment 61 Worker Ant 2018-07-03 06:06:02 UTC
REVIEW: https://review.gluster.org/20446 (stack.h: fix the pass_through logic) posted (#1) for review on master by Amar Tumballi

Comment 62 Worker Ant 2018-07-03 06:22:32 UTC
REVIEW: https://review.gluster.org/20447 (checkpatch.pl: fix the perl warning) posted (#1) for review on master by Amar Tumballi

Comment 63 Worker Ant 2018-07-03 19:12:55 UTC
COMMIT: https://review.gluster.org/20446 committed in master by "Shyamsundar Ranganathan" <srangana@redhat.com> with a commit message- stack.h: fix the pass_through logic

while fixing the coverity issues, we made a minor mistake in the
pass through logic in STACK_WIND macro.

Also, with this patch, made the code common to reduce possible
future errors creeping in due to missing one place update.

updates: bz#1193929
Change-Id: I6fcfd156d63b0a7e6208819872e565eacf774150
Signed-off-by: Amar Tumballi <amarts@redhat.com>

Comment 64 Worker Ant 2018-07-05 22:56:14 UTC
COMMIT: https://review.gluster.org/20437 committed in master by "Shyamsundar Ranganathan" <srangana@redhat.com> with a commit message- protocol/client: handle the fdctx_destroy properly with different versions

while adding the new version of RPC, this part was not handled properly

Updates: bz#1193929
Change-Id: If4cc4c2db075221b9ed731bacb7cc035f7007c5b
Signed-off-by: Amar Tumballi <amarts@redhat.com>

Comment 65 Worker Ant 2018-07-06 08:13:29 UTC
COMMIT: https://review.gluster.org/20447 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- checkpatch.pl: fix the perl warning

Used to get the below warning:
`
Running coding guidelines check ...
Unescaped left brace in regex is deprecated here (and will be fatal in Perl 5.30), passed through in regex; marked by <-- HERE in m/^(\+.*(?:do|\))){ <-- HERE / at ./build-aux/checkpatch.pl line 3102.
`

But as per the recommendation in perl document, we should escape the braces.

While this check should be removed from the codebase when we get the 'codingstandard' automated scripts, we can keep the code warning free at least till then.

updates: bz#1193929
Change-Id: I236a428174b5d16ca41baa03e96bc7aa26177b5b
Signed-off-by: Amar Tumballi <amarts@redhat.com>

Comment 66 Worker Ant 2018-07-06 10:56:38 UTC
REVIEW: https://review.gluster.org/20472 (server: Rename xlator ID to 'server') posted (#1) for review on master by Prashanth Pai

Comment 67 Worker Ant 2018-07-06 21:06:33 UTC
REVIEW: https://review.gluster.org/20474 (Fix compile warnings) posted (#2) for review on master by Xavi Hernandez

Comment 68 Worker Ant 2018-07-09 10:50:47 UTC
REVIEW: https://review.gluster.org/20483 (Move time string formatting) posted (#2) for review on master by Yaniv Kaul

Comment 69 Worker Ant 2018-07-10 16:19:31 UTC
REVIEW: https://review.gluster.org/20493 (glusterd: log improvements on brick creation validation) posted (#1) for review on master by Atin Mukherjee

Comment 70 Worker Ant 2018-07-10 19:39:06 UTC
COMMIT: https://review.gluster.org/20474 committed in master by "Xavi Hernandez" <xhernandez@redhat.com> with a commit message- Fix compile warnings

This patch fixes compile warnings that appear with newer compilers. The
solution applied is only to remove the warnings, but it doesn't always
solve the problem in the best way. It assumes that the problem will never
happen, as the previous code assumed.

Change-Id: I6e8470d6c2e2dbd3bd7d324b5fd2f92ffdc3d6ec
updates: bz#1193929
Signed-off-by: Xavi Hernandez <xhernandez@redhat.com>

Comment 71 Worker Ant 2018-07-11 04:09:04 UTC
COMMIT: https://review.gluster.org/20472 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- server: Set ssl-allow option in options table and rename ID

This change explicitly adds 'ssl-allow' options to the server xlator's
options table so that glusterd2 can see it as a settable option. This
change also marks 'auth.allow' and 'auth.reject' options as a settable.

Glusterd2 doesn't maintain a separate volume options table. Glusterd2
dynamically loads shared objects of xlators to read their option table
and other information. Glusterd2 reads 'xlator_api_t' if available. If
that's not available, it falls back to reading just the options table
directly.

In glusterd2, volume set operations are performed by users on keys of
the format <xlator>.<option-name>. Glusterd2 uses xlator name set in
'xlator_api_t.identifier'. If that's not present it will use the shared
object's file name as xlator name. Hence, it is important for
'xlator_api_t.identifier' to be set properly, and in this case, the
proper value is "server". This name shall be used by users as prefix
while setting volume options implemented in server xlator. The name will
also be used in volfile.

A user in glusterd2 can authorize a client over TLS as follows:

$ glustercli volume set <volname> server.ssl-allow <client1-CN>[,<clientN-CN>]

gd2 References:
https://github.com/gluster/glusterd2/issues/971
https://github.com/gluster/glusterd2/issues/214
https://github.com/gluster/glusterd2/pull/967

Updates: bz#1193929
Change-Id: I59ef58acb8d51917e6365a83be03e79ae7c5ad17
Signed-off-by: Prashanth Pai <ppai@redhat.com>

Comment 72 Worker Ant 2018-07-11 04:14:35 UTC
COMMIT: https://review.gluster.org/20493 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- glusterd: log improvements on brick creation validation

Added few log entries in glusterd_is_brickpath_available ().

Change-Id: I8b758578f9db90d2974f7c79126c50ad3a001d71
Updates: bz#1193929
Signed-off-by: Atin Mukherjee <amukherj@redhat.com>

Comment 73 Worker Ant 2018-07-13 08:25:43 UTC
REVIEW: https://review.gluster.org/20503 (tests/geo-rep: increase the timeout) posted (#1) for review on master by Amar Tumballi

Comment 74 Worker Ant 2018-07-13 10:08:22 UTC
COMMIT: https://review.gluster.org/20503 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- tests/geo-rep: increase the timeout

since some time, geo-rep tests were in the border of 180-190 seconds to
complete. As actual test timeout is 200 seconds by default, giving
these tests some buffer time to complete properly.

updates: bz#1193929
Change-Id: I9f501a02b52585dff7d0473824bdbb229e124278
Signed-off-by: Amar Tumballi <amarts@redhat.com>

Comment 75 Worker Ant 2018-07-15 09:23:42 UTC
REVIEW: https://review.gluster.org/20512 (glusterd-quota.c: fix coverity warning (BAD_COMPARE)) posted (#1) for review on master by Yaniv Kaul

Comment 76 Worker Ant 2018-07-16 08:29:31 UTC
REVIEW: https://review.gluster.org/20515 (glusterd-store: fix coverity warning) posted (#1) for review on master by Yaniv Kaul

Comment 77 Worker Ant 2018-07-16 14:25:17 UTC
REVIEW: https://review.gluster.org/20522 (All: run codespell on the code and fix issues.) posted (#1) for review on master by Yaniv Kaul

Comment 78 Worker Ant 2018-07-17 05:42:22 UTC
COMMIT: https://review.gluster.org/20515 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- glusterd-store: fix coverity warning

The same variable 'len' was used both in the macros and the functions.
(Introduced as part of commit 6dc5dfef819cad69d6d4b4c1c305efa74236ad84 ?)

Change-Id: If434999d6470067f8a1e501c8e132561e8cd81ef
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 79 Worker Ant 2018-07-17 05:42:49 UTC
COMMIT: https://review.gluster.org/20483 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- tier: Move time string formatting

There is no need to format the time, unless ret is true.

I don't think there's a reason to allocate memory for
those struct and char array unless we are formatting
either (But I'm not sure what the code convention is - are we
ok with 'local' variable declarations?)

Only compile-tested.

Change-Id: I9feb09871943764bd76bdfc9ac6ca506f329aac1
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 80 Worker Ant 2018-07-18 11:05:57 UTC
COMMIT: https://review.gluster.org/20524 committed in master by "Shyamsundar Ranganathan" <srangana@redhat.com> with a commit message- build/core: location of xattr.h

starting with libattr-devel-2.4.48-1 in Fedora 28 <attr/xattr.h> has
been removed from the package.

On Fedora, RHEL/CentOS, and SUSE, the glibc-headers package has provided
a near identical file, <sys/xattr.h>, in all the releases that we care
about.

On Debian, libc6-dev provides <sys/xattr.h> all the way back to 8/Jessie
and presumably all Ubuntu derivatives since then.

Note that on Debian the sys headers are installed in
/usr/include/$DEB_HOST_GNU_TYPE/sys/...

Change-Id: Id07c4b225bdaa6556bd54772604e75b8f346fb60
updates: bz#1193929
Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>

Comment 81 Worker Ant 2018-07-19 06:12:02 UTC
REVIEW: https://review.gluster.org/20533 (gcc warnings: fix the few remaining warnings) posted (#1) for review on master by Amar Tumballi

Comment 82 Worker Ant 2018-07-19 12:40:30 UTC
REVIEW: https://review.gluster.org/20538 (doc: Add details around xlator classifications) posted (#1) for review on master by Shyamsundar Ranganathan

Comment 83 Worker Ant 2018-07-20 05:11:12 UTC
REVIEW: https://review.gluster.org/20540 (coding-standard: add points on structure padding) posted (#1) for review on master by Amar Tumballi

Comment 84 Worker Ant 2018-07-20 05:12:15 UTC
REVIEW: https://review.gluster.org/20541 (doc: add details on how the commit msg should be) posted (#1) for review on master by Amar Tumballi

Comment 85 Worker Ant 2018-07-20 05:13:18 UTC
REVIEW: https://review.gluster.org/20542 (doc: add coding-standard and commit-msg link in README) posted (#1) for review on master by Amar Tumballi

Comment 86 Worker Ant 2018-07-20 05:38:07 UTC
REVIEW: https://review.gluster.org/20543 (doc: keep just one copy of a coredump analysis) posted (#1) for review on master by Amar Tumballi

Comment 87 Worker Ant 2018-07-20 09:27:35 UTC
REVIEW: https://review.gluster.org/20545 (glusterd: fix gcc7 warnings) posted (#1) for review on master by Amar Tumballi

Comment 88 Worker Ant 2018-07-21 20:11:31 UTC
REVIEW: https://review.gluster.org/20548 (contrib/xxhash: update to latest xxHash (0.6.5)) posted (#1) for review on master by Yaniv Kaul

Comment 89 Worker Ant 2018-07-22 14:40:52 UTC
COMMIT: https://review.gluster.org/20522 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- All: run codespell on the code and fix issues.

Please review, it's not always just the comments that were fixed.
I've had to revert of course all calls to creat() that were changed
to create() ...

Only compile-tested!

Change-Id: I7d02e82d9766e272a7fd9cc68e51901d69e5aab5
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 90 Worker Ant 2018-07-24 18:43:41 UTC
REVIEW: https://review.gluster.org/20562 (georep: fix hard-coded paths in gsyncd.conf.in) posted (#1) for review on master by Kaleb KEITHLEY

Comment 91 Worker Ant 2018-07-25 18:22:26 UTC
COMMIT: https://review.gluster.org/20562 committed in master by "Shyamsundar Ranganathan" <srangana@redhat.com> with a commit message- georep: fix hard-coded paths in gsyncd.conf.in

This is part of the reason why we use autoconf (i.e. configure).
For an ordinary clone+autogen.sh+configure SBIN_DIR is
/usr/local/sbin; for an rpm or dpkg build it will be /usr/sbin.

I wonder how many more are lurking in our sources? /usr/libexec is
one that frequently bites us on  Debian and Ubuntu, which don't have
/usr/libexec. (But it's all Linux, right?)

See https://bugzilla.redhat.com/show_bug.cgi?id=1601532

Reported-by: lohmaier+rhbz@gmail.com
Change-Id: I6523894416cc06236ea1f99529efd36e957bd98e
updates: bz#1193929
Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>

Comment 92 Worker Ant 2018-07-26 17:39:52 UTC
REVIEW: https://review.gluster.org/20572 (stack: Reduce stack usage for local variables to store tmpfile names) posted (#1) for review on master by Shyamsundar Ranganathan

Comment 93 Worker Ant 2018-07-27 09:07:00 UTC
COMMIT: https://review.gluster.org/20572 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- stack: Reduce stack usage for local variables to store tmpfile names

This patch moves stack based PATH_MAX allocations for tmpfile
names, to heap allocated names instead. Reducing the impact on
stack space used and accruing benefits thereof.

Change-Id: I646d9cb091018de6768b3523902788fa2ba14d96
Updates: bz#1193929
Signed-off-by: ShyamsundarR <srangana@redhat.com>

Comment 94 Worker Ant 2018-07-31 00:21:34 UTC
REVIEW: https://review.gluster.org/20591 (contrib: Remove gf_mkostemp copied from GLibC) posted (#1) for review on master by Shyamsundar Ranganathan

Comment 95 Worker Ant 2018-08-01 18:41:48 UTC
COMMIT: https://review.gluster.org/20543 committed in master by "Shyamsundar Ranganathan" <srangana@redhat.com> with a commit message- doc: keep just one copy of a coredump analysis

Keeping two copies of the files means, one would be out-of-date soon,
and users would always be confused about which one is the source of
truth.

Updates: bz#1193929
Change-Id: I568149732fdb9d282ccd583640eee9b9056963fd
Signed-off-by: Amar Tumballi <amarts@redhat.com>

Comment 96 Worker Ant 2018-08-02 05:15:01 UTC
COMMIT: https://review.gluster.org/20540 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- coding-standard: add points on structure padding

This is a recommendation for users, and reviewers can take a point from this.

Updates: bz#1193929
Change-Id: Idcd778e42a886fd79b549da4927149a07573a20b
Signed-off-by: Amar Tumballi <amarts@redhat.com>

Comment 97 Worker Ant 2018-08-02 17:43:10 UTC
REVIEW: https://review.gluster.org/20624 (All: remove memset() before sprintf()) posted (#1) for review on master by Yaniv Kaul

Comment 98 Worker Ant 2018-08-03 12:25:05 UTC
REVIEW: https://review.gluster.org/20633 (coding-standard: memset before snprintf) posted (#1) for review on master by Susant Palai

Comment 99 Worker Ant 2018-08-10 10:23:09 UTC
REVIEW: https://review.gluster.org/20700 (glusterd: remove the unused databuf in rebalance structure) posted (#1) for review on master by Amar Tumballi

Comment 100 Worker Ant 2018-08-10 10:32:59 UTC
REVIEW: https://review.gluster.org/20702 (bd: remove the translator from build) posted (#1) for review on master by Amar Tumballi

Comment 101 Worker Ant 2018-08-14 05:15:37 UTC
COMMIT: https://review.gluster.org/20624 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- All: remove memset() before sprintf()

It's not needed.
There's a good chance the compiler is smart enough to remove it
anyway, but it can't hurt - I hope.

Compile-tested only!

Change-Id: Id7c054e146ba630227affa591007803f3046416b
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 102 Worker Ant 2018-08-16 04:06:12 UTC
REVIEW: https://review.gluster.org/20744 (glusterd: fix gcc warnings) posted (#1) for review on master by Ravishankar N

Comment 103 Worker Ant 2018-08-16 04:06:57 UTC
COMMIT: https://review.gluster.org/20548 committed in master by "Kotresh HR" <khiremat@redhat.com> with a commit message- contrib/xxhash: update to latest xxHash (0.6.5)

Update to latest xxHash, which is supposed to faster with small keys.

Specifically, updated to 3064d42e7d74b0921bdd1818395d9cb37bb8976a,
which is a bit higher than 0.6.5.

Compiled hopefully with namespace (XXH_NAMESPACE=GF_),
which allows to use XXH() funcs with no fear they'll 'leak'
from our library.

Only compile tested!

xxhsum is modified to display messages which was conflicting
with regression tests (TAP harness). So modified the
gfid2path_fuse.t and gfid2path_nfs.t to adhere to that.

updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Change-Id: I35cea5cc93f338c1023ac2c9bc6d7d13225a967b

Comment 104 Worker Ant 2018-08-16 06:11:14 UTC
COMMIT: https://review.gluster.org/20591 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- contrib: Remove gf_mkostemp copied from GLibC

gf_mkostemp is borrowed from GLibC a long time back,
we now have mkostemp or mkstemp alternatives with all
distributions and versions that we care for.

As a result removing this from the contrib directory
and modifying the one instance that is still using the
same.

This is part of code cleanup as we cleaned up coverity
SECUR_TEMP errors.

Updates: bz#1193929

Change-Id: I1ad7863043cdb0845c53748f5a0522e767079130
Signed-off-by: ShyamsundarR <srangana@redhat.com>

Comment 105 Worker Ant 2018-08-16 07:24:33 UTC
REVIEW: https://review.gluster.org/20746 (gnfs: fix gcc warnings) posted (#1) for review on master by Ravishankar N

Comment 106 Worker Ant 2018-08-17 04:20:19 UTC
REVIEW: https://review.gluster.org/20759 (New flag to glusterfsd binary to print libexec dir) posted (#1) for review on master by Aravinda VK

Comment 107 Worker Ant 2018-08-17 07:50:44 UTC
COMMIT: https://review.gluster.org/20538 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- doc: Add details around xlator categories

Updates: bz#1193929
Change-Id: I6446bbdd8025f333a3e855032c0c7709bf4ae4cd
Signed-off-by: ShyamsundarR <srangana@redhat.com>

Comment 108 Worker Ant 2018-08-17 19:44:09 UTC
REVIEW: https://review.gluster.org/20766 (dict.c: align dictionary structures) posted (#1) for review on master by Yaniv Kaul

Comment 109 Worker Ant 2018-08-17 19:46:14 UTC
REVIEW: https://review.gluster.org/20767 (dict.c: do not strlen if not needed.) posted (#1) for review on master by Yaniv Kaul

Comment 110 Worker Ant 2018-08-17 19:47:15 UTC
REVIEW: https://review.gluster.org/20768 (libglusterfs/src/dict.c: perform hash calc not under lock.) posted (#1) for review on master by Yaniv Kaul

Comment 111 Worker Ant 2018-08-17 19:48:23 UTC
REVIEW: https://review.gluster.org/20769 (libglusterfs/src/dict.{c,h}: Introduce dict_setn, dict_addn, dict_addn and others.) posted (#1) for review on master by Yaniv Kaul

Comment 112 Worker Ant 2018-08-17 20:09:17 UTC
REVIEW: https://review.gluster.org/20771 (libguestfs/src/mem-pool.h: switch from calloc() to malloc()) posted (#1) for review on master by Yaniv Kaul

Comment 113 Worker Ant 2018-08-17 20:14:52 UTC
REVIEW: https://review.gluster.org/20772 (xlators/nfs/server/src/mount3.c : allocate memory as much as needed.) posted (#1) for review on master by Yaniv Kaul

Comment 114 Worker Ant 2018-08-17 20:16:43 UTC
REVIEW: https://review.gluster.org/20776 (xlators/protocol/client/src/client-lk.c :  Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 115 Worker Ant 2018-08-17 20:18:03 UTC
REVIEW: https://review.gluster.org/20777 (xlators/performance/quick-read/src/quick-read.c:  Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 116 Worker Ant 2018-08-17 20:19:06 UTC
REVIEW: https://review.gluster.org/20778 (xlators/performance/md-cache/src/md-cache.c:  Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 117 Worker Ant 2018-08-17 20:20:20 UTC
REVIEW: https://review.gluster.org/20773 (xlators/storage/posix/src/posix-inode-fd-ops.c:  Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 118 Worker Ant 2018-08-17 20:22:08 UTC
REVIEW: https://review.gluster.org/20779 (xlators/performance/io-cache/src/page.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 119 Worker Ant 2018-08-17 20:23:58 UTC
REVIEW: https://review.gluster.org/20774 (xlators/storage/posix/src/posix-helpers.c :  Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 120 Worker Ant 2018-08-17 20:25:20 UTC
REVIEW: https://review.gluster.org/20775 (xlators/storage/bd/src/bd.c:  Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 121 Worker Ant 2018-08-17 20:27:15 UTC
REVIEW: https://review.gluster.org/20780 (xlators/nfs/server/src/nfs3-helpers.c:  Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 122 Worker Ant 2018-08-17 20:28:30 UTC
REVIEW: https://review.gluster.org/20781 (xlators/nfs/server/src/nfs-fops.c:  Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 123 Worker Ant 2018-08-17 20:29:52 UTC
REVIEW: https://review.gluster.org/20782 (xlators/nfs/server/src/mount3udp_svc.c:  Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 124 Worker Ant 2018-08-17 20:31:45 UTC
REVIEW: https://review.gluster.org/20785 (xlators/mount/fuse/src/fuse-bridge.c:  Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 125 Worker Ant 2018-08-17 20:33:29 UTC
REVIEW: https://review.gluster.org/20783 (xlators/nfs/server/src/mount3.c:  Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 126 Worker Ant 2018-08-17 20:35:18 UTC
REVIEW: https://review.gluster.org/20787 (xlators/mgmt/glusterd/src/glusterd-syncop.h: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 127 Worker Ant 2018-08-17 20:37:17 UTC
REVIEW: https://review.gluster.org/20784 (xlators/mount/fuse/src/fuse-helpers.c:  Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 128 Worker Ant 2018-08-17 20:39:15 UTC
REVIEW: https://review.gluster.org/20788 (xlators/mgmt/glusterd/src/glusterd-snapshot.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 129 Worker Ant 2018-08-17 20:40:54 UTC
REVIEW: https://review.gluster.org/20789 (xlators/mgmt/glusterd/src/glusterd-rpc-ops.c:  Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 130 Worker Ant 2018-08-17 20:43:20 UTC
REVIEW: https://review.gluster.org/20790 (xlators/mgmt/glusterd/src/glusterd-replace-brick.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 131 Worker Ant 2018-08-17 20:45:17 UTC
REVIEW: https://review.gluster.org/20791 (xlators/mgmt/glusterd/src/glusterd-op-sm.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 132 Worker Ant 2018-08-17 20:47:19 UTC
REVIEW: https://review.gluster.org/20792 (xlators/mgmt/glusterd/src/glusterd-mgmt.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 133 Worker Ant 2018-08-17 20:49:09 UTC
REVIEW: https://review.gluster.org/20793 (xlators/meta/src/subvolumes-dir.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 134 Worker Ant 2018-08-17 20:50:53 UTC
REVIEW: https://review.gluster.org/20794 (xlators/meta/src/graph-dir.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 135 Worker Ant 2018-08-17 20:52:39 UTC
REVIEW: https://review.gluster.org/20795 (xlators/features/trash/src/trash.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 136 Worker Ant 2018-08-17 20:54:28 UTC
REVIEW: https://review.gluster.org/20786 (xlators/mgmt/glusterd/src/glusterd-utils.c:  Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 137 Worker Ant 2018-08-17 20:56:14 UTC
REVIEW: https://review.gluster.org/20796 (xlators/features/shard/src/shard.h: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 138 Worker Ant 2018-08-17 20:58:58 UTC
REVIEW: https://review.gluster.org/20797 (xlators/features/shard/src/shard.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 139 Worker Ant 2018-08-17 21:01:20 UTC
REVIEW: https://review.gluster.org/20799 (xlators/features/locks/src/common.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 140 Worker Ant 2018-08-17 21:03:22 UTC
REVIEW: https://review.gluster.org/20798 (xlators/features/marker/src/marker-quota.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 141 Worker Ant 2018-08-17 21:05:34 UTC
REVIEW: https://review.gluster.org/20800 (xlators/features/leases/src/leases-internal.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 142 Worker Ant 2018-08-17 21:07:20 UTC
REVIEW: https://review.gluster.org/20802 (xlators/features/cloudsync/src/cloudsync-plugins/src/cloudsyncs3/src/libcloudsyncs3.c:  Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 143 Worker Ant 2018-08-17 21:09:19 UTC
REVIEW: https://review.gluster.org/20803 (xlators/features/bit-rot/src/bitd/bit-rot.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 144 Worker Ant 2018-08-17 21:11:21 UTC
REVIEW: https://review.gluster.org/20804 (xlators/features/bit-rot/src/bitd/bit-rot-scrub.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 145 Worker Ant 2018-08-17 21:13:13 UTC
REVIEW: https://review.gluster.org/20805 (bxlators/encryption/crypt/src/metadata.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 146 Worker Ant 2018-08-17 21:15:06 UTC
REVIEW: https://review.gluster.org/20806 (xlators/encryption/crypt/src/crypt.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 147 Worker Ant 2018-08-17 21:17:05 UTC
REVIEW: https://review.gluster.org/20807 (xlators/cluster/stripe/src/stripe-helpers.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 148 Worker Ant 2018-08-17 21:18:47 UTC
REVIEW: https://review.gluster.org/20808 (xlators/cluster/dht/src/tier.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 149 Worker Ant 2018-08-17 21:21:04 UTC
REVIEW: https://review.gluster.org/20810 (xlators/cluster/dht/src/dht-helper.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 150 Worker Ant 2018-08-17 21:22:45 UTC
REVIEW: https://review.gluster.org/20811 (xlators/cluster/dht/src/dht-common.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 151 Worker Ant 2018-08-17 21:24:43 UTC
REVIEW: https://review.gluster.org/20812 (xlators/cluster/afr/src/afr.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 152 Worker Ant 2018-08-17 21:26:38 UTC
REVIEW: https://review.gluster.org/20813 (xlators/cluster/afr/src/afr-inode-read.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 153 Worker Ant 2018-08-17 21:28:20 UTC
REVIEW: https://review.gluster.org/20814 (tests/bugs/replicate/bug-1250170-fsync.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 154 Worker Ant 2018-08-17 21:29:56 UTC
REVIEW: https://review.gluster.org/20815 (tests/basic/gfapi/gfapi-async-calls-test.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 155 Worker Ant 2018-08-17 21:31:48 UTC
REVIEW: https://review.gluster.org/20816 (tests/basic/ec/ec-fast-fgetxattr.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 156 Worker Ant 2018-08-17 21:33:42 UTC
REVIEW: https://review.gluster.org/20801 (xlators/features/gfid-access/src/gfid-access.c:  Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 157 Worker Ant 2018-08-17 21:36:09 UTC
REVIEW: https://review.gluster.org/20817 (rpc/xdr/src/glusterfs3.h: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 158 Worker Ant 2018-08-17 21:37:45 UTC
REVIEW: https://review.gluster.org/20818 (rpc/rpc-transport/socket/src/socket.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 159 Worker Ant 2018-08-17 21:40:19 UTC
REVIEW: https://review.gluster.org/20819 (rpc/rpc-lib/src/rpc-clnt.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 160 Worker Ant 2018-08-17 21:42:34 UTC
REVIEW: https://review.gluster.org/20820 (libglusterfs/src/rbthash.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 161 Worker Ant 2018-08-17 21:44:56 UTC
REVIEW: https://review.gluster.org/20821 (libglusterfs/src/graph.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 162 Worker Ant 2018-08-17 21:46:59 UTC
REVIEW: https://review.gluster.org/20822 (libglusterfs/src/dict.c:  Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 163 Worker Ant 2018-08-17 21:48:42 UTC
REVIEW: https://review.gluster.org/20823 (libglusterfs/src/common-utils.c:  Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 164 Worker Ant 2018-08-17 21:50:39 UTC
REVIEW: https://review.gluster.org/20824 (libglusterfs/src/client_t.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 165 Worker Ant 2018-08-17 21:52:29 UTC
REVIEW: https://review.gluster.org/20825 (glusterfsd/src/glusterfsd.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 166 Worker Ant 2018-08-17 21:54:10 UTC
REVIEW: https://review.gluster.org/20809 (xlators/cluster/dht/src/dht-layout.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 167 Worker Ant 2018-08-17 21:56:04 UTC
REVIEW: https://review.gluster.org/20826 (extras/geo-rep/gsync-sync-gfid.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 168 Worker Ant 2018-08-17 21:57:41 UTC
REVIEW: https://review.gluster.org/20827 (cli/src/cli-xml-output.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 169 Worker Ant 2018-08-17 21:59:03 UTC
REVIEW: https://review.gluster.org/20828 (cli/src/cli-rpc-ops.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 170 Worker Ant 2018-08-17 22:00:59 UTC
REVIEW: https://review.gluster.org/20829 (cli/src/cli-cmd-volume.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 171 Worker Ant 2018-08-17 22:02:30 UTC
REVIEW: https://review.gluster.org/20830 (cli/src/cli-cmd-system.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 172 Worker Ant 2018-08-17 22:04:03 UTC
REVIEW: https://review.gluster.org/20831 (cli/src/cli-cmd-snapshot.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 173 Worker Ant 2018-08-17 22:05:35 UTC
REVIEW: https://review.gluster.org/20833 (cli/src/cli-cmd-parser.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 174 Worker Ant 2018-08-17 22:07:00 UTC
REVIEW: https://review.gluster.org/20834 (cli/src/cli-cmd-global.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 175 Worker Ant 2018-08-17 22:08:32 UTC
REVIEW: https://review.gluster.org/20832 (cli/src/cli-cmd-peer.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 176 Worker Ant 2018-08-17 22:09:59 UTC
REVIEW: https://review.gluster.org/20835 (api/src/glfs.c:  Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#1) for review on master by Yaniv Kaul

Comment 177 Worker Ant 2018-08-17 22:11:31 UTC
REVIEW: https://review.gluster.org/20836 (glusterfsd/src/glusterfsd.c : reduce size or re-scope message variable) posted (#1) for review on master by Yaniv Kaul

Comment 178 Worker Ant 2018-08-17 22:13:08 UTC
REVIEW: https://review.gluster.org/20840 (xlators/mgmt/glusterd/src/glusterd-handler.c : reduce size or re-scope message variable) posted (#1) for review on master by Yaniv Kaul

Comment 179 Worker Ant 2018-08-17 22:14:36 UTC
REVIEW: https://review.gluster.org/20841 (xlators/mgmt/glusterd/src/glusterd-handshake.c : reduce size or re-scope message variable) posted (#1) for review on master by Yaniv Kaul

Comment 180 Worker Ant 2018-08-17 22:16:14 UTC
REVIEW: https://review.gluster.org/20837 (xlators/mgmt/glusterd/src/glusterd-bitrot.c : reduce size or re-scope message variable) posted (#1) for review on master by Yaniv Kaul

Comment 181 Worker Ant 2018-08-17 22:17:47 UTC
REVIEW: https://review.gluster.org/20838 (xlators/mgmt/glusterd/src/glusterd-brick-ops.c : reduce size or re-scope message variable) posted (#1) for review on master by Yaniv Kaul

Comment 182 Worker Ant 2018-08-17 22:19:16 UTC
REVIEW: https://review.gluster.org/20839 (xlators/mgmt/glusterd/src/glusterd-geo-rep.c : reduce size or re-scope message variable) posted (#1) for review on master by Yaniv Kaul

Comment 183 Worker Ant 2018-08-17 22:21:19 UTC
REVIEW: https://review.gluster.org/20842 (xlators/mgmt/glusterd/src/glusterd-log-ops.c : reduce size or re-scope message variable) posted (#1) for review on master by Yaniv Kaul

Comment 184 Worker Ant 2018-08-17 22:22:50 UTC
REVIEW: https://review.gluster.org/20843 (xlators/mgmt/glusterd/src/glusterd-replace-brick.c : reduce size or re-scope message variable) posted (#1) for review on master by Yaniv Kaul

Comment 185 Worker Ant 2018-08-17 22:24:41 UTC
REVIEW: https://review.gluster.org/20844 (xlators/mgmt/glusterd/src/glusterd-rpc-ops.c : reduce size or re-scope message variable) posted (#1) for review on master by Yaniv Kaul

Comment 186 Worker Ant 2018-08-17 22:26:21 UTC
REVIEW: https://review.gluster.org/20845 (xlators/mgmt/glusterd/src/glusterd-snapshot-utils.c : reduce size or re-scope message variable) posted (#1) for review on master by Yaniv Kaul

Comment 187 Worker Ant 2018-08-17 22:28:40 UTC
REVIEW: https://review.gluster.org/20846 (xlators/mgmt/glusterd/src/glusterd-utils.c : reduce size or re-scope message variable) posted (#1) for review on master by Yaniv Kaul

Comment 188 Worker Ant 2018-08-17 22:30:13 UTC
REVIEW: https://review.gluster.org/20847 (xlators/mgmt/glusterd/src/glusterd-volgen.c : reduce size or re-scope message variable) posted (#1) for review on master by Yaniv Kaul

Comment 189 Worker Ant 2018-08-17 22:32:02 UTC
REVIEW: https://review.gluster.org/20848 (xlators/mgmt/glusterd/src/glusterd-volume-ops.c : reduce size or re-scope message variable) posted (#1) for review on master by Yaniv Kaul

Comment 190 Worker Ant 2018-08-17 22:33:33 UTC
REVIEW: https://review.gluster.org/20849 (libglusterfs/src/common-utils.c: strncpy -> sprintf, remove dead code.) posted (#1) for review on master by Yaniv Kaul

Comment 191 Worker Ant 2018-08-18 10:23:26 UTC
REVIEW: https://review.gluster.org/20763 (dict.c: copy-pasta fix (dict -> data)) posted (#2) for review on master by Yaniv Kaul

Comment 192 Worker Ant 2018-08-18 10:24:52 UTC
REVIEW: https://review.gluster.org/20764 (dict.c: ensure hash is done in the right place Outside of locks, whenever is possible, for example.) posted (#2) for review on master by Yaniv Kaul

Comment 193 Worker Ant 2018-08-18 10:26:11 UTC
REVIEW: https://review.gluster.org/20765 (dict.c: fix coverity issue) posted (#2) for review on master by Yaniv Kaul

Comment 194 Worker Ant 2018-08-19 10:04:01 UTC
COMMIT: https://review.gluster.org/20763 committed in master by "Niels de Vos" <ndevos@redhat.com> with a commit message- dict.c: copy-pasta fix (dict -> data)

Change-Id: Ifda14a1cc01e0fa99ff20d710eccb43296e22955
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 195 Worker Ant 2018-08-20 03:03:00 UTC
COMMIT: https://review.gluster.org/20746 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- gnfs: fix gcc warnings

gcc version 8.1.1 20180712 (Red Hat 8.1.1-5) (GCC) on Fedora 28.

Sample warnings:
1)
nfs3.c:292:54: warning: ‘%s’ directive output may be truncated writing up to 255 bytes into a region of size between 143 and 250 [-Wformat-truncation=]
                         snprintf (buf, sizeof (buf), "(%s) %s : %s",    \
                                                      ^~~~~~~~~~~~~~
nfs3.c:295:35:
                                   gfid);                                \
                                   ~~~~
2)
nlm4.c:145:54: warning: ‘%s’ directive output may be truncated writing up to 255 bytes into a region of size between 143 and 250 [-Wformat-truncation=]
                         snprintf (buf, sizeof (buf), "(%s) %s : %s",    \
                                                      ^~~~~~~~~~~~~~
nlm4.c:148:35:
                                   gfid);                                \
                                   ~~~~
acl3.c:128:54: warning: ‘%s’ directive output may be truncated writing up to 255 bytes into a region of size between 143 and 250 [-Wformat-truncation=]
                         snprintf (buf, sizeof (buf), "(%s) %s : %s",    \
                                                      ^~~~~~~~~~~~~~
acl3.c:131:35:
                                   gfid);                                \
                                   ~~~~

updates: bz#1193929
Change-Id: I760b8176e48f1f4628a1a98afa54a7994bdf13e9
Signed-off-by: Ravishankar N <ravishankar@redhat.com>

Comment 196 Worker Ant 2018-08-20 03:08:54 UTC
COMMIT: https://review.gluster.org/20771 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- libguestfs/src/mem-pool.h: switch from calloc() to malloc()

If we are going to overwrite that allocated memory, why bother zero'ing it?

Only compile-tested!

updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Change-Id: I9c9d2d8d5ab3e706c747feb1920ecd417807f7fd

Comment 197 Worker Ant 2018-08-20 03:12:47 UTC
COMMIT: https://review.gluster.org/20849 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- libglusterfs/src/common-utils.c: strncpy -> sprintf, remove dead code.

strncpy may not be very efficient for sort strings copied into
a large buffer: If the length of src is less than n,
strncpy() writes additional null bytes to dest to ensure
that a total of n bytes are written.

Instead, do a quick calc to see how much we really need and use
snprintf() to copy as much.

Also, move from CALLOC to MALLOC, as we are writing to this newly
allocated memory right away and add terminating null.

Lastly, removed some dead code. I did the same optimization as above
to it, only to find out no one is using it.

Compile-tested only!

Change-Id: Ib91b9a73c3d74c511fd067446b1bf6c2e1802687
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 198 Worker Ant 2018-08-20 12:20:12 UTC
COMMIT: https://review.gluster.org/20764 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- dict.c: ensure hash is done in the right place.

The hash should be done outside of locks, whenever is possible.


Change-Id: I4f8f7455702e0489a57105cf79668c7fca90e1c0
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 199 Worker Ant 2018-08-21 04:51:33 UTC
COMMIT: https://review.gluster.org/20836 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- glusterfsd/src/glusterfsd.c : reduce size or re-scope message variable

The the error and/or message variable was either:
- Reduced in size - from 2048 bytes to 64 bytes, for example.
or
- Changed in scope - defined in a smaller scope.

Compile-tested only!

Change-Id: I20b9fb3407a74ba96fcbc7f05fcab534ff562c09
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 200 Worker Ant 2018-08-21 10:50:59 UTC
COMMIT: https://review.gluster.org/20744 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- glusterd: fix gcc warnings

...and also changed char array initialization to from {0,} to "".

gcc version 8.1.1 20180712 (Red Hat 8.1.1-5) (GCC) on Fedora 28.

Sample warnings:
glusterd-utils.c:7234:41: warning: ‘.hostname’ directive output may be truncated writing 9 bytes into a region of size between 1 and 1024 [-Wformat-truncation=]
         snprintf (key, sizeof (key), "%s.hostname", base_key);
                                         ^~~~~~~~~
glusterd-utils.c:7234:9: note: ‘snprintf’ output between 10 and 1033 bytes into a destination of size 1024
         snprintf (key, sizeof (key), "%s.hostname", base_key);
         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

glusterd-snapshot.c:3090:65: warning: ‘/’ directive output may be truncated writing 1 byte into a region of size between 0 and 4095 [-Wformat-truncation=]
                 snprintf (snap_path, sizeof (snap_path) - 1, "%s/%s",
                                                                 ^
glusterd-snapshot.c:3090:17: note: ‘snprintf’ output between 2 and 4351 bytes into a destination of size 4095
                 snprintf (snap_path, sizeof (snap_path) - 1, "%s/%s",
                 ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                           snap_mount_dir, snap_vol->snapshot->snapname);
                           ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

glusterd-statedump.c:28:45: warning: ‘%s’ directive output may be truncated writing up to 4095 bytes into a region of size 144 [-Wformat-truncation=]
         snprintf (subkey, sizeof (subkey), "%s%d", key, index);
                                             ^~     ~~~
glusterd-statedump.c:28:9: note: ‘snprintf’ output between 2 and 4107 bytes into a destination of size 144
         snprintf (subkey, sizeof (subkey), "%s%d", key, index);
         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

updates: bz#1193929
Change-Id: Ic721f27b28d1221c124b570e81c55528f5b7f3cd
Signed-off-by: Ravishankar N <ravishankar@redhat.com>

Comment 201 Worker Ant 2018-08-21 22:37:25 UTC
REVIEW: https://review.gluster.org/20877 (api/src/glfs.c: move to GF_MALLOC() instead of GF_CALLOC()) posted (#1) for review on master by Yaniv Kaul

Comment 202 Worker Ant 2018-08-21 22:39:04 UTC
REVIEW: https://review.gluster.org/20878 (cli/src/cli-cmd-parser.c:move to GF_MALLOC() instead of GF_CALLOC() when) posted (#1) for review on master by Yaniv Kaul

Comment 203 Worker Ant 2018-08-21 22:40:52 UTC
REVIEW: https://review.gluster.org/20879 (libglusterfs/src/quotea-common-utils.c:move to GF_MALLOC() instead of GF_CALLOC() when) posted (#1) for review on master by Yaniv Kaul

Comment 204 Worker Ant 2018-08-21 22:42:29 UTC
REVIEW: https://review.gluster.org/20880 (rpc/rpc-lib/src/rpc-clnt-ping.c:move to GF_MALLOC() instead of GF_CALLOC() when) posted (#1) for review on master by Yaniv Kaul

Comment 205 Worker Ant 2018-08-21 22:44:10 UTC
REVIEW: https://review.gluster.org/20882 (xlators/cluster/dht/src/dht-common.c :move to GF_MALLOC() instead of GF_CALLOC() when) posted (#1) for review on master by Yaniv Kaul

Comment 206 Worker Ant 2018-08-21 22:46:09 UTC
REVIEW: https://review.gluster.org/20883 (xlators/cluster/dht/src/tier-common.c:move to GF_MALLOC() instead of GF_CALLOC() when) posted (#1) for review on master by Yaniv Kaul

Comment 207 Worker Ant 2018-08-21 22:47:58 UTC
REVIEW: https://review.gluster.org/20881 (xlators/cluster/afr/src/afr-inode-read.c: move to GF_MALLOC() instead of GF_CALLOC() when) posted (#1) for review on master by Yaniv Kaul

Comment 208 Worker Ant 2018-08-22 06:31:40 UTC
REVISION POSTED: https://review.gluster.org/20851 (xlators/storage/bd/src/bd.c:  Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#5) for review on master by Yaniv Kaul

Comment 209 Worker Ant 2018-08-22 06:31:40 UTC
REVISION POSTED: https://review.gluster.org/20851 (xlators/storage/bd/src/bd.c:  Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#5) for review on master by Yaniv Kaul

Comment 210 Worker Ant 2018-08-22 06:31:43 UTC
REVIEW: https://review.gluster.org/20851 (xlators/storage/bd/src/bd.c:  Move to GF_MALLOC() instead of GF_CALLOC() when possible) posted (#5) for review on master by Yaniv Kaul

Comment 211 Worker Ant 2018-08-22 13:30:47 UTC
COMMIT: https://review.gluster.org/20877 committed in master by "Niels de Vos" <ndevos@redhat.com> with a commit message- api/src/glfs.c: move to GF_MALLOC() instead of GF_CALLOC()

It doesn't make sense to calloc (allocate and clear) memory
when the code right away fills that memory with data.
It may be optimized by the compiler, or have a microscopic
performance improvement.

Please review carefully, especially for string allocation, with the
terminating NULL string.

Only compile-tested!

Change-Id: Ieeb86ff5d99176250f57c0a28c215c709b83fc80
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 212 Worker Ant 2018-08-22 13:31:14 UTC
COMMIT: https://review.gluster.org/20824 committed in master by "Niels de Vos" <ndevos@redhat.com> with a commit message- libglusterfs/src/client_t.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible

It doesn't make sense to calloc (allocate and clear) memory
when the code right away fills that memory with data.
It may be optimized by the compiler, or have a microscopic
performance improvement.

In some cases, also changed allocation size to be sizeof some
struct or type instead of a pointer - easier to read.
In some cases, removed redundant strlen() calls by saving the result
into a variable.

1. Only done for the straightforward cases. There's room for improvement.
2. Please review carefully, especially for string allocation, with the
terminating NULL string.

Only compile-tested!

updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Change-Id: I58d2604ef684f94ea782fdbb1b1462fc7be53a9e

Comment 213 Worker Ant 2018-08-22 13:31:45 UTC
COMMIT: https://review.gluster.org/20822 committed in master by "Niels de Vos" <ndevos@redhat.com> with a commit message- libglusterfs/src/dict.c:  Move to GF_MALLOC() instead of GF_CALLOC() when possible

It doesn't make sense to calloc (allocate and clear) memory
when the code right away fills that memory with data.
It may be optimized by the compiler, or have a microscopic
performance improvement.

In some cases, also changed allocation size to be sizeof some
struct or type instead of a pointer - easier to read.
In some cases, removed redundant strlen() calls by saving the result
into a variable.

1. Only done for the straightforward cases. There's room for improvement.
2. Please review carefully, especially for string allocation, with the
terminating NULL string.

Only compile-tested!

updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Change-Id: Iea9098b9ec0a82a866fbc5836514b1b317daefa1

Comment 214 Worker Ant 2018-08-22 13:32:06 UTC
COMMIT: https://review.gluster.org/20820 committed in master by "Niels de Vos" <ndevos@redhat.com> with a commit message- libglusterfs/src/rbthash.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible

It doesn't make sense to calloc (allocate and clear) memory
when the code right away fills that memory with data.
It may be optimized by the compiler, or have a microscopic
performance improvement.

In some cases, also changed allocation size to be sizeof some
struct or type instead of a pointer - easier to read.
In some cases, removed redundant strlen() calls by saving the result
into a variable.

1. Only done for the straightforward cases. There's room for improvement.
2. Please review carefully, especially for string allocation, with the
terminating NULL string.

Only compile-tested!

updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Change-Id: Ied400a500e36373d725f9480c5ebbe0a851f7c40

Comment 215 Worker Ant 2018-08-22 13:32:34 UTC
COMMIT: https://review.gluster.org/20879 committed in master by "Niels de Vos" <ndevos@redhat.com> with a commit message- libglusterfs/src/quota-common-utils.c:move to GF_MALLOC() instead of GF_CALLOC() when

It doesn't make sense to calloc (allocate and clear) memory
when the code right away fills that memory with data.
It may be optimized by the compiler, or have a microscopic
performance improvement.

Please review carefully, especially for string allocation, with the
terminating NULL string.

Only compile-tested!

Change-Id: Ie2a634d768904636160582189a5f0390668b37bb
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 216 Worker Ant 2018-08-22 13:34:38 UTC
COMMIT: https://review.gluster.org/20766 committed in master by "Niels de Vos" <ndevos@redhat.com> with a commit message- dict.c: align dictionary structures

Change-Id: Ib7250b3ff11a7ab98b578c0663dc1817624b8df1
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 217 Worker Ant 2018-08-22 15:18:20 UTC
COMMIT: https://review.gluster.org/20821 committed in master by "Niels de Vos" <ndevos@redhat.com> with a commit message- libglusterfs/src/graph.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible

It doesn't make sense to calloc (allocate and clear) memory
when the code right away fills that memory with data.
It may be optimized by the compiler, or have a microscopic
performance improvement.

In some cases, also changed allocation size to be sizeof some
struct or type instead of a pointer - easier to read.
In some cases, removed redundant strlen() calls by saving the result
into a variable.

1. Only done for the straightforward cases. There's room for improvement.
2. Please review carefully, especially for string allocation, with the
terminating NULL string.

Only compile-tested!

updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Change-Id: Icd990423a5e6048e76922668aab67422f4bc1867

Comment 218 Worker Ant 2018-08-22 15:48:13 UTC
COMMIT: https://review.gluster.org/20426 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- xlators/playground: fix the template files with latest requirements

* Make use of xlator_api
* Make use of gf_msg()
* Make use of mem-pool
* Add a sample metrics dump function
* Provide an dummy option, which can be initialized, and reconfigured
* Add a test case to make sure template xlator is built and used
  with default fops
* Make a change in rpc-coverage to run without lock tests.

Updates: bz#1193929
Change-Id: I377dd67b656f440f9bc7c0098e21c0c1934e9096
Signed-off-by: Amar Tumballi <amarts@redhat.com>

Comment 219 Worker Ant 2018-08-22 18:08:23 UTC
COMMIT: https://review.gluster.org/20823 committed in master by "Niels de Vos" <ndevos@redhat.com> with a commit message- libglusterfs/src/common-utils.c:  Move to GF_MALLOC() instead of GF_CALLOC() when possible

It doesn't make sense to calloc (allocate and clear) memory
when the code right away fills that memory with data.
It may be optimized by the compiler, or have a microscopic
performance improvement.

In some cases, also changed allocation size to be sizeof some
struct or type instead of a pointer - easier to read.
In some cases, removed redundant strlen() calls by saving the result
into a variable.

1. Only done for the straightforward cases. There's room for improvement.
2. Please review carefully, especially for string allocation, with the
terminating NULL string.

Only compile-tested!

updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Change-Id: I579f5b405bf410aac5ab0452231124d354f94ed1

Comment 220 Worker Ant 2018-08-22 19:10:31 UTC
REVIEW: https://review.gluster.org/20894 (glfs-fops.c, glfs.c: strncpy() -> sprintf(), reduce strlen()'s) posted (#1) for review on master by Yaniv Kaul

Comment 221 Worker Ant 2018-08-22 19:11:41 UTC
REVIEW: https://review.gluster.org/20895 ({cli-cmd-parser|cli-rpc-ops||cli-xml-output}.c: strncpy()->sprintf(), reduce strlen()'s) posted (#1) for review on master by Yaniv Kaul

Comment 222 Worker Ant 2018-08-22 19:12:49 UTC
REVIEW: https://review.gluster.org/20896 ({mount-common|fusermount|mount_darwin|umountd}.c: strncpy()->sprintf(), reduce strlen()'s) posted (#1) for review on master by Yaniv Kaul

Comment 223 Worker Ant 2018-08-22 19:13:53 UTC
REVIEW: https://review.gluster.org/20900 (bit-rot xlator: strncpy()->sprintf(), reduce strlen()'s) posted (#1) for review on master by Yaniv Kaul

Comment 224 Worker Ant 2018-08-22 19:14:59 UTC
REVIEW: https://review.gluster.org/20897 (extras/geo-rep/gsync-sync-gfid.c: move from strlen() to sizeof()) posted (#1) for review on master by Yaniv Kaul

Comment 225 Worker Ant 2018-08-22 19:17:01 UTC
REVIEW: https://review.gluster.org/20898 (multiple files: move from strlen() to sizeof()) posted (#1) for review on master by Yaniv Kaul

Comment 226 Worker Ant 2018-08-22 19:18:50 UTC
REVIEW: https://review.gluster.org/20899 (multiple files: move from strlen() to sizeof()) posted (#1) for review on master by Yaniv Kaul

Comment 227 Worker Ant 2018-08-22 19:20:24 UTC
REVIEW: https://review.gluster.org/20901 (changelog xlator: strncpy()->sprintf(), reduce strlen()'s) posted (#1) for review on master by Yaniv Kaul

Comment 228 Worker Ant 2018-08-22 19:22:35 UTC
REVIEW: https://review.gluster.org/20902 (changetimerecoder xlator: strncpy()->sprintf(), reduce strlen()'s) posted (#1) for review on master by Yaniv Kaul

Comment 229 Worker Ant 2018-08-22 19:24:13 UTC
REVIEW: https://review.gluster.org/20903 (xlators: move from strlen() to sizeof()) posted (#1) for review on master by Yaniv Kaul

Comment 230 Worker Ant 2018-08-22 19:25:55 UTC
REVIEW: https://review.gluster.org/20904 (NFS server (mount3.c, nfs-inodes.c): strncpy()->sprintf(), reduce strlen()'s) posted (#1) for review on master by Yaniv Kaul

Comment 231 Worker Ant 2018-08-22 19:27:56 UTC
REVIEW: https://review.gluster.org/20905 (multiple xlators: move from strlen() to sizeof()) posted (#1) for review on master by Yaniv Kaul

Comment 232 Worker Ant 2018-08-22 19:30:02 UTC
REVIEW: https://review.gluster.org/20906 (multiple xlators: strncpy()->sprintf(), reduce strlen()'s) posted (#1) for review on master by Yaniv Kaul

Comment 233 Worker Ant 2018-08-22 19:32:22 UTC
REVIEW: https://review.gluster.org/20908 (multiple xlators (storage/posix): strncpy()->sprintf(), reduce strlen()'s) posted (#1) for review on master by Yaniv Kaul

Comment 234 Worker Ant 2018-08-22 19:34:13 UTC
REVIEW: https://review.gluster.org/20909 (Various files: strncpy()->sprintf(), reduce strlen()'s) posted (#1) for review on master by Yaniv Kaul

Comment 235 Worker Ant 2018-08-22 19:36:08 UTC
REVIEW: https://review.gluster.org/20907 (multiple xlators (mgmt): strncpy()->sprintf(), reduce strlen()'s) posted (#1) for review on master by Yaniv Kaul

Comment 236 Worker Ant 2018-08-23 03:48:14 UTC
COMMIT: https://review.gluster.org/20837 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- xlators/mgmt/glusterd/src/glusterd-bitrot.c : reduce size of message variable

Size of error message variable reduced from 2048 bytes to 256 bytes.

Compile-tested only!

Change-Id: Ib536451d9b562f932132b99c4eff21fc4f2775bc
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 237 Worker Ant 2018-08-23 03:50:22 UTC
COMMIT: https://review.gluster.org/20838 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- xlators/mgmt/glusterd/src/glusterd-brick-ops.c : reduce size or re-scope message variable

The the error and/or message variable was either:
- Reduced in size - from 2048 bytes to 64 bytes, for example.
or
- Changed in scope - defined in a smaller scope.

Compile-tested only!

Change-Id: Ib74e5f8f4c2978f670d4708e9382e97edf5df0a7
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 238 Worker Ant 2018-08-23 04:19:39 UTC
COMMIT: https://review.gluster.org/20839 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- xlators/mgmt/glusterd/src/glusterd-geo-rep.c : reduce size of message variable

Size of error message variable reduced from 2048 bytes to 64 bytes.

Compile-tested only!

Change-Id: I65abd9c4f23a64ac9cda5373aff4119458addbc8
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 239 Worker Ant 2018-08-23 04:20:05 UTC
COMMIT: https://review.gluster.org/20840 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- xlators/mgmt/glusterd/src/glusterd-handler.c : reduce size or re-scope message variable

The the error and/or message variable was either:
- Reduced in size - from 2048 bytes to 64 bytes, for example.
or
- Changed in scope - defined in a smaller scope.

Compile-tested only!

Change-Id: Iebb92a56d9d0ca53c80d75866bcb7848e08cf6b2
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 240 Worker Ant 2018-08-23 04:20:28 UTC
COMMIT: https://review.gluster.org/20841 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- xlators/mgmt/glusterd/src/glusterd-handshake.c : reduce size or re-scope message variable

The the error and/or message variable was either:
- Reduced in size - from 2048 bytes to 64 bytes, for example.
or
- Changed in scope - defined in a smaller scope.

Compile-tested only!

Change-Id: I9c609415667844ee034b7eb2b67bdbc19d38819d
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 241 Worker Ant 2018-08-23 06:10:39 UTC
COMMIT: https://review.gluster.org/20844 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- xlators/mgmt/glusterd/src/glusterd-rpc-ops.c : re-scope message variable

The error and/or message variable was changed in scope:
defined in a smaller scope.

Compile-tested only!

Change-Id: I5e46a1992ad35a996aa8ee58da28606ac018ab8e
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 242 Worker Ant 2018-08-23 06:56:42 UTC
REVIEW: https://review.gluster.org/20918 (glfs-fops.c, glfs.c: strncpy() -> sprintf(), reduce strlen()'s) posted (#1) for review on master by Yaniv Kaul

Comment 243 Worker Ant 2018-08-23 06:58:16 UTC
REVIEW: https://review.gluster.org/20919 ({cli-cmd-parser|cli-rpc-ops||cli-xml-output}.c: strncpy()->sprintf(), reduce strlen()'s) posted (#1) for review on master by Yaniv Kaul

Comment 244 Worker Ant 2018-08-23 06:59:29 UTC
REVIEW: https://review.gluster.org/20922 (multiple files: move from strlen() to sizeof()) posted (#1) for review on master by Yaniv Kaul

Comment 245 Worker Ant 2018-08-23 07:01:26 UTC
REVIEW: https://review.gluster.org/20920 ({mount-common|fusermount|mount_darwin|umountd}.c: strncpy()->sprintf(), reduce strlen()'s) posted (#1) for review on master by Yaniv Kaul

Comment 246 Worker Ant 2018-08-23 07:02:44 UTC
REVIEW: https://review.gluster.org/20921 (extras/geo-rep/gsync-sync-gfid.c: move from strlen() to sizeof()) posted (#1) for review on master by Yaniv Kaul

Comment 247 Worker Ant 2018-08-23 07:05:14 UTC
REVIEW: https://review.gluster.org/20923 (multiple files: move from strlen() to sizeof()) posted (#1) for review on master by Yaniv Kaul

Comment 248 Worker Ant 2018-08-23 07:07:34 UTC
REVIEW: https://review.gluster.org/20924 (bit-rot xlator: strncpy()->sprintf(), reduce strlen()'s) posted (#1) for review on master by Yaniv Kaul

Comment 249 Worker Ant 2018-08-23 07:09:41 UTC
REVIEW: https://review.gluster.org/20925 (changelog xlator: strncpy()->sprintf(), reduce strlen()'s) posted (#1) for review on master by Yaniv Kaul

Comment 250 Worker Ant 2018-08-23 07:11:47 UTC
REVIEW: https://review.gluster.org/20926 (changetimerecoder xlator: strncpy()->sprintf(), reduce strlen()'s) posted (#1) for review on master by Yaniv Kaul

Comment 251 Worker Ant 2018-08-23 07:13:55 UTC
REVIEW: https://review.gluster.org/20930 (multiple xlators: strncpy()->sprintf(), reduce strlen()'s) posted (#1) for review on master by Yaniv Kaul

Comment 252 Worker Ant 2018-08-23 07:15:29 UTC
REVIEW: https://review.gluster.org/20927 (xlators: move from strlen() to sizeof()) posted (#1) for review on master by Yaniv Kaul

Comment 253 Worker Ant 2018-08-23 07:17:36 UTC
REVIEW: https://review.gluster.org/20928 (NFS server (mount3.c, nfs-inodes.c): strncpy()->sprintf(), reduce strlen()'s) posted (#1) for review on master by Yaniv Kaul

Comment 254 Worker Ant 2018-08-23 07:19:27 UTC
REVIEW: https://review.gluster.org/20929 (multiple xlators: move from strlen() to sizeof()) posted (#1) for review on master by Yaniv Kaul

Comment 255 Worker Ant 2018-08-23 07:20:56 UTC
REVIEW: https://review.gluster.org/20931 (multiple xlators (mgmt): strncpy()->sprintf(), reduce strlen()'s) posted (#1) for review on master by Yaniv Kaul

Comment 256 Worker Ant 2018-08-23 07:23:05 UTC
REVIEW: https://review.gluster.org/20932 (multiple xlators (storage/posix): strncpy()->sprintf(), reduce strlen()'s) posted (#1) for review on master by Yaniv Kaul

Comment 257 Worker Ant 2018-08-23 07:24:54 UTC
REVIEW: https://review.gluster.org/20933 (Various files: strncpy()->sprintf(), reduce strlen()'s) posted (#1) for review on master by Yaniv Kaul

Comment 258 Worker Ant 2018-08-23 07:27:04 UTC
REVIEW: https://review.gluster.org/20934 ({dht-rebalance|glusterd-geo-rep|glusterd-utils|nfs|bd}.c: no dict_del before dict_set) posted (#1) for review on master by Yaniv Kaul

Comment 259 Worker Ant 2018-08-23 07:49:39 UTC
REVIEW: https://review.gluster.org/20920 ({mount-common|fusermount|mount_darwin|umountd}.c: strncpy()->sprintf(), reduce strlen()'s) posted (#2) for review on master by Yaniv Kaul

Comment 260 Worker Ant 2018-08-23 07:50:47 UTC
REVIEW: https://review.gluster.org/20923 (multiple files: move from strlen() to sizeof()) posted (#2) for review on master by Yaniv Kaul

Comment 261 Worker Ant 2018-08-23 07:51:56 UTC
REVIEW: https://review.gluster.org/20924 (bit-rot xlator: strncpy()->sprintf(), reduce strlen()'s) posted (#2) for review on master by Yaniv Kaul

Comment 262 Worker Ant 2018-08-23 07:53:17 UTC
REVIEW: https://review.gluster.org/20921 (extras/geo-rep/gsync-sync-gfid.c: move from strlen() to sizeof()) posted (#2) for review on master by Yaniv Kaul

Comment 263 Worker Ant 2018-08-23 07:54:39 UTC
REVIEW: https://review.gluster.org/20925 (changelog xlator: strncpy()->sprintf(), reduce strlen()'s) posted (#2) for review on master by Yaniv Kaul

Comment 264 Worker Ant 2018-08-23 07:57:08 UTC
REVIEW: https://review.gluster.org/20922 (multiple files: move from strlen() to sizeof()) posted (#2) for review on master by Yaniv Kaul

Comment 265 Worker Ant 2018-08-23 09:28:37 UTC
COMMIT: https://review.gluster.org/20878 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- cli/src/cli-cmd-parser.c:move to GF_MALLOC() instead of GF_CALLOC() when

It doesn't make sense to calloc (allocate and clear) memory
when the code right away fills that memory with data.
It may be optimized by the compiler, or have a microscopic
performance improvement.

Please review carefully, especially for string allocation, with the
terminating NULL string.

Only compile-tested!

Change-Id: I01c67fd535ea4a2b8fa7cb4d89bff52642dc009a
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 266 Worker Ant 2018-08-23 09:29:38 UTC
COMMIT: https://review.gluster.org/20880 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- rpc/rpc-lib/src/rpc-clnt-ping.c:move to GF_MALLOC() instead of GF_CALLOC() when

It doesn't make sense to calloc (allocate and clear) memory
when the code right away fills that memory with data.
It may be optimized by the compiler, or have a microscopic
performance improvement.

Please review carefully, especially for string allocation, with the
terminating NULL string.

Only compile-tested!

Change-Id: Ifb30412ddf1bfa509f52e0454454929b266e5658
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 267 Worker Ant 2018-08-23 09:45:21 UTC
COMMIT: https://review.gluster.org/20847 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- xlators/mgmt/glusterd/src/glusterd-volgen.c : reduce size of message variable

Size of error message variable reduced from 4096 bytes to 128 bytes.

Compile-tested only!

Change-Id: I08c87502be791e68ab767ed96657ac89ee77fae0
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 268 Worker Ant 2018-08-23 10:05:02 UTC
COMMIT: https://review.gluster.org/20843 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- xlators/mgmt/glusterd/src/glusterd-replace-brick.c : reduce size of message variable

Size of error message variable reduced from 2048 bytes to 256 bytes.

Compile-tested only!

Change-Id: Ifc0f6af2256bcbec77102767ba651d5d55f8c906
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 269 Worker Ant 2018-08-23 10:18:18 UTC
COMMIT: https://review.gluster.org/20845 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- xlators/mgmt/glusterd/src/glusterd-snapshot-utils.c : declare err_str as const char

declare err_str as const char and intialize it at the time of declaration.

Compile-tested only!

Change-Id: If07e1130e819ce042905a2d0be650cd7afc2b558
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 270 Worker Ant 2018-08-23 10:18:49 UTC
COMMIT: https://review.gluster.org/20848 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- xlators/mgmt/glusterd/src/glusterd-volume-ops.c : reduce size of message variable

Size of error message variable reduced from 2048 bytes to 64 bytes or
128 bytes.

Compile-tested only!

Change-Id: I393ba03969a6e71ccb0ce382d0e0546192897312
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 271 Worker Ant 2018-08-23 10:19:13 UTC
COMMIT: https://review.gluster.org/20846 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- xlators/mgmt/glusterd/src/glusterd-utils.c : re-scope message variable

The the error message variable changed in scope - defined in a smaller scope.

Compile-tested only!

Change-Id: I16dda11c30099b0e448b8e44a300f153727ce8da
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 272 Worker Ant 2018-08-23 11:16:26 UTC
REVIEW: https://review.gluster.org/20977 (libglusterfs/src/iobuf.c: remove memset(), CALLOC -> MALLOC) posted (#1) for review on master by Yaniv Kaul

Comment 273 Worker Ant 2018-08-24 05:40:26 UTC
COMMIT: https://review.gluster.org/20977 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- libglusterfs/src/iobuf.c: remove memset(), CALLOC -> MALLOC

I'm not sure I see the need for those memset(), I've removed them.
There's at least one easy to convert CALLOC to MALLOC - converted.

Only compile-tested!

updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Change-Id: Ia019775ad5255190f5d02d948ea27db7f563387d

Comment 274 Worker Ant 2018-08-24 12:07:22 UTC
REVIEW: https://review.gluster.org/20985 (shard: NULL pointer dereferencing clang fix) posted (#1) for review on master by Shwetha K Acharya

Comment 275 Worker Ant 2018-08-24 14:48:57 UTC
REVIEW: https://review.gluster.org/20989 (libglusterfs/src/dict.c: allocate memory accurately.) posted (#1) for review on master by Yaniv Kaul

Comment 276 Worker Ant 2018-08-24 16:27:19 UTC
COMMIT: https://review.gluster.org/20918 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- glfs-fops.c, glfs.c: strncpy() -> sprintf(), reduce strlen()'s

strncpy may not be very efficient for short strings copied into
a large buffer: If the length of src is less than n,
strncpy() writes additional null bytes to dest to ensure
that a total of n bytes are written.

Instead, use snprintf().

Also, save the result of strlen() and re-use it when possible.

Compile-tested only!

Change-Id: I4ecfb359cf0efaafeab245a8138f526b21613231
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 277 Worker Ant 2018-08-24 16:27:48 UTC
COMMIT: https://review.gluster.org/20919 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- {cli-cmd-parser|cli-rpc-ops||cli-xml-output}.c: strncpy()->sprintf(), reduce strlen()'s

strncpy may not be very efficient for short strings copied into
a large buffer: If the length of src is less than n,
strncpy() writes additional null bytes to dest to ensure
that a total of n bytes are written.

Instead, use snprintf().

Also:
- save the result of strlen() and re-use it when possible.
- move from GF_CALLOC() to GF_MALLOC() for the strings.
- move from strlen to sizeof() for const strings.

Compile-tested only!

Change-Id: I3cf49c5401ee100a5db6a4954c3d699ec1814c17
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 278 Worker Ant 2018-08-24 16:28:09 UTC
COMMIT: https://review.gluster.org/20920 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- {mount-common|fusermount|mount_darwin|umountd}.c: strncpy()->sprintf(), reduce strlen()'s

strncpy may not be very efficient for short strings copied into
a large buffer: If the length of src is less than n,
strncpy() writes additional null bytes to dest to ensure
that a total of n bytes are written.

Instead, use snprintf().

Also:
- save the result of strlen() and re-use it when possible.
- move from strlen to SLEN (sizeof() ) for const strings.

Compile-tested only!

Change-Id: I369209b36d8356c3fe00d32f8bf56e74cf9963db
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 279 Worker Ant 2018-08-24 16:35:18 UTC
REVIEW: https://review.gluster.org/20988 (dict.c: fix indention) posted (#2) for review on master by Yaniv Kaul

Comment 280 Worker Ant 2018-08-25 06:24:39 UTC
COMMIT: https://review.gluster.org/20921 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- extras/geo-rep/gsync-sync-gfid.c: move from strlen() to sizeof()

For const strings, just do compile-time size calc instead of runtime.

Compile-tested only!

Change-Id: I89470016389a4ecb3bed35a1c9e684f5fae79997
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 281 Worker Ant 2018-08-25 17:10:47 UTC
COMMIT: https://review.gluster.org/20922 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- multiple files: move from strlen() to sizeof()

{ec-heal|ec-combine|ec-helpers|ec-inode-read}.c

For const strings, just do compile time size calc instead of runtime.

Compile-tested only!

Change-Id: If92ba0a7a20f64b898d01c6e3b6708190ca93e04
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 282 Worker Ant 2018-08-26 07:46:04 UTC
REVIEW: https://review.gluster.org/20995 (contrib/fuse-lib/misc.c: remove unneeded memset()) posted (#1) for review on master by Yaniv Kaul

Comment 283 Worker Ant 2018-08-26 07:48:10 UTC
REVIEW: https://review.gluster.org/20996 (libglusterfs/src/{client_t|fd|inode|stack}.c: remove some memset()) posted (#1) for review on master by Yaniv Kaul

Comment 284 Worker Ant 2018-08-26 07:49:14 UTC
REVIEW: https://review.gluster.org/20997 (libglusterfs/src/xlator.c: remove unneeded memset()) posted (#1) for review on master by Yaniv Kaul

Comment 285 Worker Ant 2018-08-26 07:50:28 UTC
REVIEW: https://review.gluster.org/20998 (xlators/cluster/afr/src/afr-self-heal-common.c: remove unneeded memset()) posted (#1) for review on master by Yaniv Kaul

Comment 286 Worker Ant 2018-08-26 07:51:43 UTC
REVIEW: https://review.gluster.org/20999 (xlators/cluster/dht/src/dht-common.c: remove unneeded memset()) posted (#1) for review on master by Yaniv Kaul

Comment 287 Worker Ant 2018-08-26 07:52:49 UTC
REVIEW: https://review.gluster.org/21000 (xlators/cluster/ec/src/ec-helpers.c: remove unneeded memset()) posted (#1) for review on master by Yaniv Kaul

Comment 288 Worker Ant 2018-08-26 07:53:55 UTC
REVIEW: https://review.gluster.org/21001 (xlators/mgmt/glusterd/src/glusterd-volgen.c: remove some memset()) posted (#1) for review on master by Yaniv Kaul

Comment 289 Worker Ant 2018-08-26 07:55:02 UTC
REVIEW: https://review.gluster.org/21002 (xlators/mgmt/glusterd/src/glusterd-geo-rep.c: read() in 4K blocks) posted (#1) for review on master by Yaniv Kaul

Comment 290 Worker Ant 2018-08-26 07:56:36 UTC
REVIEW: https://review.gluster.org/21003 (xlators/storage/posix/src/posix-{gfid-path|inode-fd-ops}.c: remove memset() before sys_*xattr() functions.) posted (#1) for review on master by Yaniv Kaul

Comment 291 Worker Ant 2018-08-27 08:12:24 UTC
COMMIT: https://review.gluster.org/20767 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- dict.c: do not strlen if not needed.

Use the output of sprintf().

Also, constify and initialize parameters properly.

Only compile-tested!

Change-Id: I33870afbe14bc1292fb08115e878d48c00a43bee
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 292 Worker Ant 2018-08-27 13:13:22 UTC
COMMIT: https://review.gluster.org/20988 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- dict.c: fix indention

    
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>
    

Change-Id: I3f210ae236f778fd0e8e7a17d01da21f65cb4e4b

Comment 293 Worker Ant 2018-08-27 13:14:21 UTC
COMMIT: https://review.gluster.org/20768 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- libglusterfs/src/dict.c: perform hash calc not under lock.

If possible, perform the key hash calculation not under
the dictionary lock.

Compile-tested only!

Change-Id: I88b6ed4eff6660d8334bc08ca4eebf61960e3ca1
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 294 Worker Ant 2018-08-27 13:29:25 UTC
COMMIT: https://review.gluster.org/20769 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- libglusterfs/src/dict.{c,h}: Introduce dict_setn, dict_addn, dict_addn and others.

They all take as a parameter the key length, instead of strlen() it.
In most cases, we know the key length, we just never bothered to save and pass it along.
(We most likely sprintf'ed it earlier and the return value could have been used).

A more interesting addition is dict_set_nstrn() [horrible name. Ideas are welcome].
It accepts both the string length and the key length and avoids strlen() both.
Some of it can be calculated on compile-time, btw.
For example:
dict_set_str (dict, "key", "all");
Should become:
dict_set_nstrn (dict, "key", sizeof ("key"), "all", sizeof ("all"));

Compile-tested only!

Change-Id: Ic2667f445f6c2e22e279505f5ad435788b4b668c
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 295 Worker Ant 2018-08-27 18:28:16 UTC
REVIEW: https://review.gluster.org/21018 (xlators/cluster/dht/src/dht-common.c: simplify some if statements) posted (#1) for review on master by Yaniv Kaul

Comment 296 Worker Ant 2018-08-27 20:48:16 UTC
REVIEW: https://review.gluster.org/21019 (libglusterfs/src/dict.c: fix to handle key=NULL.) posted (#1) for review on master by Yaniv Kaul

Comment 297 Worker Ant 2018-08-28 08:51:09 UTC
REVIEW: https://review.gluster.org/20985 (shard: NULL pointer dereferencing clang fix) posted (#2) for review on master by Shwetha K Acharya

Comment 298 Worker Ant 2018-08-29 06:09:45 UTC
COMMIT: https://review.gluster.org/20923 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- multiple files: move from strlen() to sizeof()

{glusterfsd|glusterfsd-mgmt|quota-common-utils|xlator|tier|stripe}.c
tools/setgfid2path/src/main.c
xlators/cluster/afr/src/afr-inode-read.c
{glusterfs-acl|glusterfs}.h

For const strings, just do compile time size calc instead of runtime.

Compile-tested only!

Change-Id: I303684b1ff29b05c10126fb1057f507e404ced07
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 299 Worker Ant 2018-08-29 07:03:12 UTC
REVIEW: https://review.gluster.org/21031 (dht-common: NULL pointer dereferencing clang fix) posted (#1) for review on master by Shwetha K Acharya

Comment 300 Worker Ant 2018-08-29 09:28:22 UTC
REVIEW: https://review.gluster.org/21033 (Quota: Fix for clang issues) posted (#1) for review on master by sanoj-unnikrishnan

Comment 301 Worker Ant 2018-08-29 17:32:02 UTC
COMMIT: https://review.gluster.org/21003 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- multiple files: remove unndeeded memset()

This is a squash of multiple commits:

contrib/fuse-lib/misc.c: remove unneeded memset()

All flock variables are properly set, no need to memset it.

Only compile-tested!

Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Change-Id: I8e0512c5a88daadb0e587f545fdb9b32ca8858a2

libglusterfs/src/{client_t|fd|inode|stack}.c: remove some memset()

I don't think there's a need for any of them.

Only compile-tested!

Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Change-Id: I2be9ccc3a5cb5da51a92af73488cdabd1c527f59

libglusterfs/src/xlator.c: remove unneeded memset()

All xl->mem_acct members are properly set,
no need to memset it.

Only compile-tested!

Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Change-Id: I7f264cd47e7a06255a3f3943c583de77ae8e3147

xlators/cluster/afr/src/afr-self-heal-common.c: remove unneeded memset()

Since we are going over the whole array anyway, initialize it
properly, to either 1 or 0.

Only compile-tested!

Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Change-Id: Ied4210388976b6a7a2e91cc3de334534d6fef201

xlators/cluster/dht/src/dht-common.c: remove unneeded memset()

Since we are going over the whole array anyway it is initialized
properly.

Only compile-tested!

Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Change-Id: Idc436d2bd0563b6582908d7cbebf9dbc66a42c9a

xlators/cluster/ec/src/ec-helpers.c: remove unneeded memset()

Since we are going over the whole array anyway it is initialized
properly.

Only compile-tested!

Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Change-Id: I81bf971f7fcecb4599e807d37f426f55711978fa

xlators/mgmt/glusterd/src/glusterd-volgen.c: remove some memset()

I don't think there's a need for any of them.

Only compile-tested!

Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Change-Id: I476ea59ba53546b5153c269692cd5383da81ce2d

xlators/mgmt/glusterd/src/glusterd-geo-rep.c: read() in 4K blocks

The current 1K seems small. 4K is usually better (in Linux).

Also remove a memset() that I don't think is needed between reads.

Only compile-tested!

Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Change-Id: I5fb7950c92d282948376db14919ad12e589eac2b

xlators/storage/posix/src/posix-{gfid-path|inode-fd-ops}.c: remove memset()
before sys_*xattr() functions.

I don't see a reason to memset the array sent to the functions
sys_llistxattr(), sys_lgetxattr(), sys_lgetxattr(), sys_flistxattr(),
sys_fgetxattr().

(Note: it's unclear to me why we are calling sys_*txattr() functions with
XATTR_VAL_BUF_SIZE-1 size instead of XATTR_VAL_BUF_SIZE ).

Only compile-tested!

Change-Id: Ief2103b56ba6c71e40ed343a93684eef6b771346
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 302 Worker Ant 2018-08-29 20:38:59 UTC
REVIEW: https://review.gluster.org/21038 (xlators/cluster/afr/src/afr-self-heal-common.c: unify some for loops) posted (#2) for review on master by Yaniv Kaul

Comment 303 Worker Ant 2018-08-30 05:38:31 UTC
COMMIT: https://review.gluster.org/20989 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- libglusterfs/src/dict.c: allocate memory accurately.

I suspect we've allocated and then set to '\0' an
additional byte for no reason: gf_asprintf() allocates
enough inc. the terminating null; data->len took that
additional byte into account; memcpy() it back
took care of that terminating null byte as well.

Also, unrelated, implemented str_to_data() via
strn_to_data().

Compile-tested only!

updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Change-Id: I32c90e12974f51a0fbc0cfaebf9bd0fd722adc11

Comment 304 Worker Ant 2018-08-30 07:59:10 UTC
REVIEW: https://review.gluster.org/21041 (libglusterfs/src/dict.c: remove memcpy(), gf_asprintf -> asprintf) posted (#1) for review on master by Yaniv Kaul

Comment 305 Worker Ant 2018-08-30 18:34:20 UTC
REVIEW: https://review.gluster.org/21050 (glupy: clean up config and Makefile(.am)) posted (#1) for review on master by Kaleb KEITHLEY

Comment 306 Worker Ant 2018-08-31 01:27:02 UTC
COMMIT: https://review.gluster.org/21019 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- libglusterfs/src/dict.c: fix to handle key=NULL.

We don't want to strlen NULL strings.

Compile-tested only!

updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Change-Id: Id795998693ba410dbd80df962d48956a9e4164c4

Comment 307 Worker Ant 2018-08-31 01:28:51 UTC
COMMIT: https://review.gluster.org/21018 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- xlators/cluster/dht/src/dht-common.c: simplify some if statements

Use goto when some vars are not set to simplify long if statements.
Please review logic has not changed!

Compile-tested only!

updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Change-Id: I45ea2e906d0ccb468af5e1fa65db008edb00d734

Comment 308 Worker Ant 2018-08-31 01:37:04 UTC
COMMIT: https://review.gluster.org/20924 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- bit-rot xlator: strncpy()->sprintf(), reduce strlen()'s

xlators/features/bit-rot/src/bitd/bit-rot-scrub-status.c
xlators/features/bit-rot/src/stub/bit-rot-stub-helpers.c
xlators/features/bit-rot/src/stub/bit-rot-stub.c
xlators/features/bit-rot/src/stub/bit-rot-stub.h

strncpy may not be very efficient for short strings copied into
a large buffer: If the length of src is less than n,
strncpy() writes additional null bytes to dest to ensure
that a total of n bytes are written.

Instead, use snprintf(). Ensure sprintf() results do not
truncate.

Also:
- save the result of strlen() and re-use it when possible.
- move from strlen to SLEN or sizeof() for const strings.
- move ret from int32 to int.

Compile-tested only!

Change-Id: Ib9b923c45d2d59ac15a105410e8160b252061018
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 309 Worker Ant 2018-08-31 02:14:41 UTC
COMMIT: https://review.gluster.org/20927 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- xlators: move from strlen() to sizeof()

xlators/features/index/src/index.c
xlators/features/shard/src/shard.c
xlators/features/upcall/src/upcall-internal.c
xlators/mgmt/glusterd/src/glusterd-bitrot.c
xlators/mgmt/glusterd/src/glusterd-locks.c
xlators/mgmt/glusterd/src/glusterd-mountbroker.c
xlators/mgmt/glusterd/src/glusterd-op-sm.c

For const strings, just do compile time size calc instead of runtime.

Compile-tested only!

Change-Id: I995b2b89f14454b3855a4cd0ca90b3f01d5e080f
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 310 Worker Ant 2018-08-31 06:14:29 UTC
COMMIT: https://review.gluster.org/20929 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- multiple xlators: move from strlen() to sizeof()

xlators/performance/nl-cache/src/nl-cache.c
xlators/performance/md-cache/src/md-cache.c
xlators/protocol/server/src/authenticate.c
xlators/storage/bd/src/bd-helper.c

For const strings, just do compile time size calc instead of runtime.

Compile-tested only!

Change-Id: I9b98940a38d85321a69436a1871930da367b918a
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 311 Worker Ant 2018-08-31 06:15:20 UTC
COMMIT: https://review.gluster.org/20925 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- changelog xlator: strncpy()->sprintf(), reduce strlen()'s

xlators/features/changelog/lib/src/gf-changelog-journal-handler.c
xlators/features/changelog/lib/src/gf-changelog.c
xlators/features/changelog/src/changelog-helpers.c
xlators/features/changelog/src/changelog-misc.h

strncpy may not be very efficient for short strings copied into
a large buffer: If the length of src is less than n,
strncpy() writes additional null bytes to dest to ensure
that a total of n bytes are written.

Instead, use snprintf(). Where possible, ensure there's
no truncation of the output.

Also:
- save the result of strlen() and re-use it when possible.
- move from strlen to SLEN (sizeof() ) for const strings.
- switch a strncpy to a memcpy.

Compile-tested only!

Change-Id: Ia7a52bce0b243613ad910192ec163c93d944e077
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 312 Worker Ant 2018-08-31 06:16:19 UTC
COMMIT: https://review.gluster.org/20932 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- multiple xlators (storage/posix): strncpy()->sprintf(), reduce strlen()'s

xlators/storage/posix/src/posix-gfid-path.c
xlators/storage/posix/src/posix-handle.c
xlators/storage/posix/src/posix-helpers.c
xlators/storage/posix/src/posix-inode-fd-ops.c
xlators/storage/posix/src/posix.h

strncpy may not be very efficient for short strings copied into
a large buffer: If the length of src is less than n,
strncpy() writes additional null bytes to dest to ensure
that a total of n bytes are written.

Instead, use snprintf().
Also:
- save the result of strlen() and re-use it when possible.
- move from strlen to SLEN (sizeof() ) for const strings.

Compile-tested only!

Change-Id: I056939f111a4ec6bc8ebd539ebcaf9eb67da6c95
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 313 Worker Ant 2018-08-31 06:16:48 UTC
COMMIT: https://review.gluster.org/20926 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- changetimerecoder xlator: strncpy()->sprintf(), reduce strlen()'s

xlators/features/changetimerecorder/src/changetimerecorder.c
xlators/features/changetimerecorder/src/ctr-helper.h

strncpy may not be very efficient for short strings copied into
a large buffer: If the length of src is less than n,
strncpy() writes additional null bytes to dest to ensure
that a total of n bytes are written.

Instead, use snprintf(). Check for output truncation
where applicable.

Also:
- save the result of strlen() and re-use it when possible.
- move from strlen to SLEN (sizeof() ) for const strings.

Compile-tested only!

Change-Id: I2dd5629183222da8c9251af43b8b29aacf12a20a
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 314 Worker Ant 2018-08-31 06:17:54 UTC
COMMIT: https://review.gluster.org/20928 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- NFS server (mount3.c, nfs-inodes.c): strncpy()->sprintf(), reduce strlen()'s

xlators/nfs/server/src/mount3.c
xlators/nfs/server/src/nfs-inodes.c

strncpy may not be very efficient for short strings copied into
a large buffer: If the length of src is less than n,
strncpy() writes additional null bytes to dest to ensure
that a total of n bytes are written.

Instead, use snprintf().

Compile-tested only!

Change-Id: Ibe74ccdb67434e9a10fc1f21c0b4cd5e4b8cb589
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 315 Worker Ant 2018-08-31 13:14:17 UTC
COMMIT: https://review.gluster.org/20933 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- Various files: strncpy()->sprintf(), reduce strlen()'s

strncpy may not be very efficient for short strings copied into
a large buffer: If the length of src is less than n,
strncpy() writes additional null bytes to dest to ensure
that a total of n bytes are written.

Instead, use snprintf(). Check for truncated output
where applicable.

Also:
- save the result of strlen() and re-use it when possible.
- move from strlen to SLEN (sizeof() ) for const strings.

Compile-tested only!

Change-Id: I54e80d4f4a80e98d3775e376efe05c51af0b29eb
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 316 Worker Ant 2018-09-03 12:16:27 UTC
REVIEW: https://review.gluster.org/21063 (Some (mgmt) xlators: use dict_{setn|getn|deln|get_int32n|set_int32n|set_strn}) posted (#1) for review on master by Yaniv Kaul

Comment 317 Worker Ant 2018-09-04 04:03:36 UTC
COMMIT: https://review.gluster.org/20881 committed in master by "Pranith Kumar Karampuri" <pkarampu@redhat.com> with a commit message- xlators/cluster/afr/src/afr-inode-read.c: move to GF_MALLOC() instead of GF_CALLOC() when

It doesn't make sense to calloc (allocate and clear) memory
when the code right away fills that memory with data.
It may be optimized by the compiler, or have a microscopic
performance improvement.

Please review carefully, especially for string allocation, with the
terminating NULL string.

Only compile-tested!

Change-Id: Ief156de98769fea852553044a398a309e831754b
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 318 Worker Ant 2018-09-04 04:58:56 UTC
COMMIT: https://review.gluster.org/20806 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- Multiple files: calloc -> malloc

xlators/storage/posix/src/posix-inode-fd-ops.c:
xlators/storage/posix/src/posix-helpers.c:
xlators/storage/bd/src/bd.c:
xlators/protocol/client/src/client-lk.c:
xlators/performance/quick-read/src/quick-read.c:
xlators/performance/io-cache/src/page.c
xlators/nfs/server/src/nfs3-helpers.c
xlators/nfs/server/src/nfs-fops.c
xlators/nfs/server/src/mount3udp_svc.c
xlators/nfs/server/src/mount3.c
xlators/mount/fuse/src/fuse-helpers.c
xlators/mount/fuse/src/fuse-bridge.c
xlators/mgmt/glusterd/src/glusterd-utils.c
xlators/mgmt/glusterd/src/glusterd-syncop.h
xlators/mgmt/glusterd/src/glusterd-snapshot.c
xlators/mgmt/glusterd/src/glusterd-rpc-ops.c
xlators/mgmt/glusterd/src/glusterd-replace-brick.c
xlators/mgmt/glusterd/src/glusterd-op-sm.c
xlators/mgmt/glusterd/src/glusterd-mgmt.c
xlators/meta/src/subvolumes-dir.c
xlators/meta/src/graph-dir.c
xlators/features/trash/src/trash.c
xlators/features/shard/src/shard.h
xlators/features/shard/src/shard.c
xlators/features/marker/src/marker-quota.c
xlators/features/locks/src/common.c
xlators/features/leases/src/leases-internal.c
xlators/features/gfid-access/src/gfid-access.c
xlators/features/cloudsync/src/cloudsync-plugins/src/cloudsyncs3/src/libcloudsyncs3.c
xlators/features/bit-rot/src/bitd/bit-rot.c
xlators/features/bit-rot/src/bitd/bit-rot-scrub.c
bxlators/encryption/crypt/src/metadata.c
xlators/encryption/crypt/src/crypt.c
xlators/performance/md-cache/src/md-cache.c:

Move to GF_MALLOC() instead of GF_CALLOC() when possible

It doesn't make sense to calloc (allocate and clear) memory
when the code right away fills that memory with data.
It may be optimized by the compiler, or have a microscopic
performance improvement.

In some cases, also changed allocation size to be sizeof some
struct or type instead of a pointer - easier to read.
In some cases, removed redundant strlen() calls by saving the result
into a variable.

1. Only done for the straightforward cases. There's room for improvement.
2. Please review carefully, especially for string allocation, with the
terminating NULL string.

Only compile-tested!

.. and allocate memory as much as needed.

xlators/nfs/server/src/mount3.c :

Don't blindly allocate PATH_MAX, but strlen() the string and allocate
appropriately.
Also, align error messges.

updates: bz#1193929
Original-Author: Yaniv Kaul <ykaul@redhat.com>
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>
Change-Id: Ibda6f33dd180b7f7694f20a12af1e9576fe197f5

Comment 319 Worker Ant 2018-09-04 05:09:50 UTC
COMMIT: https://review.gluster.org/20834 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- multiple files: calloc -> malloc

xlators/cluster/stripe/src/stripe-helpers.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible

xlators/cluster/dht/src/tier.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible
xlators/cluster/dht/src/dht-layout.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible
xlators/cluster/dht/src/dht-helper.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible
xlators/cluster/dht/src/dht-common.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible
xlators/cluster/afr/src/afr.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible
xlators/cluster/afr/src/afr-inode-read.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible
tests/bugs/replicate/bug-1250170-fsync.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible
tests/basic/gfapi/gfapi-async-calls-test.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible
tests/basic/ec/ec-fast-fgetxattr.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible
rpc/xdr/src/glusterfs3.h: Move to GF_MALLOC() instead of GF_CALLOC() when possible
rpc/rpc-transport/socket/src/socket.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible
rpc/rpc-lib/src/rpc-clnt.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible
extras/geo-rep/gsync-sync-gfid.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible
cli/src/cli-xml-output.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible
cli/src/cli-rpc-ops.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible
cli/src/cli-cmd-volume.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible
cli/src/cli-cmd-system.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible
cli/src/cli-cmd-snapshot.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible
cli/src/cli-cmd-peer.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible
cli/src/cli-cmd-global.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible

It doesn't make sense to calloc (allocate and clear) memory
when the code right away fills that memory with data.
It may be optimized by the compiler, or have a microscopic
performance improvement.

In some cases, also changed allocation size to be sizeof some
struct or type instead of a pointer - easier to read.
In some cases, removed redundant strlen() calls by saving the result
into a variable.

1. Only done for the straightforward cases. There's room for improvement.
2. Please review carefully, especially for string allocation, with the
terminating NULL string.

Only compile-tested!

updates: bz#1193929
Original-Author: Yaniv Kaul <ykaul@redhat.com>
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>
Signed-off-by: Amar Tumballi <amarts@redhat.com>

Change-Id: I16274dca4078a1d06ae09a0daf027d734b631ac2

Comment 320 Worker Ant 2018-09-04 05:32:51 UTC
COMMIT: https://review.gluster.org/20934 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- {dht-rebalance|glusterd-geo-rep|glusterd-utils|nfs|bd}.c: no dict_del before dict_set

There is no need to remove an item before re-setting it.

Compile-tested only!

Change-Id: I2869aec9ebf474859127b8b38d284246e6097e84
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 321 Worker Ant 2018-09-05 03:44:04 UTC
REVIEW: https://review.gluster.org/21081 (rfc.sh: use 'git log -n1' instead of 'git show') posted (#1) for review on master by Amar Tumballi

Comment 322 Worker Ant 2018-09-05 06:45:31 UTC
COMMIT: https://review.gluster.org/20759 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- New flag to glusterfsd binary to print libexec dir

New CLI option for `glusterfsd` binary to get the path of
libexec directory. This helps glusterd2 to detect the
installed path of `gsyncd` and other binaries.

Usage: `glusterfsd --print-libexecdir`

Updates: bz#1193929
Change-Id: I8c1a74afd9acec7ee7bd3deabed9d9f20fe3fb5f
Signed-off-by: Aravinda VK <avishwan@redhat.com>

Comment 323 Worker Ant 2018-09-06 02:43:04 UTC
COMMIT: https://review.gluster.org/20833 committed in master by "Sanju Rakonde" <srakonde@redhat.com> with a commit message- cli/src/cli-cmd-parser.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible

It doesn't make sense to calloc (allocate and clear) memory
when the code right away fills that memory with data.
It may be optimized by the compiler, or have a microscopic
performance improvement.

In some cases, also changed allocation size to be sizeof some
struct or type instead of a pointer - easier to read.
In some cases, removed redundant strlen() calls by saving the result
into a variable.

1. Only done for the straightforward cases. There's room for improvement.
2. Please review carefully, especially for string allocation, with the
terminating NULL string.

Only compile-tested!

updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Change-Id: Ic1531afbf614823628cc8d70bae782d4db7ec033

Comment 324 Worker Ant 2018-09-06 05:45:55 UTC
COMMIT: https://review.gluster.org/20842 committed in master by "Atin Mukherjee" <amukherj@redhat.com> with a commit message- xlators/mgmt/glusterd/src/glusterd-log-ops.c : reduce size or re-scope message variable

The the error and/or message variable was either:
- Reduced in size - from 2048 bytes to 64 bytes, for example.
or
- Changed in scope - defined in a smaller scope.

Compile-tested only!

Change-Id: Ib8617db6c3646954c0225d12b904d668bf0f7046
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 325 Worker Ant 2018-09-07 03:36:50 UTC
COMMIT: https://review.gluster.org/21041 committed in master by "Yaniv Kaul" <ykaul@redhat.com> with a commit message- libglusterfs/src/dict.c: remove memcpy(), gf_asprintf -> asprintf

1. We don't need a temp. string to strotol(), we can use data->data.
2. We don't need the gf_asprintf, when a regular asprintf would do.
3. No need to CALLOC the data, can MALLOC, since
we are going to populate most of the fields anyway.
4. Removed is_const member - it was not used.
5. Turned is_static to a gf_boolean_t
6. Turned another get_mem0 to get_mem (in dict_set_lk() func)
7. Remove dict_set_ptr - was exactly the same as dict_set_static_ptr
 (apart from the 'static' bit) and no one was using it.
8. Removed is_static from the dictionary object. Did not seem to be
very useful.

Compile-tested only!

updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Change-Id: I7b1f6320867b154be4a94033819407f7e51cf38c

Comment 326 Worker Ant 2018-09-07 03:40:23 UTC
COMMIT: https://review.gluster.org/20930 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- multiple xlators: strncpy()->sprintf(), reduce strlen()'s

xlators/cluster/afr/src/afr-common.c
xlators/cluster/dht/src/dht-common.c
xlators/cluster/dht/src/dht-rebalance.c
xlators/cluster/stripe/src/stripe-helpers.c

strncpy may not be very efficient for short strings copied into
a large buffer: If the length of src is less than n,
strncpy() writes additional null bytes to dest to ensure
that a total of n bytes are written.

Instead, use snprintf().
Also:
- save the result of strlen() and re-use it when possible.
- move from strlen to SLEN (sizeof() ) for const strings.

Compile-tested only!

Change-Id: Icdf79dd3d9f9ff120e4720ff2b8bd016df575c38
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 327 Worker Ant 2018-09-07 03:41:16 UTC
COMMIT: https://review.gluster.org/20825 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- glusterfsd/src/glusterfsd.c: Move to GF_MALLOC() instead of GF_CALLOC() when possible

It doesn't make sense to calloc (allocate and clear) memory
when the code right away fills that memory with data.
It may be optimized by the compiler, or have a microscopic
performance improvement.

In some cases, also changed allocation size to be sizeof some
struct or type instead of a pointer - easier to read.
In some cases, removed redundant strlen() calls by saving the result
into a variable.

1. Only done for the straightforward cases. There's room for improvement.
2. Please review carefully, especially for string allocation, with the
terminating NULL string.

Only compile-tested!

updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Change-Id: Iaed86fcc909022c5158c3e08a9106b1110b9df0a

Comment 328 Worker Ant 2018-09-07 03:42:10 UTC
COMMIT: https://review.gluster.org/20882 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- xlators/cluster/dht/src/dht-common.c :move to GF_MALLOC() instead of GF_CALLOC() when

It doesn't make sense to calloc (allocate and clear) memory
when the code right away fills that memory with data.
It may be optimized by the compiler, or have a microscopic
performance improvement.

Please review carefully, especially for string allocation, with the
terminating NULL string (added another byte to ensure it's there).

Only compile-tested!

Change-Id: Ia5e4f50dfb0c29809c2019fcfd8079507813249e
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 329 Worker Ant 2018-09-07 03:42:44 UTC
COMMIT: https://review.gluster.org/21033 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- Quota: Fix for clang issues

Updates: bz#1193929
Change-Id: I549f741fbf97ee3fa2d63edacee5b705ef37c49a
Signed-off-by: sanoj-unnikrishnan <sunnikri@redhat.com>

Comment 330 Worker Ant 2018-09-07 07:31:21 UTC
REVIEW: https://review.gluster.org/21113 (glusterd-sm: NULL pointer dereferencing clang fix) posted (#1) for review on master by Shwetha K Acharya

Comment 331 Worker Ant 2018-09-07 07:42:10 UTC
REVIEW: https://review.gluster.org/21113 (glusterd-sm: NULL pointer dereferencing clang fix) posted (#2) for review on master by Shwetha K Acharya

Comment 332 Worker Ant 2018-09-07 09:04:11 UTC
REVIEW: https://review.gluster.org/21115 (build: Make building of glupy more obvious) posted (#1) for review on master by Anoop C S

Comment 333 Worker Ant 2018-09-07 12:39:21 UTC
REVIEW: https://review.gluster.org/21113 (glusterd-sm: NULL pointer dereferencing clang fix) posted (#3) for review on master by Atin Mukherjee

Comment 334 Worker Ant 2018-09-07 16:15:42 UTC
COMMIT: https://review.gluster.org/21113 committed in master by "Atin Mukherjee" <amukherj@redhat.com> with a commit message- glusterd-sm: NULL pointer dereferencing clang fix

Problem: new_event could be NULL.

Solution: Added a goto statement to address this issue.

Updates: bz#1193929
Change-Id: Id3ce28fc53ad2cc8b9fcb63f7774568d31073b9e
Signed-off-by: Shwetha K Acharya <sacharya@redhat.com>

Comment 335 Worker Ant 2018-09-07 16:17:52 UTC
COMMIT: https://review.gluster.org/20931 committed in master by "Atin Mukherjee" <amukherj@redhat.com> with a commit message- multiple xlators (mgmt): strncpy()->sprintf(), reduce strlen()'s

xlators/mgmt/glusterd/src/glusterd-geo-rep.c
xlators/mgmt/glusterd/src/glusterd-handshake.c
xlators/mgmt/glusterd/src/glusterd-sm.c
xlators/mgmt/glusterd/src/glusterd-store.c
xlators/mgmt/glusterd/src/glusterd-utils.c
xlators/mgmt/glusterd/src/glusterd-volgen.c
xlators/mgmt/glusterd/src/glusterd-volume-ops.c
xlators/mgmt/glusterd/src/glusterd.c

strncpy may not be very efficient for short strings copied into
a large buffer: If the length of src is less than n,
strncpy() writes additional null bytes to dest to ensure
that a total of n bytes are written.

Instead, use snprintf(). Try to ensure output is not
truncated.

Also:
- save the result of strlen() and re-use it when possible.
- move from strlen to SLEN (sizeof() ) for const strings.

Compile-tested only!

Change-Id: Ib5d001857236f43e41c4a51b5f48e1a33110aaeb
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 336 Worker Ant 2018-09-09 01:54:36 UTC
COMMIT: https://review.gluster.org/21063 committed in master by "Atin Mukherjee" <amukherj@redhat.com> with a commit message- Some (mgmt) xlators: use dict_{setn|getn|deln|get_int32n|set_int32n|set_strn}

In a previous patch (https://review.gluster.org/20769) we've
added the key length to be passed to dict_* funcs, to remove the need
to strlen() it. This patch moves some xlators to use it.

- It also adds dict_get_int32n which was missing.
- It also reduces the size of some key variables.
They were set to 1024b or PATH_MAX, where sometimes 64 bytes were
really enough.

Please review carefully:
1. That I did not reduce some the size of the key variables too much.
2. That I did not mix up some keys.

Compile-tested only!

Change-Id: Ic729baf179f40e8d02bc2350491d4bb9b6934266
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 337 Worker Ant 2018-09-09 06:53:35 UTC
REVIEW: https://review.gluster.org/21124 (extras/hooks: General improvements to S30samba-start.sh) posted (#1) for review on master by Anoop C S

Comment 338 Worker Ant 2018-09-10 05:16:17 UTC
COMMIT: https://review.gluster.org/20883 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- xlators/cluster/dht/src/tier-common.c:move to GF_MALLOC() instead of GF_CALLOC() when

It doesn't make sense to calloc (allocate and clear) memory
when the code right away fills that memory with data.
It may be optimized by the compiler, or have a microscopic
performance improvement.

Please review carefully, especially for string allocation, with the
terminating NULL string.

Only compile-tested!

Change-Id: I7d38a7d576f6777976fe86e5351a8d95caddbb9c
updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Comment 339 Worker Ant 2018-09-10 05:46:37 UTC
REVIEW: https://review.gluster.org/21128 (ec-heal: remove a duplicate definition of alloca0) posted (#1) for review on master by Amar Tumballi

Comment 340 Worker Ant 2018-09-10 06:18:41 UTC
REVIEW: https://review.gluster.org/21130 (posix: fix the duplicate macro definitions) posted (#1) for review on master by Amar Tumballi

Comment 341 Worker Ant 2018-09-10 06:23:22 UTC
REVIEW: https://review.gluster.org/21131 (DHT/AFR/mgmt xlators: use dict_{setn|getn|deln|get_int32n|set_int32n|set_strn}) posted (#1) for review on master by Yaniv Kaul

Comment 342 Worker Ant 2018-09-10 10:28:38 UTC
COMMIT: https://review.gluster.org/21128 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- ec-heal: remove a duplicate definition of alloca0

the same macro is defined in common-utils.h, which seems to be
much better place for the same.

Updates: bz#1193929

Change-Id: I409b719c291102136500b955e5827a550142ed96
Signed-off-by: Amar Tumballi <amarts@redhat.com>

Comment 343 Worker Ant 2018-09-10 12:49:25 UTC
COMMIT: https://review.gluster.org/21130 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- posix: fix the duplicate macro definitions

the macro 'PATH_SET_TIMESPEC_OR_TIMEVAL' is defined in posix.h,
which seems to be good place for it

updates: bz#1193929

Change-Id: I521a2a6efeb26891c24637a5f06b1d90c00b1135
Signed-off-by: Amar Tumballi <amarts@redhat.com>

Comment 344 Worker Ant 2018-09-10 13:10:52 UTC
REVIEW: https://review.gluster.org/21139 (packaging: glusterfs.spec(.in) cleanup) posted (#1) for review on master by Kaleb KEITHLEY

Comment 345 Worker Ant 2018-09-10 13:16:44 UTC
COMMIT: https://review.gluster.org/21115 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- build: Make building of glupy more obvious

Yet again glupy..!!

Core changes:
* Provide --disable-glupy(instead of --enable-glupy) since we try to
  build it by default.
* AC_SUBST macro is considered/executed even if it is inside an if
  condition. As a result GLUPY_SUBDIR was always substituted which in
  turn would make compilation enter glupy/ translator sources in absence
  of python{2/3}-devel and fails.

Miscellaneous changes:
* Remove an explicit echo for printing PYTHON version.
* Replace hard coded python version in warning message displayed in
  absence of python{2/3}-devel.
* Redirect pushd and popd output to /dev/null

Change-Id: If1ba30a12a8bda5763ef528787fccb2f7946b136
Updates: bz#1193929
Signed-off-by: Anoop C S <anoopcs@redhat.com>

Comment 346 Worker Ant 2018-09-10 14:01:47 UTC
REVIEW: https://review.gluster.org/21140 (misc: fix misc. shebangs) posted (#1) for review on master by Kaleb KEITHLEY

Comment 347 Worker Ant 2018-09-10 14:08:21 UTC
REVIEW: https://review.gluster.org/21142 (mgmt xlators: store boolean fields using integer) posted (#1) for review on master by Yaniv Kaul

Comment 348 Worker Ant 2018-09-10 15:13:46 UTC
COMMIT: https://review.gluster.org/21081 committed in master by "Vijay Bellur" <vbellur@redhat.com> with a commit message- rfc.sh: use 'git log -n1' instead of 'git show'

This is required mainly because if we use any format in a
documentation, and it has strings which are looking for commit
msg format (like fixes: bz...) in document, that too will be
considered in checks, even though it is not part of commit msg.

By using git log -n1, we would only check the content of commit
msg.

Updates: bz#1193929
Change-Id: I498590de6d3daa6be7bcbee1f083ef3fa6ecc96f
Signed-off-by: Amar Tumballi <amarts@redhat.com>

Comment 349 Worker Ant 2018-09-10 18:10:33 UTC
REVIEW: https://review.gluster.org/21144 (xlators/mgmt/glusterd/src/glusterd-volgen.c: use dict_ new functions) posted (#1) for review on master by Yaniv Kaul

Comment 350 Worker Ant 2018-09-10 23:09:27 UTC
COMMIT: https://review.gluster.org/20541 committed in master by "Vijay Bellur" <vbellur@redhat.com> with a commit message- doc: add details on how the commit should be structured

Detailing how the commit message should be is very important for imposing
some structure, and good practises. Also it helps new developers to do the
right things.

This is mostly copied from the OpenStack commit message reference, as it
was overlapping with most of the things we follow in GlusterFS. Made
minor changes to make it suitable for Gluster project.

Updates: bz#1193929
Change-Id: I4dcd7ff366edfc6c1727a287f32bcf7270c86b11
Signed-off-by: Amar Tumballi <amarts@redhat.com>

Comment 351 Worker Ant 2018-09-11 04:26:14 UTC
COMMIT: https://review.gluster.org/21140 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- misc: fix misc. shebangs

* One #!/usr/bin/env python and three #!/usr/bin/python were overlooked
  in all the other python fixups. Ugh.

* Two new python files missed the memo about #!/usr/bin/python3.

* One #!/usr/bin/env bash.
  Various distribution packaging policies have strong wording about
  the use of #!/usr/bin/env ...

  Note: this patch does not change the use of #!/usr/bin/env bash in
  the two files extras/{clang-checker.sh,check_goto.pl} as these are
  not included in any packages. (Although I'm not actually sure why
  anyone would ever use '/usr/bin/env {sh,bash}' as I'm not aware of
  any version-specific differences like there are with, e.g., python.)

* One #!/usr/bin/bash.
  On Fedora and CentOS > 6, /bin is a symlink to /usr/bin, so it
  makes little difference. But Debian & Ubuntu still have separate
  /bin and /usr/bin; and sh and bash are in /bin, not /usr/bin.
  (Historically, in BSD and SYSV Unix it was /bin/sh.)

  Note: Fedora and CentOS package build runs a script that converts
  all /bin/sh and /bin/bash to /usr/bin/sh and /usr/bin/bash.

Change-Id: I9171265829af78dd0cd7622c22b56d22179ff8a3
updates: bz#1193929
Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>

Comment 352 Worker Ant 2018-09-11 07:11:26 UTC
COMMIT: https://review.gluster.org/21142 committed in master by "Atin Mukherjee" <amukherj@redhat.com> with a commit message- mgmt xlators: store boolean fields using integer

Surprisingly, there is not set_boolean() as there is a get_boolean()
In fact, it is stored as an INT dictionary type.

In some occasions it was stored using a string, and this caused
errors such as:
key gfproxy-server, integer type asked, has string type [Invalid argument]

I've fixed what I saw in some logs, I'm sure there are more.
The CORRECT fix is to create a boolean set and use it, but this
requires a bit more work. I'll see if I can do it later on.

Only compile-tested!

updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Change-Id: I45fd0c7a0824b2f42b8ce510296c9dfa4f32ad66

Comment 353 Worker Ant 2018-09-11 08:46:11 UTC
REVIEW: https://review.gluster.org/21148 (libglusterfs/src/dict.c : use xxhash64 for hashing.) posted (#1) for review on master by Yaniv Kaul

Comment 354 Worker Ant 2018-09-11 10:48:53 UTC
REVIEW: https://review.gluster.org/21152 (doc: make developer-index.md as README) posted (#1) for review on master by Amar Tumballi

Comment 355 Worker Ant 2018-09-11 16:14:44 UTC
REVIEW: https://review.gluster.org/21155 (build: cleanup xlator link, --no-undefined, libuuid) posted (#1) for review on master by Kaleb KEITHLEY

Comment 356 Worker Ant 2018-09-11 18:19:51 UTC
REVIEW: https://review.gluster.org/21157 (build: cleanup xlator link, --no-undefined, libuuid) posted (#1) for review on master by Kaleb KEITHLEY

Comment 357 Worker Ant 2018-09-11 22:55:54 UTC
COMMIT: https://review.gluster.org/20542 committed in master by "Vijay Bellur" <vbellur@redhat.com> with a commit message- doc: add coding-standard and commit-msg link in README

Having the links in README makes people follow it if they browse
through github.

Updates: bz#1193929
Change-Id: I580332a41d9b52858aa9796a74a563ff57a60b4b
Signed-off-by: Amar Tumballi <amarts@redhat.com>

Comment 358 Worker Ant 2018-09-12 09:29:35 UTC
COMMIT: https://review.gluster.org/21152 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- doc: make developer-index.md as README

This helps to traverse the docs well as README.md is rendered
by default in github pages, and would help to provide better indexed
document for new users.

updates: bz#1193929
Change-Id: I4130dfd16aed924ecab17f96326cedb86892d6a6
Signed-off-by: Amar Tumballi <amarts@redhat.com>

Comment 359 Worker Ant 2018-09-12 14:38:55 UTC
COMMIT: https://review.gluster.org/21157 committed in master by "Shyamsundar Ranganathan" <srangana@redhat.com> with a commit message- build: cleanup xlator link, --no-undefined, libuuid

While attempting to build a (pre-)5.0 of glusterfs on Ubuntu
bionic and cosmic, it became apparent that there are some gremlins
hiding in the combination of the xlator export-symbols, the newish
addition of -Wl,--no-undefined, and the new switch to libuuid from
the old contrib/uuid.

Note: even though Fedora 28 (and later) and Ubuntu bionic (and
later) have the same nominal version of libtool, the Fedora version
appears to do a better job of recursing through dependencies to
determine the libraries to link with.

Examination of the build logs showed that despite appearing to work
on Fedora, not all xlators and shared libs were linked with -Wl,
--no-undefined, and -luuid. And in the case of the gnfs xlator, it
was not only not linked with -Wl,--no-undefined but alsos not linked
with -lgfxdr and -lgfrpc.

Added GF_XLATOR_LDFLAGS, similar to GF_XLATOR_DEFAULT_LDFLAGS.
GF_XLATOR_DEFAULT_LDFLAGS is for xlators that export/expose the
default or common set of symbols. GF_XLATOR_LDFLAGS is for those
remaining xlators that export/expose non-default symbols, e.g. dht
and glupy. This removes the need in the future to add things like
$(UUID_LIBS) to every xlator's Makefile.am. Just add it to
GF_XLATOR_LDFLAGS and GF_XLATOR_DEFAULT_LDFLAGS in configure.ac
and you're done.

This patch was tested on Fedora 28 (build, rpmbuild), Fedora
Rawhide/30 (rpmbuild), RHEL8 (rpmbuild), CentOS7 (rpmbuild), Fedora
koji --scratch build for f30/rawhide, and a Launchpad build for
Ubuntu cosmic/18.10.

Change-Id: Ieca104fa5c5d3c094e701c8ca4a73754dd0292b0
updates: bz#1193929
Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>

Comment 360 Worker Ant 2018-09-14 05:29:23 UTC
REVIEW: https://review.gluster.org/21178 (AFR xlator: use dict_{setn|getn|deln|get_int32n|set_int32n|set_strn}) posted (#1) for review on master by Yaniv Kaul

Comment 361 Worker Ant 2018-09-14 07:10:17 UTC
COMMIT: https://review.gluster.org/21124 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- extras/hooks: General improvements to S30samba-start.sh

Based on https://review.gluster.org/c/glusterfs/+/19204 from
Milan Zink <mzink@redhat.com>

Change-Id: I61f62407a62475a74a6cc046c24748a31c66e6cd
Updates: bz#1193929
Signed-off-by: Anoop C S <anoopcs@redhat.com>

Comment 362 Worker Ant 2018-09-14 16:09:13 UTC
REVIEW: https://review.gluster.org/21183 (gfapi: Cleanup alias file) posted (#1) for review on master by Shyamsundar Ranganathan

Comment 363 Worker Ant 2018-09-14 17:59:01 UTC
REVIEW: https://review.gluster.org/21184 (api: old and new versioned symbols must appear in each section of gfapi.map) posted (#1) for review on master by Kaleb KEITHLEY

Comment 364 Worker Ant 2018-09-17 03:32:59 UTC
COMMIT: https://review.gluster.org/21148 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- libglusterfs/src/dict.c : use xxhash64 for hashing.

As part of a larger effort to consolidate hash functions
and use a faster, with less collissions, I've moved to use
xxhash as the hashing function for the dictionary.

Note: I'm using only 32 bits of the hashes, as the hash field
is currently a 32 bit variable. There's room (since the struct
is not packed) to move to use a 64bit variable. Donno how it'll
affect performance.

Only compile-tested!

updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Change-Id: Ie244efd1368234e54dd5957ee1ae5bebd7d9409a

Comment 365 Worker Ant 2018-09-17 03:33:20 UTC
COMMIT: https://review.gluster.org/21183 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- gfapi: Cleanup alias file

2 extra symbols were in the alias file, that are not exported
this is cleaned up with this patch.

Change-Id: I1ab54b9fb6b0d455884fbbfd89820c60bb861e6f
Updates: bz#1193929
Signed-off-by: ShyamsundarR <srangana@redhat.com>

Comment 366 Worker Ant 2018-09-17 03:34:24 UTC
COMMIT: https://review.gluster.org/21139 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- packaging: glusterfs.spec(.in) cleanup

Someone (not me) once alphabetized all the %package, %files, and etc.
sections, with a comment to keep them alphabetized. Move cloudsync
sections to their correct locations in the spec.

Also reorder testing and playground within %files section, keep testing
%dirs together.

Change-Id: I79e2e7a82d20275fd61d018880bcb5913c8f75f3
updates: bz#1193929
Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>

Comment 367 Worker Ant 2018-09-17 06:32:31 UTC
REVIEW: https://review.gluster.org/21187 (logrotate: utilize the new 'maxsize' option) posted (#1) for review on master by Amar Tumballi

Comment 368 Worker Ant 2018-09-18 06:44:35 UTC
REVIEW: https://review.gluster.org/21198 (glusterd: Improve logging in gd_mgmt_v3_unlock_timer_cbk) posted (#1) for review on master by Atin Mukherjee

Comment 369 Worker Ant 2018-09-19 03:30:47 UTC
COMMIT: https://review.gluster.org/21187 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- logrotate: utilize the new 'maxsize' option

Since logrotate 3.8.x version, a new option 'maxsize' is supported,
which helps in rotating the logs before the specified time if the
size exceeds maxsize limit. This should help in reducing the
overflow of gluster logs.

Updates: bz#1193929
Change-Id: Id33c34d72f1931e7996893de9338db667e1e900d
Signed-off-by: Amar Tumballi <amarts@redhat.com>

Comment 370 Worker Ant 2018-09-19 13:15:14 UTC
REVIEW: https://review.gluster.org/21227 (glusterd: fix test case failure) posted (#1) for review on master by Sanju Rakonde

Comment 371 Worker Ant 2018-09-20 03:02:11 UTC
COMMIT: https://review.gluster.org/21198 committed in master by "Atin Mukherjee" <amukherj@redhat.com> with a commit message- glusterd: Improve logging in gd_mgmt_v3_unlock_timer_cbk

Change-Id: I3335e7df3256d97c2211b64cfcaac9a016723471
Updates: bz#1193929
Signed-off-by: Atin Mukherjee <amukherj@redhat.com>

Comment 372 Worker Ant 2018-09-20 15:39:01 UTC
COMMIT: https://review.gluster.org/21227 committed in master by "Atin Mukherjee" <amukherj@redhat.com> with a commit message- tests: fix test case failure

tests/bugs/glusterd/bug-1595320.t is failing in downstream. 
In downstream repo, enabling the brick multiplexing made
interactive, so it will throw an prompt for the user input.
As no input is provided during the test case execution, the
test is failing.

Using macro CLI instead of using gluster command, will
bypass the interacive commands. so replacing the gluster
command with CLI macro will address the issue.

Change-Id: I6b39052d8e415a8ed08de7c80a91dadce155146a
updates: bz#1193929
Signed-off-by: Sanju Rakonde <srakonde@redhat.com>

Comment 373 Worker Ant 2018-09-20 17:51:57 UTC
REVIEW: https://review.gluster.org/21238 (doc: add a new contributor 'hints' guide) posted (#1) for review on master by Amar Tumballi

Comment 374 Worker Ant 2018-09-21 07:21:31 UTC
REVIEW: https://review.gluster.org/21243 (glusterd: reduce length allocated to name) posted (#1) for review on master by Sanju Rakonde

Comment 375 Worker Ant 2018-09-21 17:13:16 UTC
REVIEW: https://review.gluster.org/21246 (georep: fix hard-coded paths in gsyncd.conf.in) posted (#1) for review on release-4.1 by Kaleb KEITHLEY

Comment 376 Worker Ant 2018-09-22 13:36:00 UTC
COMMIT: https://review.gluster.org/21243 committed in master by "Atin Mukherjee" <amukherj@redhat.com> with a commit message- glusterd: reduce length allocated to name

In glusterd_proc_ and glusterd_svc_ structures name is having
length of PATH_MAX, allocating NAME_MAX will be sufficient.

Change-Id: I637ba00e1a80ca6a1ecc0c2dbf180c4633c1ca5b
updates: bz#1193929
Signed-off-by: Sanju Rakonde <srakonde@redhat.com>

Comment 377 Worker Ant 2018-09-23 08:07:52 UTC
REVIEW: https://review.gluster.org/21248 (Quota related files: use dict_{setn|getn|deln|get_int32n|set_int32n|set_strn}) posted (#1) for review on master by Yaniv Kaul

Comment 378 Worker Ant 2018-09-23 10:41:32 UTC
REVISION POSTED: https://review.gluster.org/21246 (georep: fix hard-coded paths in gsyncd.conf.in) posted (#2) for review on release-4.1 by Kaleb KEITHLEY

Comment 379 Worker Ant 2018-09-24 05:04:07 UTC
REVIEW: https://review.gluster.org/21253 (README: add a section for giving hints on testing) posted (#1) for review on master by Amar Tumballi

Comment 380 Worker Ant 2018-09-24 10:01:09 UTC
REVIEW: https://review.gluster.org/21259 (geo-rep : fix log message in master.py) posted (#1) for review on master by Sunny Kumar

Comment 381 Worker Ant 2018-09-24 14:59:47 UTC
COMMIT: https://review.gluster.org/21259 committed in master by "Sunny Kumar" <sunkumar@redhat.com> with a commit message- geo-rep : fix log message in master.py

This patch fixes spell mistake in log message.

Change-Id: I84779c64aef6698cbc1a60ae1a82533e8a6a6e3d
updates: bz#1193929
Signed-off-by: Sunny Kumar <sunkumar@redhat.com>

Comment 382 Worker Ant 2018-09-25 02:55:13 UTC
REVIEW: https://review.gluster.org/21268 (cli: handle negative scenarios) posted (#1) for review on master by Sanju Rakonde

Comment 383 Worker Ant 2018-09-25 11:37:20 UTC
COMMIT: https://review.gluster.org/21184 committed in master by "Shyamsundar Ranganathan" <srangana@redhat.com> with a commit message- api: old and new versioned symbols must appear in each section of gfapi.map

It's probably not clear in .../doc/developer-guide/gfapi-symbol-versions.md
that this is necessary, but it is.

Change-Id: I0a8a74e3ecf474c93583f5ebc97507c4277542b0
updates: bz#1193929
Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>

Comment 384 Worker Ant 2018-09-26 04:18:09 UTC
COMMIT: https://review.gluster.org/21248 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- Quota related files: use dict_{setn|getn|deln|get_int32n|set_int32n|set_strn}

In a previous patch (https://review.gluster.org/20769) we've
added the key length to be passed to dict_* funcs, to remove the need
to strlen() it. This patch moves some code to use it.

Please review carefully.
Compile-tested only!

updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Change-Id: If4f425a9827be7c36ccfbb9761006ae824a818c6

Comment 385 Worker Ant 2018-09-26 11:01:45 UTC
REVIEW: https://review.gluster.org/21268 (cli: handle negative scenarios) posted (#4) for review on master by Sanju Rakonde

Comment 386 Worker Ant 2018-09-28 09:49:18 UTC
REVIEW: https://review.gluster.org/21296 (libglusterfs/dict: Add sizeof()-1 variants of dict functions) posted (#1) for review on master by Pranith Kumar Karampuri

Comment 387 Worker Ant 2018-10-01 08:02:59 UTC
COMMIT: https://review.gluster.org/21268 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- cli: handle negative scenarios

When control flow reaches negative case code block, we added
"goto out" statement without assigning ret to -1.

This patch assigns return value to -1, before going to the lable "out".

Change-Id: I6db651a3c9ca285ade9ee1ca23d0abe6b36fda3a
updates: bz#1193929
Signed-off-by: Sanju Rakonde <srakonde@redhat.com>

Comment 388 Worker Ant 2018-10-01 18:11:15 UTC
REVIEW: https://review.gluster.org/21313 (dht: volume_options 'options' collision with nfs-ganesha's 'options') posted (#1) for review on master by Kaleb KEITHLEY

Comment 389 Worker Ant 2018-10-03 10:36:13 UTC
REVIEW: https://review.gluster.org/21327 (stripe: remove from build) posted (#1) for review on master by Amar Tumballi

Comment 390 Worker Ant 2018-10-03 10:59:56 UTC
REVIEW: https://review.gluster.org/21328 (nufa and switch: remove from build) posted (#1) for review on master by Amar Tumballi

Comment 391 Worker Ant 2018-10-03 11:12:34 UTC
REVIEW: https://review.gluster.org/21329 (decompounder: remove from the build) posted (#1) for review on master by Amar Tumballi

Comment 392 Worker Ant 2018-10-03 11:32:42 UTC
REVIEW: https://review.gluster.org/21331 (tiering: remove from the build) posted (#1) for review on master by Amar Tumballi

Comment 393 Worker Ant 2018-10-03 11:45:31 UTC
REVIEW: https://review.gluster.org/21332 (glupy: remove from the build) posted (#1) for review on master by Amar Tumballi

Comment 394 Worker Ant 2018-10-04 08:38:19 UTC
REVIEW: https://review.gluster.org/21341 (Reduce execution time of bug-1559004-EMLINK-handling.t) posted (#1) for review on master by Xavi Hernandez

Comment 395 Worker Ant 2018-10-04 09:16:09 UTC
REVIEW: https://review.gluster.org/21341 (Reduce execution time of bug-1559004-EMLINK-handling.t) posted (#2) for review on master by Xavi Hernandez

Comment 396 Worker Ant 2018-10-04 14:41:55 UTC
REVIEW: https://review.gluster.org/21313 (dht: volume_options 'options' collision with nfs-ganesha's 'options') posted (#4) for review on master by Shyamsundar Ranganathan

Comment 397 Worker Ant 2018-10-05 17:31:57 UTC
REVIEW: https://review.gluster.org/21355 (packaging: remove RHEL5-isms from glusterfs.spec(.in)) posted (#1) for review on master by Kaleb KEITHLEY

Comment 398 Worker Ant 2018-10-07 14:00:15 UTC
REVIEW: https://review.gluster.org/21360 (glusterd: set integer instead of string) posted (#1) for review on master by Sanju Rakonde

Comment 399 Worker Ant 2018-10-08 14:22:54 UTC
REVIEW: https://review.gluster.org/21368 (tests: correction in tests/bugs/glusterd/optimized-basic-testcases-in-cluster.t) posted (#1) for review on master by Sanju Rakonde

Comment 400 Worker Ant 2018-10-08 16:36:06 UTC
COMMIT: https://review.gluster.org/21355 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- packaging: remove RHEL5-isms from glusterfs.spec(.in)

CentOS5 too

It's been a couple of years since we stopped doing anything with
RHEL/CentOS 5

Change-Id: I83e78fa84b93fa5baddaf3fab92736d692a9bbca
updates: bz#1193929
Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>

Comment 401 Worker Ant 2018-10-10 05:48:18 UTC
COMMIT: https://review.gluster.org/21361 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- libglusterfs/src/logging.c: reduce the use of strings

I did not see a good reason to copy the temp strings str1 and str2
into msg string, and just used str1 (sprintf'ed str2 into it first).
Hope it makes logging somewhat faster, but I also hope there's more
room for improvement for faster logging.

Renamed str1 to logline and str2 to msg for better readability.

Also, remove dead assignment in _gf_msg() (clang complained).

Compile-tested only!

updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Change-Id: I19457d705c0b043937d96a4db35d087bb8e9b35a

Comment 402 Worker Ant 2018-10-10 12:37:53 UTC
REVIEW: https://review.gluster.org/21385 (build/packaging/core: add glusterfs.pc(.in)) posted (#1) for review on master by Kaleb KEITHLEY

Comment 403 Worker Ant 2018-10-10 18:20:50 UTC
REVISION POSTED: https://review.gluster.org/21385 (build/packaging/core: add glusterfs.pc(.in)) posted (#3) for review on master by Kaleb KEITHLEY

Comment 404 Worker Ant 2018-10-11 05:11:32 UTC
COMMIT: https://review.gluster.org/21253 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- README: add a section for giving hints on testing

Change-Id: I1529494504c38172f56759c0f06231864e32df24
updates: bz#1193929
Signed-off-by: Amar Tumballi <amarts@redhat.com>

Comment 405 Worker Ant 2018-10-12 05:15:32 UTC
REVIEW: https://review.gluster.org/21395 (libglusterfs: fix log message in options.c) posted (#3) for review on master by Sheetal Pamecha

Comment 406 Worker Ant 2018-10-12 11:16:53 UTC
COMMIT: https://review.gluster.org/21395 committed in master by "Sunny Kumar" <sunkumar@redhat.com> with a commit message- libglusterfs: fix log message in options.c

This patch fixes https://github.com/gluster/glusterfs/issues/519

Credits: "Fabian Wannenmacher <@wanneut>"

Updates: bz#1193929

Change-Id: If8d60c3379093a868ad6ba8c2ad86a4b99d35f2c
Signed-off-by: Sheetal Pamecha <sheetal.pamecha08@gmail.com>

Comment 407 Worker Ant 2018-10-13 23:18:17 UTC
REVIEW: https://review.gluster.org/21404 (servers-helpers.c: reduce clang warnings on dead initialization.) posted (#1) for review on master by Yaniv Kaul

Comment 408 Worker Ant 2018-10-15 04:06:06 UTC
COMMIT: https://review.gluster.org/21296 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- libglusterfs/dict: Add sizeof()-1 variants of dict functions

One needs to be very careful about giving same key for the key and
SLEN(key) arguments in dict_xxxn() functions. Writing macros that
would take care of passing the SLEN(key) would help reduce this
burden on the developer and reviewer.

updates: bz#1193929
Change-Id: I312c479b919826570b47ae2c219c53e2f9b2ddef
Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>

Comment 409 Worker Ant 2018-10-15 13:10:17 UTC
REVIEW: https://review.gluster.org/21420 (core: libuuid-devel breakage) posted (#1) for review on master by Kaleb KEITHLEY

Comment 410 Worker Ant 2018-10-16 05:05:07 UTC
COMMIT: https://review.gluster.org/21420 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- core: libuuid-devel breakage

The #include "uuid.h" left over from using .../contrib/uuid is debatably
incorrect now that we use the "system header" file /usr/include/uuid/uuid.h
from libuuid-devel.

Unfortunately this is complicated by things like FreeBSD having its own
/usr/include/uuid.h, and the e2fsprogs-libuuid uuid.h in installed - as
most third-party packages in FreeBSD are - in /usr/local as
/usr/local/include/uuid/uuid.h

With a system header file it should at least be #include <uuid.h>, and
even better as #include <uuid/uuid.h>, much like the way <sys/types.h>
and <net/if.h> are included. Using #include <uuid/uuid.h> guarantees
not getting the /usr/include/uuid.h on FreeBSD, but clang/cc knows to
find "system" header files like this in /usr/local/include; with or
without the -I/... from uuid.pc. Also using #include "uuid.h" leaves
the compiler free to find a uuid.h from any -I option it might be passed.
(Fortunately we don't have any at this time.)

As we now require libuuid-devel or e2fsprogs-libuuid and configure will
exit with an error if the uuid.pc file doesn't exist, the HAVE_LIBUUID
(including the #elif FreeBSD) tests in compat-uuid.h are redundant. We
are guaranteed to have it, so testing for it is a bit silly IMO. It may
also break building third party configure scripts if they omit defining
it. (Just how hard do we want to make things for third party developers?)

Change-Id: I7317f63c806281a5d27de7d3b2208d86965545e1
updates: bz#1193929
Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>

Comment 411 Worker Ant 2018-10-16 06:34:09 UTC
COMMIT: https://review.gluster.org/21401 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- Multiple xlators: perform gettimeofday() not under lock

While it may slightly reduce accuracy, I think it's better to
acquire the time outside a lock and then memcpy the value while
under lock.

Compile-tested only!

updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Change-Id: Ic8fb94a56c4fa2d3b13e59767e13646fb39342ba

Comment 412 Worker Ant 2018-10-16 10:46:24 UTC
COMMIT: https://review.gluster.org/21404 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- servers-helpers.c: reduce clang warnings on dead initialization.

Assign a value to a parameter on its definition.
Removes tens of clang warnings.

Compile-tested only!

updates: bz#1193929
Signed-off-by: Yaniv Kaul <ykaul@redhat.com>

Change-Id: I828bacb4033111af6162772a554cc5c6b2820169

Comment 413 Worker Ant 2018-10-16 12:38:09 UTC
REVISION POSTED: https://review.gluster.org/21432 (core: libuuid-devel breakage) posted (#2) for review on release-5 by Kaleb KEITHLEY

Comment 414 Worker Ant 2018-10-16 17:10:11 UTC
REVISION POSTED: https://review.gluster.org/21332 (glupy: remove from the build) posted (#2) for review on master by Amar Tumballi

Comment 415 Worker Ant 2018-10-17 11:29:50 UTC
REVISION POSTED: https://review.gluster.org/21331 (tiering: remove the translator from build and glusterd) posted (#2) for review on master by Amar Tumballi

Comment 416 Worker Ant 2018-10-22 07:54:41 UTC
REVISION POSTED: https://review.gluster.org/20702 (bd: remove from the build) posted (#3) for review on master by Amar Tumballi

Comment 417 Worker Ant 2018-10-23 13:55:10 UTC
REVISION POSTED: https://review.gluster.org/21329 (decompounder: remove the translator from build and glusterd) posted (#2) for review on master by Amar Tumballi

Comment 418 Worker Ant 2018-10-23 13:58:04 UTC
REVIEW: https://review.gluster.org/21470 (xlator: add generic option parsing framework) posted (#1) for review on master by Amar Tumballi

Comment 419 Worker Ant 2018-10-24 06:02:44 UTC
COMMIT: https://review.gluster.org/21360 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- glusterd: set integer instead of string

dict_get_str_boolean expects a integer, so we need
to set all the boolean variables as integers to
avoid log messages like below:

[2018-09-10 03:55:19.236387] I [dict.c:2838:dict_get_str_boolean] (-->/usr/local/lib/libgfrpc.so.0(rpc_clnt_reconnect+0xc2) [0x7ff7a83d0452] -->/usr/local/lib/glusterfs/4.2dev/rpc-transport/socket.so(+0x65b0) [0x7ff7a06cf5b0] -->/usr/local/lib/libglusterfs.so.0(dict_get_str_boolean+0xcf) [0x7ff7a85fc58f] ) 0-dict: key transport.socket.ignore-enoent, integer type asked, has string type [Invalid argument]

This patch addresses all such instances in glusterd.

Change-Id: I7e1979fcf381363943f4d09b94c3901c403727da
updates: bz#1193929
Signed-off-by: Sanju Rakonde <srakonde@redhat.com>

Comment 420 Worker Ant 2018-10-24 19:30:38 UTC
REVISION POSTED: https://review.gluster.org/21368 (tests: correction in tests/bugs/glusterd/optimized-basic-testcases-in-cluster.t) posted (#2) for review on master by Sanju Rakonde

Comment 421 Worker Ant 2018-10-26 13:41:35 UTC
REVIEW: https://review.gluster.org/21502 (build/packaging: el-X (x > 7) isms) posted (#1) for review on master by Kaleb KEITHLEY

Comment 422 Worker Ant 2018-10-27 11:57:28 UTC
REVIEW: https://review.gluster.org/21503 (glusterfsd: Make each multiplexed brick sign in) posted (#1) for review on master by Prashanth Pai

Comment 423 Worker Ant 2018-10-30 05:04:42 UTC
REVIEW: https://review.gluster.org/21502 (build/packaging: el-X (x > 7) isms) posted (#2) for review on master by Amar Tumballi

Comment 424 Worker Ant 2018-11-02 05:20:21 UTC
REVIEW: https://review.gluster.org/21536 (logging: create parent dir if not available) posted (#1) for review on master by Amar Tumballi

Comment 425 Worker Ant 2018-11-02 06:25:22 UTC
REVIEW: https://review.gluster.org/21470 (xlator: add generic option parsing framework) posted (#3) for review on master by Amar Tumballi

Comment 426 Worker Ant 2018-11-04 09:04:09 UTC
REVIEW: https://review.gluster.org/21541 (libglusterfs/src/iobuf.c: remove some if statements) posted (#1) for review on master by Yaniv Kaul

Comment 427 Worker Ant 2018-11-04 14:21:59 UTC
REVIEW: https://review.gluster.org/21542 (libglusterfs/src/iobuf.c: take the pool lock once in new pool) posted (#1) for review on master by Yaniv Kaul

Comment 428 Worker Ant 2018-11-04 14:23:04 UTC
REVIEW: https://review.gluster.org/21543 (libglusterfs/src/iobuf.c: where possible, pass the index parameter) posted (#1) for review on master by Yaniv Kaul

Comment 429 Worker Ant 2018-11-06 04:18:21 UTC
REVIEW: https://review.gluster.org/21536 (logging: create parent dir if not available) posted (#2) for review on master by Amar Tumballi

Comment 430 Worker Ant 2018-11-06 04:19:37 UTC
REVIEW: https://review.gluster.org/21541 (libglusterfs/src/iobuf.c: remove some if statements) posted (#5) for review on master by Amar Tumballi

Comment 431 Worker Ant 2018-11-06 04:20:04 UTC
REVIEW: https://review.gluster.org/21543 (libglusterfs/src/iobuf.c: where possible, pass the index parameter) posted (#6) for review on master by Amar Tumballi

Comment 432 Worker Ant 2018-11-06 04:20:33 UTC
REVIEW: https://review.gluster.org/21542 (libglusterfs/src/iobuf.c: take the pool lock once in new pool) posted (#5) for review on master by Amar Tumballi

Comment 433 Worker Ant 2018-11-06 05:43:44 UTC
REVIEW: https://review.gluster.org/21238 (doc: add a new contributor 'hints' guide) posted (#5) for review on master by Amar Tumballi

Comment 434 Worker Ant 2018-11-06 10:32:39 UTC
REVIEW: https://review.gluster.org/21567 (tests/interrupt.t: remove 'stripe' volume type) posted (#1) for review on master by Amar Tumballi

Comment 435 Worker Ant 2018-11-06 11:00:43 UTC
REVIEW: https://review.gluster.org/21567 (tests/interrupt.t: remove 'stripe' volume type) posted (#2) for review on master by Amar Tumballi

Comment 436 Worker Ant 2018-11-06 16:02:46 UTC
REVIEW: https://review.gluster.org/21571 (cluster/afr: s/uuid_is_null/gf_uuid_is_null) posted (#1) for review on master by Pranith Kumar Karampuri

Comment 437 Worker Ant 2018-11-06 16:35:24 UTC
REVIEW: https://review.gluster.org/21573 (libglusterfs/src/iobuf.c: don't forget to unlock a mutex) posted (#1) for review on master by Yaniv Kaul

Comment 438 Worker Ant 2018-11-07 02:40:21 UTC
REVIEW: https://review.gluster.org/21573 (libglusterfs/src/iobuf.c: don't forget to unlock a mutex) posted (#1) for review on master by Yaniv Kaul

Comment 439 Worker Ant 2018-11-07 02:48:09 UTC
REVIEW: https://review.gluster.org/21571 (cluster/afr: s/uuid_is_null/gf_uuid_is_null) posted (#2) for review on master by Amar Tumballi

Comment 440 Worker Ant 2018-11-07 08:30:24 UTC
REVIEW: https://review.gluster.org/21581 (libglusterfs/src/iobuf.c: small refactor to re-use code.) posted (#1) for review on master by Yaniv Kaul

Comment 441 Worker Ant 2018-11-08 05:54:11 UTC
REVIEW: https://review.gluster.org/21591 (rpc-clnt*: several code changes to reduce conn lock times) posted (#1) for review on master by Yaniv Kaul

Comment 442 Worker Ant 2018-11-08 06:28:25 UTC
REVIEW: https://review.gluster.org/21592 (rpc/rpc-lib/src/rpc-clnt.c: unlock sooner, if we fail to connect.) posted (#1) for review on master by Yaniv Kaul

Comment 443 Worker Ant 2018-11-08 10:40:33 UTC
REVIEW: https://review.gluster.org/21597 (cli: avoid unnecessary strtail for geo rep config.) posted (#1) for review on master by Ravishankar N

Comment 444 Worker Ant 2018-11-08 12:52:25 UTC
REVIEW: https://review.gluster.org/21599 (core: fix strncpy warnings) posted (#1) for review on master by Kaleb KEITHLEY

Comment 445 Worker Ant 2018-11-09 11:01:08 UTC
REVIEW: https://review.gluster.org/21609 (libglusterfs/src/mem-pool.h: properly align structures) posted (#1) for review on master by Yaniv Kaul

Comment 446 Worker Ant 2018-11-09 14:49:56 UTC
REVIEW: https://review.gluster.org/21613 (core: fix strncpy warnings) posted (#1) for review on master by Kaleb KEITHLEY

Comment 447 Worker Ant 2018-11-09 16:34:48 UTC
REVIEW: https://review.gluster.org/21615 (core: fix strncpy warnings) posted (#1) for review on master by Kaleb KEITHLEY

Comment 448 Worker Ant 2018-11-11 15:46:22 UTC
REVIEW: https://review.gluster.org/21597 (cli: avoid unnecessary strtail for geo rep config.) posted (#2) for review on master by Atin Mukherjee

Comment 449 Worker Ant 2018-11-12 03:18:48 UTC
REVIEW: https://review.gluster.org/21452 (libglusterfs multiple files: remove dead initilization) posted (#11) for review on master by Yaniv Kaul

Comment 450 Worker Ant 2018-11-12 03:25:38 UTC
REVIEW: https://review.gluster.org/21591 (rpc-clnt*: several code changes to reduce conn lock times) posted (#5) for review on master by Amar Tumballi

Comment 451 Worker Ant 2018-11-12 04:10:27 UTC
REVIEW: https://review.gluster.org/21503 (glusterfsd: Make each multiplexed brick sign in) posted (#4) for review on master by Amar Tumballi

Comment 452 Worker Ant 2018-11-12 18:39:56 UTC
REVIEW: https://review.gluster.org/21629 (mem-pool.{c|h}: mem-pool small cleanups, const, static & code re-order) posted (#1) for review on master by Yaniv Kaul

Comment 453 Worker Ant 2018-11-13 05:30:55 UTC
REVIEW: https://review.gluster.org/21637 (glusterd/snapshot: copy-paste typo) posted (#1) for review on master by Sanju Rakonde

Comment 454 Worker Ant 2018-11-13 14:27:57 UTC
REVIEW: https://review.gluster.org/21637 (glusterd/snapshot: copy-paste typo) posted (#1) for review on master by Sanju Rakonde

Comment 455 Worker Ant 2018-11-15 05:04:47 UTC
REVIEW: https://review.gluster.org/21592 (rpc/rpc-lib/src/rpc-clnt.c: unlock sooner, if we fail to connect.) posted (#5) for review on master by Amar Tumballi

Comment 456 Worker Ant 2018-11-15 05:06:13 UTC
REVIEW: https://review.gluster.org/21615 (core: fix strncpy warnings) posted (#2) for review on master by Amar Tumballi

Comment 457 Worker Ant 2018-11-15 05:07:39 UTC
REVIEW: https://review.gluster.org/21613 (core: fix strncpy warnings) posted (#3) for review on master by Amar Tumballi

Comment 458 Worker Ant 2018-11-15 20:10:08 UTC
REVIEW: https://review.gluster.org/21657 (libglusterfs/src/mem-types.h: remove unused common enums from mem-types.h) posted (#1) for review on master by Yaniv Kaul

Comment 459 Worker Ant 2018-11-16 10:36:15 UTC
REVIEW: https://review.gluster.org/21663 (libglusterfs/src/common-utils.h: faster mem_0filled() function) posted (#1) for review on master by Yaniv Kaul

Comment 460 Worker Ant 2018-11-16 18:01:06 UTC
REVIEW: https://review.gluster.org/21666 (core: fix strncpy, coverity annotation) posted (#1) for review on master by Kaleb KEITHLEY

Comment 461 Worker Ant 2018-11-19 15:10:37 UTC
REVIEW: https://review.gluster.org/21666 (core: fix strncpy, coverity annotation) posted (#2) for review on master by Atin Mukherjee

Comment 462 Worker Ant 2018-11-20 03:12:10 UTC
REVIEW: https://review.gluster.org/21663 (libglusterfs/src/common-utils.h: faster mem_0filled() function) posted (#5) for review on master by Amar Tumballi

Comment 463 Worker Ant 2018-11-22 16:29:36 UTC
REVIEW: https://review.gluster.org/21704 (Coverity fix for calling risky function - fscanf) posted (#1) for review on master by Poornima G

Comment 464 Worker Ant 2018-11-23 11:07:31 UTC
REVIEW: https://review.gluster.org/21710 (rpc *.h fles: align structs) posted (#1) for review on master by Yaniv Kaul

Comment 465 Worker Ant 2018-11-24 17:22:56 UTC
REVIEW: https://review.gluster.org/21704 (Coverity fix for calling risky function - fscanf) posted (#3) for review on master by Amar Tumballi

Comment 466 Worker Ant 2018-11-25 09:25:25 UTC
REVIEW: https://review.gluster.org/21714 (xlators/mgmt/glusterd/src/glusterd-volgen.c: use dict_ new functions) posted (#1) for review on master by Yaniv Kaul

Comment 467 Worker Ant 2018-11-25 10:07:53 UTC
REVIEW: https://review.gluster.org/21715 (libglusterfs/src/dict.c : consistent initialization of parameters.) posted (#1) for review on master by Yaniv Kaul

Comment 468 Worker Ant 2018-11-26 05:40:26 UTC
REVIEW: https://review.gluster.org/20633 (coding-standard: memset before string functions similar to sprintf/snprintf etc) posted (#5) for review on master by Amar Tumballi

Comment 469 Worker Ant 2018-11-27 05:30:52 UTC
REVIEW: https://review.gluster.org/21715 (libglusterfs/src/dict.c : consistent initialization of parameters.) posted (#3) for review on master by Amar Tumballi

Comment 470 Worker Ant 2018-11-27 11:25:27 UTC
REVIEW: https://review.gluster.org/21727 (mem-pool: minor fix and clarification) posted (#1) for review on master by Xavi Hernandez

Comment 471 Worker Ant 2018-11-27 16:45:04 UTC
REVIEW: https://review.gluster.org/21728 (core: ctx calls naked malloc()) posted (#1) for review on master by Kaleb KEITHLEY

Comment 472 Worker Ant 2018-11-27 19:29:20 UTC
REVIEW: https://review.gluster.org/21729 (glusterd: volume-ops calls naked malloc) posted (#1) for review on master by Kaleb KEITHLEY

Comment 473 Worker Ant 2018-11-28 03:10:12 UTC
REVIEW: https://review.gluster.org/21727 (mem-pool: minor fix and clarification) posted (#2) for review on master by Amar Tumballi

Comment 474 Worker Ant 2018-11-28 04:23:30 UTC
REVIEW: https://review.gluster.org/21729 (glusterd: volume-ops calls naked malloc) posted (#2) for review on master by Atin Mukherjee

Comment 475 Worker Ant 2018-11-28 18:16:25 UTC
REVIEW: https://review.gluster.org/21728 (core: ctx calls naked calloc()) posted (#3) for review on master by Amar Tumballi

Comment 476 Worker Ant 2018-11-29 02:31:07 UTC
REVIEW: https://review.gluster.org/21746 (libglusterfs: Move devel headers under glusterfs directory) posted (#1) for review on master by Shyamsundar Ranganathan

Comment 477 Worker Ant 2018-11-29 20:31:36 UTC
REVIEW: https://review.gluster.org/21754 (Multiple xlator .h files: remove unused private gf_* memory types.) posted (#1) for review on master by Yaniv Kaul

Comment 478 Worker Ant 2018-11-30 11:51:54 UTC
REVIEW: https://review.gluster.org/21754 (Multiple xlator .h files: remove unused private gf_* memory types.) posted (#2) for review on master by Amar Tumballi

Comment 479 Worker Ant 2018-12-01 19:58:57 UTC
REVIEW: https://review.gluster.org/21772 (Multiple fuse related files: several modifications) posted (#1) for review on master by Yaniv Kaul

Comment 480 Worker Ant 2018-12-02 21:22:28 UTC
REVIEW: https://review.gluster.org/21775 (Multiple posix related files: several modifications) posted (#1) for review on master by Yaniv Kaul

Comment 481 Worker Ant 2018-12-03 05:54:11 UTC
REVIEW: https://review.gluster.org/21710 (rpc *.h fles: align structs) posted (#6) for review on master by Amar Tumballi

Comment 482 Worker Ant 2018-12-04 10:17:15 UTC
REVIEW: https://review.gluster.org/21794 (tests/geo-rep: Mask failure of geo-rep arbiter test) posted (#1) for review on master by Kotresh HR

Comment 483 Worker Ant 2018-12-05 04:00:06 UTC
REVIEW: https://review.gluster.org/21581 (libglusterfs/src/iobuf.c: small refactor to re-use code.) posted (#5) for review on master by Amar Tumballi

Comment 484 Worker Ant 2018-12-05 08:49:11 UTC
REVIEW: https://review.gluster.org/21714 (xlators/mgmt/glusterd/src/glusterd-volgen.c: use dict_ new functions) posted (#7) for review on master by Amar Tumballi

Comment 485 Worker Ant 2018-12-05 15:35:34 UTC
REVIEW: https://review.gluster.org/21794 (tests/geo-rep: Mask failure of geo-rep arbiter test) posted (#2) for review on master by Shyamsundar Ranganathan

Comment 486 Worker Ant 2018-12-05 21:48:04 UTC
REVIEW: https://review.gluster.org/21746 (libglusterfs: Move devel headers under glusterfs directory) posted (#6) for review on master by Amar Tumballi

Comment 487 Worker Ant 2018-12-08 11:34:49 UTC
REVIEW: https://review.gluster.org/21830 (cli* files: several minor fixes) posted (#1) for review on master by Yaniv Kaul

Comment 488 Worker Ant 2018-12-08 19:52:38 UTC
REVIEW: https://review.gluster.org/21833 (dict.c/h : hack for int32 - do not convert to string.) posted (#1) for review on master by Yaniv Kaul

Comment 489 Worker Ant 2018-12-11 11:10:11 UTC
REVIEW: https://review.gluster.org/21846 (afr: some minor itable related cleanups) posted (#1) for review on master by Ravishankar N

Comment 490 Worker Ant 2018-12-12 23:03:34 UTC
REVIEW: https://review.gluster.org/21846 (afr: some minor itable related cleanups) posted (#3) for review on master by Amar Tumballi

Comment 491 Worker Ant 2018-12-14 04:54:21 UTC
REVIEW: https://review.gluster.org/21775 (Multiple posix related files: several modifications) posted (#8) for review on master by Amar Tumballi

Comment 492 Worker Ant 2018-12-14 11:39:51 UTC
REVIEW: https://review.gluster.org/21848 (selinux/glusterd : add \"features.selinux\" t glusterd-volume-set.c) posted (#3) for review on master by jiffin tony Thottan

Comment 493 Worker Ant 2018-12-14 16:48:23 UTC
REVIEW: https://review.gluster.org/21865 (xlators/cluster/afr/src/afr-self-heal-common.c: remove a variable array.) posted (#1) for review on master by Yaniv Kaul

Comment 494 Worker Ant 2018-12-14 17:20:04 UTC
REVIEW: https://review.gluster.org/21867 (xlators/cluster/afr/src/afr-self-heal-common.c: remove a variable array.) posted (#1) for review on master by Yaniv Kaul

Comment 495 Worker Ant 2018-12-15 19:04:39 UTC
REVIEW: https://review.gluster.org/21871 (dict.c/h: minor changes) posted (#1) for review on master by Yaniv Kaul

Comment 496 Worker Ant 2018-12-17 05:27:19 UTC
REVISION POSTED: https://review.gluster.org/21848 (selinux/glusterd : add \"features.selinux\" to glusterd-volume-set.c) posted (#4) for review on master by jiffin tony Thottan

Comment 497 Worker Ant 2018-12-17 11:39:57 UTC
REVIEW: https://review.gluster.org/21178 (AFR xlator: use dict_{setn|getn|deln|get_int32n|set_int32n|set_strn}) posted (#19) for review on master by Pranith Kumar Karampuri

Comment 498 Worker Ant 2018-12-18 06:55:39 UTC
REVIEW: https://review.gluster.org/21867 (xlators/cluster/afr/src/afr-self-heal-common.c: remove a variable array.) posted (#3) for review on master by Ravishankar N

Comment 499 Worker Ant 2018-12-19 13:10:58 UTC
REVIEW: https://review.gluster.org/21891 (run-tests.sh: add buffer time for retried tests) posted (#1) for review on master by Amar Tumballi

Comment 500 Worker Ant 2018-12-20 20:06:22 UTC
REVIEW: https://review.gluster.org/21909 (libglusterfs/src/iobuf.c: remove redundant NULL checks) posted (#1) for review on master by Yaniv Kaul

Comment 501 Worker Ant 2018-12-21 18:14:16 UTC
REVIEW: https://review.gluster.org/21920 (fd.c : remove redundant checks) posted (#1) for review on master by Yaniv Kaul

Comment 502 Worker Ant 2018-12-24 21:24:11 UTC
REVIEW: https://review.gluster.org/21923 (inode.c and related files: remove redundant NULL checks) posted (#1) for review on master by Yaniv Kaul

Comment 503 Worker Ant 2018-12-26 16:09:48 UTC
REVIEW: https://review.gluster.org/21929 (Many files: redo include files.) posted (#1) for review on master by Yaniv Kaul

Comment 504 Worker Ant 2018-12-27 13:19:22 UTC
REVIEW: https://review.gluster.org/21936 (barrier: replace boolean-switch statement with if/else) posted (#2) for review on master by Niels de Vos

Comment 505 Worker Ant 2018-12-27 17:16:35 UTC
REVIEW: https://review.gluster.org/21940 (all: toward better string copies) posted (#1) for review on master by Kaleb KEITHLEY

Comment 506 Worker Ant 2018-12-28 03:44:32 UTC
REVIEW: https://review.gluster.org/21936 (barrier: replace boolean-switch statement with if/else) posted (#3) for review on master by Atin Mukherjee

Comment 507 Worker Ant 2018-12-28 07:56:16 UTC
REVIEW: https://review.gluster.org/21951 (Multiple files: reduce work while under lock.) posted (#1) for review on master by Yaniv Kaul

Comment 508 Worker Ant 2018-12-28 12:19:11 UTC
REVIEW: https://review.gluster.org/21956 (configure: fix the duplicate CFLAGS options) posted (#1) for review on master by Amar Tumballi

Comment 509 Worker Ant 2018-12-31 05:10:25 UTC
REVIEW: https://review.gluster.org/21657 (libglusterfs/src/mem-types.h: remove unused common enums from mem-types.h) posted (#17) for review on master by Yaniv Kaul

Comment 510 Worker Ant 2019-01-01 20:37:11 UTC
REVIEW: https://review.gluster.org/21971 (all: toward better string copies) posted (#1) for review on master by Kaleb KEITHLEY

Comment 511 Worker Ant 2019-01-02 12:54:26 UTC
REVIEW: https://review.gluster.org/21977 (timer-wheel: run the timer function outside of locked region) posted (#1) for review on master by Amar Tumballi

Comment 512 Worker Ant 2019-01-02 12:59:18 UTC
REVIEW: https://review.gluster.org/21978 (syncop: move CALLOC -> MALLOC) posted (#1) for review on master by Amar Tumballi

Comment 513 Worker Ant 2019-01-03 05:26:06 UTC
REVIEW: https://review.gluster.org/21982 (extras: Add readdir-ahead to samba group command) posted (#1) for review on master by Anoop C S

Comment 514 Worker Ant 2019-01-03 09:58:23 UTC
REVIEW: https://review.gluster.org/21987 (glfs-fops.c: fix the bad string length for snprintf) posted (#1) for review on master by Kinglong Mee

Comment 515 Worker Ant 2019-01-04 01:49:03 UTC
REVIEW: https://review.gluster.org/21982 (extras: Add readdir-ahead to samba group command) posted (#2) for review on master by Amar Tumballi

Comment 516 Worker Ant 2019-01-07 09:21:17 UTC
REVIEW: https://review.gluster.org/21987 (glfs-fops.c: fix the bad string length for snprintf) posted (#2) for review on master by Niels de Vos

Comment 517 Worker Ant 2019-01-09 02:54:27 UTC
REVIEW: https://review.gluster.org/21977 (timer-wheel: run the timer function outside of locked region) posted (#3) for review on master by Amar Tumballi

Comment 518 Worker Ant 2019-01-10 12:16:23 UTC
REVIEW: https://review.gluster.org/22008 (tests: increase the timeout for distribute bug 1117851.t) posted (#1) for review on master by Amar Tumballi

Comment 519 Worker Ant 2019-01-11 03:21:37 UTC
REVIEW: https://review.gluster.org/22008 (tests: increase the timeout for distribute bug 1117851.t) posted (#2) for review on master by N Balachandran

Comment 520 Worker Ant 2019-01-11 07:46:58 UTC
REVIEW: https://review.gluster.org/21956 (configure: fix the duplicate CFLAGS options) posted (#5) for review on master by Amar Tumballi

Comment 521 Worker Ant 2019-01-22 08:07:59 UTC
REVIEW: https://review.gluster.org/22074 (tests/bug-brick-mux-restart: add extra information) posted (#1) for review on master by Amar Tumballi

Comment 522 Worker Ant 2019-01-24 05:47:45 UTC
REVIEW: https://review.gluster.org/22074 (tests/bug-brick-mux-restart: add extra information) merged (#3) on master by Amar Tumballi

Comment 523 Worker Ant 2019-01-24 17:42:46 UTC
REVIEW: https://review.gluster.org/22094 (core: make gf_thread_create() easier to use) posted (#1) for review on master by Xavi Hernandez

Comment 524 Worker Ant 2019-01-29 08:19:51 UTC
REVIEW: https://review.gluster.org/22114 (api: bad GFAPI_4.1.6 block) posted (#1) for review on master by Kaleb KEITHLEY

Comment 525 Worker Ant 2019-01-29 09:28:11 UTC
REVIEW: https://review.gluster.org/21951 (Multiple files: reduce work while under lock.) merged (#14) on master by Amar Tumballi

Comment 526 Worker Ant 2019-01-30 07:01:53 UTC
REVIEW: https://review.gluster.org/22114 (api: bad GFAPI_4.1.6 block) merged (#2) on master by Amar Tumballi

Comment 527 Worker Ant 2019-01-31 07:19:02 UTC
REVIEW: https://review.gluster.org/22130 (syncop: remove unnecessary call to gf_backtrace_save()) posted (#1) for review on master by Xavi Hernandez

Comment 528 Worker Ant 2019-01-31 15:42:15 UTC
REVIEW: https://review.gluster.org/22130 (syncop: remove unnecessary call to gf_backtrace_save()) merged (#2) on master by Shyamsundar Ranganathan

Comment 529 Worker Ant 2019-02-02 03:07:52 UTC
REVIEW: https://review.gluster.org/22094 (core: make gf_thread_create() easier to use) merged (#5) on master by Xavi Hernandez

Comment 530 Worker Ant 2019-02-05 16:05:06 UTC
REVIEW: https://review.gluster.org/22157 (fuse: correctly handle setxattr values) posted (#1) for review on master by Xavi Hernandez

Comment 531 Worker Ant 2019-02-06 01:18:26 UTC
REVIEW: https://review.gluster.org/22158 (glusterd: Update op-version for release 7) posted (#1) for review on master by Shyamsundar Ranganathan

Comment 532 Worker Ant 2019-02-06 01:46:52 UTC
REVIEW: https://review.gluster.org/22159 (api: Update all future API versions to rel-6) posted (#1) for review on master by Shyamsundar Ranganathan

Comment 533 Worker Ant 2019-02-06 07:17:16 UTC
COMMIT: https://review.gluster.org/22158 committed in master by "Shyamsundar Ranganathan" <srangana@redhat.com> with a commit message- glusterd: Update op-version for release 7

Change-Id: I0f3978d7e603e6e767dc7aa2a23ef35b1f2b43f7
Updates: bz#1193929
Signed-off-by: ShyamsundarR <srangana@redhat.com>

Comment 534 Worker Ant 2019-02-07 09:19:30 UTC
REVIEW: https://review.gluster.org/22171 (glusterd: improve logging) posted (#1) for review on master by Atin Mukherjee

Comment 535 Worker Ant 2019-02-07 10:57:14 UTC
REVIEW: https://review.gluster.org/22157 (fuse: correctly handle setxattr values) merged (#6) on master by Amar Tumballi

Comment 536 Worker Ant 2019-02-07 12:22:28 UTC
REVIEW: https://review.gluster.org/22159 (api: Update all future API versions to rel-6) merged (#3) on master by Amar Tumballi

Comment 537 Worker Ant 2019-02-08 15:46:17 UTC
REVIEW: https://review.gluster.org/22171 (glusterd: improve logging) merged (#2) on master by Atin Mukherjee

Comment 538 Worker Ant 2019-02-09 07:33:59 UTC
REVIEW: https://review.gluster.org/22182 (fuse: reflect the actual default for lru-limit option) posted (#1) for review on master by Amar Tumballi

Comment 539 Worker Ant 2019-02-11 13:40:02 UTC
REVIEW: https://review.gluster.org/22182 (fuse: reflect the actual default for lru-limit option) merged (#2) on master by Amar Tumballi

Comment 540 Worker Ant 2019-02-12 08:32:27 UTC
REVIEW: https://review.gluster.org/22194 (logging.c: do not strlen() under lock.) posted (#1) for review on master by Yaniv Kaul

Comment 541 Worker Ant 2019-02-12 09:08:38 UTC
REVIEW: https://review.gluster.org/22196 (dht-shared.c: minor reduction of work under lock.) posted (#1) for review on master by Yaniv Kaul

Comment 542 Worker Ant 2019-02-12 09:15:14 UTC
REVIEW: https://review.gluster.org/22197 (fuse: reflect the actual default for lru-limit option) posted (#1) for review on release-6 by Amar Tumballi

Comment 543 Worker Ant 2019-02-12 09:16:27 UTC
REVIEW: https://review.gluster.org/22198 (fuse: reflect the actual default for lru-limit option) posted (#1) for review on release-5 by Amar Tumballi

Comment 544 Worker Ant 2019-02-12 09:20:12 UTC
REVIEW: https://review.gluster.org/22199 (auth-cache.c: minor reduction of work under lock.) posted (#1) for review on master by Yaniv Kaul

Comment 545 Worker Ant 2019-02-12 09:22:02 UTC
REVIEW: https://review.gluster.org/22200 (md-cache.c: minor reduction of work under lock.) posted (#1) for review on master by Yaniv Kaul

Comment 546 Worker Ant 2019-02-12 09:28:06 UTC
REVIEW: https://review.gluster.org/22201 (server.c: use dict_() funcs with key length.) posted (#1) for review on master by Yaniv Kaul

Comment 547 Worker Ant 2019-02-13 06:21:17 UTC
REVIEW: https://review.gluster.org/22207 (rfc.sh: fix the missing rebase issue) posted (#1) for review on master by Amar Tumballi

Comment 548 Worker Ant 2019-02-13 11:53:20 UTC
REVIEW: https://review.gluster.org/22207 (rfc.sh: fix the missing rebase issue) merged (#1) on master by Amar Tumballi

Comment 549 Worker Ant 2019-02-14 06:22:22 UTC
REVIEW: https://review.gluster.org/22212 (docs: fix typo in Developer Guide Readme) posted (#4) for review on master by Csaba Henk

Comment 550 Worker Ant 2019-02-14 06:23:49 UTC
REVIEW: https://review.gluster.org/22213 (fuse lock interrupt: fix flock_interrupt.t) posted (#3) for review on master by Csaba Henk

Comment 551 Worker Ant 2019-02-14 06:58:44 UTC
REVIEW: https://review.gluster.org/22214 (upcall: some modifications to reduce work under lock) posted (#1) for review on master by Yaniv Kaul

Comment 552 Worker Ant 2019-02-14 07:43:48 UTC
REVIEW: https://review.gluster.org/22212 (docs: fix typo in Developer Guide Readme) merged (#5) on master by Amar Tumballi

Comment 553 Worker Ant 2019-02-14 11:58:15 UTC
REVIEW: https://review.gluster.org/22196 (dht-shared.c: minor reduction of work under lock.) merged (#2) on master by N Balachandran

Comment 554 Worker Ant 2019-02-16 08:28:00 UTC
REVIEW: https://review.gluster.org/22222 (leases-internal.c: minor reduction of work under lock.) posted (#1) for review on master by Yaniv Kaul

Comment 555 Worker Ant 2019-02-18 02:43:50 UTC
REVIEW: https://review.gluster.org/22200 (md-cache.c: minor reduction of work under lock.) merged (#4) on master by Amar Tumballi

Comment 556 Worker Ant 2019-02-18 02:47:08 UTC
REVIEW: https://review.gluster.org/22201 (server.c: use dict_() funcs with key length.) merged (#2) on master by Amar Tumballi

Comment 557 Worker Ant 2019-02-18 02:52:19 UTC
REVIEW: https://review.gluster.org/22199 (auth-cache.c: minor reduction of work under lock.) merged (#2) on master by Amar Tumballi

Comment 558 Worker Ant 2019-02-19 13:50:46 UTC
REVIEW: https://review.gluster.org/22233 (glusterd: fix get-state leak) posted (#2) for review on master by Atin Mukherjee

Comment 559 Worker Ant 2019-02-19 15:30:04 UTC
REVIEW: https://review.gluster.org/22214 (upcall: some modifications to reduce work under lock) merged (#3) on master by soumya k

Comment 560 Worker Ant 2019-02-19 17:10:33 UTC
REVISION POSTED: https://review.gluster.org/22197 (fuse: reflect the actual default for lru-limit option) posted (#2) for review on release-6 by Amar Tumballi

Comment 561 Worker Ant 2019-02-19 17:11:03 UTC
REVISION POSTED: https://review.gluster.org/22198 (fuse: reflect the actual default for lru-limit option) posted (#2) for review on release-5 by Amar Tumballi

Comment 562 Worker Ant 2019-02-22 03:46:22 UTC
REVIEW: https://review.gluster.org/22233 (glusterd: fix get-state leak) merged (#4) on master by Atin Mukherjee

Comment 563 Worker Ant 2019-02-22 14:35:25 UTC
REVIEW: https://review.gluster.org/22257 (glusterfind: revert shebangs to #!/usr/bin/python3) posted (#1) for review on master by Kaleb KEITHLEY

Comment 564 Worker Ant 2019-02-25 18:14:08 UTC
REVIEW: https://review.gluster.org/22222 (leases-internal.c: minor reduction of work under lock.) merged (#3) on master by Amar Tumballi

Comment 565 Worker Ant 2019-02-26 03:47:23 UTC
REVIEW: https://review.gluster.org/22257 (glusterfind: revert shebangs to #!/usr/bin/python3) merged (#4) on master by Amar Tumballi

Comment 566 Worker Ant 2019-02-27 13:56:22 UTC
REVIEW: https://review.gluster.org/22274 (mem-pool.{c|h}: minor changes) posted (#1) for review on master by Yaniv Kaul

Comment 567 Worker Ant 2019-02-27 16:02:55 UTC
REVIEW: https://review.gluster.org/22275 (glusterfind: revert shebangs to #!/usr/bin/python3) posted (#1) for review on release-6 by Kaleb KEITHLEY

Comment 568 Worker Ant 2019-02-27 17:33:43 UTC
REVIEW: https://review.gluster.org/22277 (logging.c: replace get_mem0() with get_mem()) posted (#1) for review on master by Yaniv Kaul

Comment 569 Worker Ant 2019-02-27 20:08:54 UTC
REVIEW: https://review.gluster.org/22278 (io-threads.c: Potentially skip a lock.) posted (#1) for review on master by Yaniv Kaul

Comment 570 Worker Ant 2019-02-27 20:29:37 UTC
REVIEW: https://review.gluster.org/22279 (fd.c: try to skip a lock in fd_ref()) posted (#1) for review on master by Yaniv Kaul

Comment 571 Worker Ant 2019-02-28 00:07:59 UTC
REVIEW: https://review.gluster.org/22281 (Replace memdup() with gf_memdup()) posted (#1) for review on master by Vijay Bellur

Comment 572 Worker Ant 2019-03-01 18:20:04 UTC
REVIEW: https://review.gluster.org/22291 (fd.c : remove redundant checks, CALLOC -> MALLOC) posted (#1) for review on master by Yaniv Kaul

Comment 573 Worker Ant 2019-03-03 19:13:41 UTC
REVIEW: https://review.gluster.org/22292 (inode.c/h: CALLOC->MALLOC) posted (#1) for review on master by Yaniv Kaul

Comment 574 Worker Ant 2019-03-03 19:35:05 UTC
REVIEW: https://review.gluster.org/22293 (stack.h: alignment of structures and met_get0 -> mem_get) posted (#1) for review on master by Yaniv Kaul

Comment 575 Worker Ant 2019-03-04 15:19:20 UTC
REVIEW: https://review.gluster.org/22298 (packaging: s390x has RDMA support) posted (#1) for review on master by Kaleb KEITHLEY

Comment 576 Worker Ant 2019-03-05 02:49:46 UTC
REVIEW: https://review.gluster.org/22213 (fuse lock interrupt: fix flock_interrupt.t) merged (#5) on master by Amar Tumballi

Comment 577 Worker Ant 2019-03-05 18:16:56 UTC
REVIEW: https://review.gluster.org/22302 (core: avoid dynamic TLS allocation when possible) posted (#2) for review on master by Xavi Hernandez

Comment 578 Worker Ant 2019-03-06 18:40:40 UTC
REVIEW: https://review.gluster.org/22312 (packaging: remove unnecessary ldconfig in scriptlets) posted (#1) for review on master by Kaleb KEITHLEY

Comment 579 Worker Ant 2019-03-07 05:34:44 UTC
REVIEW: https://review.gluster.org/22298 (packaging: s390x has RDMA support) merged (#4) on master by Amar Tumballi

Comment 580 Worker Ant 2019-03-08 05:25:53 UTC
REVIEW: https://review.gluster.org/22312 (packaging: remove unnecessary ldconfig in scriptlets) merged (#3) on master by Amar Tumballi

Comment 581 Worker Ant 2019-03-08 06:54:09 UTC
REVIEW: https://review.gluster.org/22328 (tests/afr: add a test case for replica 4 config) posted (#1) for review on master by Amar Tumballi

Comment 582 Worker Ant 2019-03-08 12:29:10 UTC
REVIEW: https://review.gluster.org/22329 (logging.c/h: aggressively remove sprintfs()) posted (#1) for review on master by Yaniv Kaul

Comment 583 Worker Ant 2019-03-15 07:03:42 UTC
REVIEW: https://review.gluster.org/22365 (mount/fuse: Fix spelling mistake) posted (#1) for review on master by Pranith Kumar Karampuri

Comment 584 Worker Ant 2019-03-15 15:19:58 UTC
REVIEW: https://review.gluster.org/22365 (mount/fuse: Fix spelling mistake) merged (#3) on master by Amar Tumballi

Comment 585 Worker Ant 2019-03-17 19:55:32 UTC
REVIEW: https://review.gluster.org/22371 (rpc* : move to use dict_n functions where possible) posted (#1) for review on master by Yaniv Kaul

Comment 586 Worker Ant 2019-03-18 09:21:18 UTC
REVIEW: https://review.gluster.org/22373 (glusterd-locks: misc. changes.) posted (#1) for review on master by Yaniv Kaul

Comment 587 Worker Ant 2019-03-19 14:47:46 UTC
REVIEW: https://review.gluster.org/22381 (Multiple files: remove HAVE_BD_XLATOR related code.) posted (#1) for review on master by Yaniv Kaul

Comment 588 Worker Ant 2019-03-20 04:47:37 UTC
REVIEW: https://review.gluster.org/22373 (glusterd-locks: misc. changes.) merged (#6) on master by Yaniv Kaul

Comment 589 Worker Ant 2019-03-20 05:40:40 UTC
REVISION POSTED: https://review.gluster.org/22381 (Multiple files: remove HAVE_BD_XLATOR related code.) posted (#2) for review on master by Yaniv Kaul

Comment 590 Worker Ant 2019-03-20 11:09:21 UTC
REVIEW: https://review.gluster.org/22384 (server.c: fix Coverity CID 1399758) posted (#1) for review on master by Yaniv Kaul

Comment 591 Worker Ant 2019-03-20 13:12:13 UTC
REVISION POSTED: https://review.gluster.org/22384 (server.c: fix Coverity CID 1399758) posted (#2) for review on master by MOHIT AGRAWAL

Comment 592 Worker Ant 2019-03-20 16:12:59 UTC
REVIEW: https://review.gluster.org/22387 (changelog: remove unused code.) posted (#1) for review on master by Yaniv Kaul

Comment 593 Worker Ant 2019-03-21 05:33:12 UTC
REVIEW: https://review.gluster.org/22391 (build: link libgfrpc with MATH_LIB (libm, -lm)) posted (#1) for review on master by Kaleb KEITHLEY

Comment 594 Worker Ant 2019-03-21 17:53:55 UTC
REVIEW: https://review.gluster.org/22394 (mem-pool: remove dead code.) posted (#1) for review on master by Yaniv Kaul

Comment 595 Worker Ant 2019-03-25 08:38:36 UTC
REVIEW: https://review.gluster.org/22406 (cluster/afr: Remove un-used variables related to pump) posted (#1) for review on master by Pranith Kumar Karampuri

Comment 596 Worker Ant 2019-03-25 20:22:18 UTC
REVIEW: https://review.gluster.org/22416 ([RFC][WIP] dict: add function to retrieve a key based on its hash.) posted (#1) for review on master by Yaniv Kaul

Comment 597 Worker Ant 2019-03-26 05:54:07 UTC
REVIEW: https://review.gluster.org/22406 (cluster/afr: Remove un-used variables related to pump) merged (#2) on master by Pranith Kumar Karampuri

Comment 598 Worker Ant 2019-03-26 06:22:36 UTC
REVIEW: https://review.gluster.org/22415 ([WIP] graph.c: remove extra gettimeofday() - reuse the graph dob.) posted (#2) for review on master by Yaniv Kaul

Comment 599 Worker Ant 2019-03-26 06:24:41 UTC
REVIEW: https://review.gluster.org/22394 (mem-pool: remove dead code.) merged (#3) on master by Amar Tumballi

Comment 600 Worker Ant 2019-03-26 11:32:29 UTC
REVIEW: https://review.gluster.org/22391 (build: link libgfrpc with MATH_LIB (libm, -lm)) merged (#3) on master by Niels de Vos

Comment 601 Worker Ant 2019-03-28 05:37:24 UTC
REVIEW: https://review.gluster.org/22433 (rpc: Remove duplicate code) posted (#1) for review on master by Pranith Kumar Karampuri

Comment 602 Worker Ant 2019-03-28 09:31:21 UTC
REVIEW: https://review.gluster.org/22433 (rpc: Remove duplicate code) merged (#1) on master by Pranith Kumar Karampuri

Comment 603 Worker Ant 2019-03-28 14:20:55 UTC
REVIEW: https://review.gluster.org/22439 (rpclib: slow floating point math and libm) posted (#1) for review on master by Kaleb KEITHLEY

Comment 604 Worker Ant 2019-03-31 20:52:20 UTC
REVIEW: https://review.gluster.org/22454 ([WIP][RFC]dict.{c|h}: slightly reduce work under lock.) posted (#1) for review on master by Yaniv Kaul

Comment 605 Worker Ant 2019-04-01 13:10:21 UTC
REVIEW: https://review.gluster.org/22471 (build: conditional rpcbind for gnfs in glusterd.service) posted (#1) for review on master by Kaleb KEITHLEY

Comment 606 Worker Ant 2019-04-01 17:45:30 UTC
REVIEW: https://review.gluster.org/22473 ([WIP][RFC]mem-pool: set ptr to 0x0 after free'ed.) posted (#1) for review on master by Yaniv Kaul

Comment 607 Worker Ant 2019-04-03 03:02:10 UTC
REVIEW: https://review.gluster.org/22484 (glusterd: remove redundant glusterd_check_volume_exists () calls) posted (#1) for review on master by Atin Mukherjee

Comment 608 Worker Ant 2019-04-03 04:37:12 UTC
REVIEW: https://review.gluster.org/22387 (changelog: remove unused code.) merged (#6) on master by Amar Tumballi

Comment 609 Worker Ant 2019-04-03 04:40:51 UTC
REVIEW: https://review.gluster.org/22439 (rpclib: slow floating point math and libm) merged (#3) on master by Amar Tumballi

Comment 610 Worker Ant 2019-04-03 11:38:08 UTC
REVIEW: https://review.gluster.org/22492 (tests: shard read test correction) posted (#1) for review on master by Amar Tumballi

Comment 611 Worker Ant 2019-04-04 07:17:45 UTC
REVIEW: https://review.gluster.org/22496 (cluster/afr: Invalidate inode on change of split-brain-choice) posted (#1) for review on master by Pranith Kumar Karampuri

Comment 612 Worker Ant 2019-04-04 22:05:59 UTC
REVIEW: https://review.gluster.org/22509 (ec: increase line coverage of ec) posted (#1) for review on master by Xavi Hernandez

Comment 613 Worker Ant 2019-04-05 06:05:07 UTC
REVIEW: https://review.gluster.org/22512 ([WIP]glusterd-volgen.c: skip fetching skip-CLIOT in a loop.) posted (#1) for review on master by Yaniv Kaul

Comment 614 Worker Ant 2019-04-05 09:49:30 UTC
REVIEW: https://review.gluster.org/22496 (cluster/afr: Invalidate inode on change of split-brain-choice) merged (#3) on master by Pranith Kumar Karampuri

Comment 615 Worker Ant 2019-04-08 13:08:23 UTC
REVIEW: https://review.gluster.org/22484 (glusterd: remove redundant glusterd_check_volume_exists () calls) merged (#9) on master by Atin Mukherjee

Comment 616 Worker Ant 2019-04-08 13:27:08 UTC
REVIEW: https://review.gluster.org/22528 (glusterd: remove glusterd_check_volume_exists() call) posted (#1) for review on master by Atin Mukherjee

Comment 617 Worker Ant 2019-04-08 16:28:08 UTC
REVIEW: https://review.gluster.org/22512 (glusterd-volgen.c: skip fetching skip-CLIOT in a loop.) merged (#6) on master by Atin Mukherjee

Comment 618 Worker Ant 2019-04-09 17:59:23 UTC
REVIEW: https://review.gluster.org/22541 ([WIP]glusterd-volgen.c: skip fetching some vol settings in a bricks loop.) posted (#1) for review on master by Yaniv Kaul

Comment 619 Worker Ant 2019-04-10 04:32:39 UTC
REVIEW: https://review.gluster.org/22509 (ec: increase line coverage of ec) merged (#2) on master by Amar Tumballi

Comment 620 Worker Ant 2019-04-10 11:15:16 UTC
REVIEW: https://review.gluster.org/22508 (tests: correctly check open fd's when gfid is missing) merged (#3) on master by Atin Mukherjee

Comment 621 Worker Ant 2019-04-11 15:20:53 UTC
REVIEW: https://review.gluster.org/22528 (glusterd: remove glusterd_check_volume_exists() call) merged (#2) on master by Atin Mukherjee

Comment 622 Worker Ant 2019-04-12 13:09:03 UTC
REVIEW: https://review.gluster.org/22281 (Replace memdup() with gf_memdup()) merged (#3) on master by Pranith Kumar Karampuri

Comment 623 Worker Ant 2019-04-14 08:53:25 UTC
REVIEW: https://review.gluster.org/22541 (glusterd-volgen.c: skip fetching some vol settings in a bricks loop.) merged (#6) on master by Yaniv Kaul

Comment 624 Worker Ant 2019-04-15 02:26:00 UTC
REVIEW: https://review.gluster.org/22415 (graph.c: remove extra gettimeofday() - reuse the graph dob.) merged (#11) on master by Amar Tumballi

Comment 625 Worker Ant 2019-04-15 18:19:41 UTC
REVIEW: https://review.gluster.org/22554 (core: handle memory accounting correctly) posted (#2) for review on master by Xavi Hernandez

Comment 626 Worker Ant 2019-04-16 16:09:24 UTC
REVIEW: https://review.gluster.org/22580 (tests: Add changelog snapshot testcase) posted (#1) for review on master by Kotresh HR

Comment 627 Worker Ant 2019-04-17 03:41:00 UTC
REVIEW: https://review.gluster.org/22583 (build-aux/pkg-version: provide option for depth=1) posted (#1) for review on master by Amar Tumballi

Comment 628 Worker Ant 2019-04-17 16:03:18 UTC
REVISION POSTED: https://review.gluster.org/22554 (core: handle memory accounting correctly) posted (#4) for review on master by Xavi Hernandez

Comment 629 Worker Ant 2019-04-18 17:17:09 UTC
REVISION POSTED: https://review.gluster.org/22583 (build-aux/pkg-version: provide option for depth=1) posted (#2) for review on master by Amar Tumballi

Comment 630 Worker Ant 2019-04-20 11:30:58 UTC
REVIEW: https://review.gluster.org/22592 ([DNM][RFE] Padding of structures.) posted (#1) for review on master by Yaniv Kaul

Comment 631 Worker Ant 2019-04-21 05:38:11 UTC
REVIEW: https://review.gluster.org/22593 ([WIP][RFC]dht-common.h: reorder variables to reduce padding.) posted (#1) for review on master by Yaniv Kaul

Comment 632 Worker Ant 2019-04-22 18:38:07 UTC
REVIEW: https://review.gluster.org/22601 ([WIP] options.c,h: minor changes to GF_OPTION_RECONF) posted (#1) for review on master by Yaniv Kaul

Comment 633 Worker Ant 2019-04-24 03:27:32 UTC
REVIEW: https://review.gluster.org/22302 (core: avoid dynamic TLS allocation when possible) merged (#8) on master by Amar Tumballi

Comment 634 Worker Ant 2019-04-25 04:14:09 UTC
REVIEW: https://review.gluster.org/22329 (logging.c/h: aggressively remove sprintfs()) merged (#23) on master by Amar Tumballi

Comment 635 Worker Ant 2019-04-25 11:24:31 UTC
REVIEW: https://review.gluster.org/22623 (tests: improve and fix some test scripts) posted (#1) for review on master by Xavi Hernandez

Comment 636 Worker Ant 2019-04-25 11:32:54 UTC
REVIEW: https://review.gluster.org/22625 (core: improve timer accuracy) posted (#1) for review on master by Xavi Hernandez

Comment 637 Worker Ant 2019-04-25 11:41:47 UTC
REVIEW: https://review.gluster.org/22626 (storage/posix: fix fresh file detection delay) posted (#1) for review on master by Xavi Hernandez

Comment 638 Worker Ant 2019-04-25 13:38:35 UTC
REVIEW: https://review.gluster.org/22632 (core: reduce some timeouts) posted (#1) for review on master by Xavi Hernandez

Comment 639 Worker Ant 2019-04-25 14:10:50 UTC
REVIEW: https://review.gluster.org/22633 (rpc: implement reconnect back-off strategy) posted (#1) for review on master by Xavi Hernandez

Comment 640 Worker Ant 2019-04-28 19:09:26 UTC
REVIEW: https://review.gluster.org/22642 ([RFE][WIP][DNM]store: store all key-values in one shot) posted (#1) for review on master by Yaniv Kaul

Comment 641 Worker Ant 2019-04-29 07:31:32 UTC
REVIEW: https://review.gluster.org/22626 (storage/posix: fix fresh file detection delay) merged (#2) on master by Amar Tumballi

Comment 642 Worker Ant 2019-04-30 06:27:07 UTC
REVIEW: https://review.gluster.org/22601 (options.c,h: minor changes to GF_OPTION_RECONF) merged (#6) on master by Amar Tumballi

Comment 643 Worker Ant 2019-05-01 12:49:16 UTC
REVIEW: https://review.gluster.org/22652 (glusterd-utils.c: reduce work in glusterd_add_volume_to_dict()) posted (#1) for review on master by Yaniv Kaul

Comment 644 Worker Ant 2019-05-02 03:24:38 UTC
REVIEW: https://review.gluster.org/22580 (tests: Add changelog snapshot testcase) merged (#5) on master by Amar Tumballi

Comment 645 Worker Ant 2019-05-03 06:19:14 UTC
REVIEW: https://review.gluster.org/22652 (glusterd-utils.c: reduce work in glusterd_add_volume_to_dict()) merged (#2) on master by Atin Mukherjee

Comment 646 Worker Ant 2019-05-04 07:23:49 UTC
REVIEW: https://review.gluster.org/22659 ([WIP]glusterd-utils.c: reduce some work) posted (#1) for review on master by Yaniv Kaul

Comment 647 Worker Ant 2019-05-06 10:33:24 UTC
REVIEW: https://review.gluster.org/22665 (libglusterfs: Fix compilation when --disable-mempool is used) posted (#1) for review on master by Pranith Kumar Karampuri

Comment 648 Worker Ant 2019-05-06 14:00:37 UTC
REVIEW: https://review.gluster.org/22274 (mem-pool.{c|h}: minor changes) merged (#18) on master by Amar Tumballi

Comment 649 Worker Ant 2019-05-07 05:12:31 UTC
REVIEW: https://review.gluster.org/22665 (libglusterfs: Fix compilation when --disable-mempool is used) merged (#2) on master by Pranith Kumar Karampuri

Comment 650 Worker Ant 2019-05-07 12:51:50 UTC
REVIEW: https://review.gluster.org/22675 ([WIP]glusterd-utils.c: skip checksum when possible.) posted (#1) for review on master by Yaniv Kaul

Comment 651 Worker Ant 2019-05-08 06:47:03 UTC
REVIEW: https://review.gluster.org/22642 (glusterd/store: store all key-values in one shot) merged (#21) on master by Atin Mukherjee

Comment 652 Worker Ant 2019-05-08 15:05:45 UTC
REVIEW: https://review.gluster.org/22679 (glusterd: improve logging in __server_getspec()) merged (#4) on master by Atin Mukherjee

Comment 653 Worker Ant 2019-05-09 09:25:11 UTC
REVIEW: https://review.gluster.org/22623 (tests: improve and fix some test scripts) merged (#4) on master by Amar Tumballi

Comment 654 Worker Ant 2019-05-09 19:37:08 UTC
REVIEW: https://review.gluster.org/22659 (glusterd: reduce some work in glusterd-utils.c) merged (#5) on master by Amar Tumballi

Comment 655 Worker Ant 2019-05-10 07:00:39 UTC
REVIEW: https://review.gluster.org/22700 (libglusterfs: Remove decompunder helper routines from symbol export) posted (#1) for review on master by Anoop C S

Comment 656 Worker Ant 2019-05-11 09:26:44 UTC
REVIEW: https://review.gluster.org/22705 (store: minor changes to store functions.) posted (#1) for review on master by Yaniv Kaul

Comment 657 Worker Ant 2019-05-11 11:13:50 UTC
REVIEW: https://review.gluster.org/22700 (libglusterfs: Remove decompunder helper routines from symbol export) merged (#2) on master by Amar Tumballi

Comment 658 Worker Ant 2019-05-11 14:26:31 UTC
REVIEW: https://review.gluster.org/22633 (rpc: implement reconnect back-off strategy) merged (#4) on master by Raghavendra G

Comment 659 Worker Ant 2019-05-14 11:10:58 UTC
REVIEW: https://review.gluster.org/22696 (rpc: include nfs specific files in build only if gNFS is enabled) posted (#2) for review on master by Amar Tumballi

Comment 660 Worker Ant 2019-05-15 07:40:18 UTC
REVIEW: https://review.gluster.org/22732 ([WIP][RFC]inode.c/h: small optimizations for inode_ctx_* funcs) posted (#1) for review on master by Yaniv Kaul

Comment 661 Worker Ant 2019-05-16 13:17:28 UTC
REVIEW: https://review.gluster.org/22736 (tests: change usleep() to sleep()) posted (#1) for review on master by Sanju Rakonde

Comment 662 Worker Ant 2019-05-17 08:21:46 UTC
REVIEW: https://review.gluster.org/22736 (tests: change usleep() to sleep()) merged (#1) on master by Sanju Rakonde

Comment 663 Worker Ant 2019-05-21 01:40:06 UTC
REVIEW: https://review.gluster.org/22750 (Revert \"rpc: implement reconnect back-off strategy\") posted (#2) for review on master by Amar Tumballi

Comment 664 Worker Ant 2019-05-21 06:07:19 UTC
REVIEW: https://review.gluster.org/22754 (tests: Fix spurious failures in ta-write-on-bad-brick.t) posted (#1) for review on master by Pranith Kumar Karampuri

Comment 665 Worker Ant 2019-05-21 06:39:18 UTC
REVISION POSTED: https://review.gluster.org/22750 (Revert \"rpc: implement reconnect back-off strategy\") posted (#4) for review on master by Amar Tumballi

Comment 666 Worker Ant 2019-05-21 10:07:52 UTC
REVIEW: https://review.gluster.org/22755 (tests: Add history api tests) posted (#1) for review on master by Kotresh HR

Comment 667 Worker Ant 2019-05-22 06:59:39 UTC
REVIEW: https://review.gluster.org/22760 (tests: Add changelog api tests) posted (#1) for review on master by Kotresh HR

Comment 668 Worker Ant 2019-05-22 14:38:48 UTC
REVIEW: https://review.gluster.org/22766 ([WIP]dict.c: remove one strlen() done under lock.) posted (#1) for review on master by Yaniv Kaul

Comment 669 Worker Ant 2019-05-23 09:56:44 UTC
REVIEW: https://review.gluster.org/22675 (glusterd-utils.c: skip checksum when possible.) merged (#6) on master by Atin Mukherjee

Comment 670 Worker Ant 2019-05-24 15:01:14 UTC
REVIEW: https://review.gluster.org/22754 (tests: Fix spurious failures in ta-write-on-bad-brick.t) merged (#2) on master by Pranith Kumar Karampuri

Comment 671 Worker Ant 2019-05-26 08:20:37 UTC
REVIEW: https://review.gluster.org/22772 ([WIP]glusterd-volgen.c: remove BD xlator from the graph) posted (#1) for review on master by Yaniv Kaul

Comment 672 Worker Ant 2019-05-27 03:13:54 UTC
REVIEW: https://review.gluster.org/22755 (tests: Add history api tests) merged (#4) on master by Amar Tumballi

Comment 673 Worker Ant 2019-05-27 14:36:48 UTC
REVIEW: https://review.gluster.org/22760 (tests: Add changelog api tests) merged (#3) on master by Amar Tumballi

Comment 674 Worker Ant 2019-06-01 13:15:38 UTC
REVIEW: https://review.gluster.org/22797 (glusterd: remove trivial conditions) posted (#1) for review on master by Sanju Rakonde

Comment 675 Worker Ant 2019-06-01 17:27:55 UTC
REVIEW: https://review.gluster.org/22797 (glusterd: remove trivial conditions) merged (#1) on master by Sanju Rakonde

Comment 676 Worker Ant 2019-06-02 18:18:14 UTC
REVIEW: https://review.gluster.org/22800 ([WIP] (multiple files) CALLOC -> MALLOC when serializing a dictionary) posted (#1) for review on master by Yaniv Kaul

Comment 677 Worker Ant 2019-06-03 08:51:33 UTC
REVIEW: https://review.gluster.org/22804 (tests/geo-rep: Fix the comment) posted (#1) for review on master by Kotresh HR

Comment 678 Worker Ant 2019-06-04 06:25:25 UTC
REVIEW: https://review.gluster.org/22804 (tests/geo-rep: Remove a rename test case on EC volume) merged (#5) on master by Amar Tumballi

Comment 679 Worker Ant 2019-06-04 11:35:05 UTC
REVIEW: https://review.gluster.org/22820 ([WIP][RFC]dict: use fixed 'hash' for keys that are fixed strings.) posted (#1) for review on master by Yaniv Kaul

Comment 680 Worker Ant 2019-06-05 17:20:00 UTC
REVIEW: https://review.gluster.org/22827 ([WIP]cli: defer create_frame() (and dict creation) to later stages.) posted (#1) for review on master by Yaniv Kaul

Comment 681 Worker Ant 2019-06-06 07:35:41 UTC
REVIEW: https://review.gluster.org/22829 (tests/utils: Fix py2/py3 changelogparser.py compatibility) posted (#1) for review on master by Kotresh HR

Comment 682 Worker Ant 2019-06-06 10:19:52 UTC
REVIEW: https://review.gluster.org/22832 (glusterd: Fix a typo) posted (#1) for review on master by Anoop C S

Comment 683 Worker Ant 2019-06-07 08:40:15 UTC
REVIEW: https://review.gluster.org/22835 (tests/subdir-mount: give more time for heal to complete) posted (#2) for review on master by Amar Tumballi

Comment 684 Worker Ant 2019-06-07 09:05:16 UTC
REVIEW: https://review.gluster.org/22829 (tests/utils: Fix py2/py3 util python scripts) merged (#4) on master by Amar Tumballi

Comment 685 Worker Ant 2019-06-07 13:14:59 UTC
REVIEW: https://review.gluster.org/22832 (glusterd: Fix typos) merged (#3) on master by Amar Tumballi

Comment 686 Worker Ant 2019-06-09 10:51:32 UTC
REVIEW: https://review.gluster.org/22844 ([WIP]multiple files: another attempt to remove includes) posted (#1) for review on master by Yaniv Kaul

Comment 687 Worker Ant 2019-06-10 04:21:38 UTC
REVIEW: https://review.gluster.org/22845 (tests: keep glfsxmp in tests directory) posted (#1) for review on master by Amar Tumballi

Comment 688 Worker Ant 2019-06-10 10:04:07 UTC
REVIEW: https://review.gluster.org/22847 (tests: added cleanup for lock files) posted (#1) for review on master by Sunny Kumar

Comment 689 Worker Ant 2019-06-10 14:27:01 UTC
REVIEW: https://review.gluster.org/22847 (tests: added cleanup for lock files) merged (#1) on master by Sunny Kumar

Comment 690 Worker Ant 2019-06-11 13:28:03 UTC
REVIEW: https://review.gluster.org/22845 (tests: keep glfsxmp in tests directory) merged (#3) on master by Amar Tumballi

Comment 691 Worker Ant 2019-06-11 13:28:52 UTC
REVIEW: https://review.gluster.org/22796 (libglusterfs: cleanup iovec functions) merged (#12) on master by Amar Tumballi

Comment 692 Worker Ant 2019-06-13 13:25:52 UTC
REVIEW: https://review.gluster.org/22859 ([WIP]glusterd.h: remove unneeded macros or move them to their users.) posted (#1) for review on master by Yaniv Kaul

Comment 693 Worker Ant 2019-06-14 12:07:47 UTC
REVIEW: https://review.gluster.org/22870 (tests: Add missing NFS test tag to the testfile) posted (#1) for review on master by Aravinda VK

Comment 694 Worker Ant 2019-06-14 16:51:18 UTC
REVIEW: https://review.gluster.org/22844 (multiple files: another attempt to remove includes) merged (#19) on master by Amar Tumballi

Comment 695 Worker Ant 2019-06-14 17:16:27 UTC
REVIEW: https://review.gluster.org/22875 (glfs: add syscall.h after header cleanup) posted (#1) for review on master by Amar Tumballi

Comment 696 Worker Ant 2019-06-14 17:17:41 UTC
REVIEW: https://review.gluster.org/22875 (glfs: add syscall.h after header cleanup) merged (#1) on master by Amar Tumballi

Comment 697 Worker Ant 2019-06-15 03:57:29 UTC
REVIEW: https://review.gluster.org/22870 (tests: Add missing NFS test tag to the testfile) merged (#2) on master by Amar Tumballi

Comment 698 Worker Ant 2019-06-17 10:32:12 UTC
REVIEW: https://review.gluster.org/22625 (core: improve timer accuracy) merged (#6) on master by Amar Tumballi

Comment 699 Worker Ant 2019-06-17 10:56:58 UTC
REVIEW: https://review.gluster.org/22879 (core: fedora 30 compiler warnings) posted (#1) for review on master by Sheetal Pamecha

Comment 700 Worker Ant 2019-06-17 13:00:52 UTC
REVIEW: https://review.gluster.org/22885 (core: fedora 29 compiler warnings) posted (#1) for review on master by Sheetal Pamecha

Comment 701 Worker Ant 2019-06-18 10:54:29 UTC
REVIEW: https://review.gluster.org/22879 (core: fedora 30 compiler warnings) merged (#2) on master by Amar Tumballi

Comment 702 Worker Ant 2019-06-18 12:09:47 UTC
REVIEW: https://review.gluster.org/22772 (glusterd-volgen.c: remove BD xlator from the graph) merged (#15) on master by Amar Tumballi

Comment 703 Worker Ant 2019-06-20 04:39:37 UTC
REVIEW: https://review.gluster.org/22901 (fix template file after clang-format) posted (#1) for review on master by Amar Tumballi

Comment 704 Worker Ant 2019-06-20 21:01:35 UTC
REVIEW: https://review.gluster.org/22901 (fix template file after clang-format) merged (#2) on master by Xavi Hernandez

Comment 705 Worker Ant 2019-06-21 13:57:12 UTC
REVIEW: https://review.gluster.org/22924 ([WIP]glusterd.h: align structs) posted (#1) for review on master by Yaniv Kaul

Comment 706 Worker Ant 2019-06-25 06:44:54 UTC
REVIEW: https://review.gluster.org/22859 (glusterd.h: remove unneeded macros or move them to their users.) merged (#5) on master by Atin Mukherjee

Comment 707 Worker Ant 2019-06-26 14:41:12 UTC
REVIEW: https://review.gluster.org/22957 (rfc.sh: Improve bug identification) posted (#1) for review on master by Xavi Hernandez

Comment 708 Worker Ant 2019-06-26 15:38:16 UTC
REVIEW: https://review.gluster.org/22958 (run-tests.sh: stop test on Ctrl-C) posted (#1) for review on master by Xavi Hernandez

Comment 709 Worker Ant 2019-06-28 04:56:28 UTC
REVIEW: https://review.gluster.org/22958 (run-tests.sh: stop test on Ctrl-C) merged (#2) on master by Amar Tumballi

Comment 710 Worker Ant 2019-07-01 04:24:54 UTC
REVIEW: https://review.gluster.org/22957 (rfc.sh: Improve bug identification) merged (#2) on master by Amar Tumballi

Comment 711 Worker Ant 2019-07-02 04:31:53 UTC
REVIEW: https://review.gluster.org/22975 (core: Remove Wformat-truncation compiler warning for cli) posted (#1) for review on master by Sheetal Pamecha

Comment 712 Worker Ant 2019-07-02 09:38:42 UTC
REVIEW: https://review.gluster.org/22978 (glusterd: change the error log to info log) posted (#1) for review on master by Sanju Rakonde

Comment 713 Worker Ant 2019-07-02 10:00:31 UTC
REVIEW: https://review.gluster.org/22979 (glusterd: don't log a warning message for tier-enabled key) posted (#1) for review on master by Sanju Rakonde

Comment 714 Worker Ant 2019-07-02 10:56:22 UTC
REVIEW: https://review.gluster.org/22975 (cli: Remove Wformat-truncation compiler warning) merged (#3) on master by Sheetal Pamecha

Comment 715 Worker Ant 2019-07-03 11:59:25 UTC
REVIEW: https://review.gluster.org/22985 ([WIP]dict.c: dict_unserialize() can use dict_addn()) posted (#1) for review on master by Yaniv Kaul

Comment 716 Worker Ant 2019-07-03 17:50:19 UTC
REVIEW: https://review.gluster.org/22988 (logging.c: check for skip_logging() in _gf_slog()) posted (#1) for review on master by Yaniv Kaul

Comment 717 Worker Ant 2019-07-04 08:24:49 UTC
REVIEW: https://review.gluster.org/22979 (glusterd: don't log a warning message for tier-enabled key) merged (#2) on master by Atin Mukherjee

Comment 718 Worker Ant 2019-07-05 12:36:32 UTC
REVIEW: https://review.gluster.org/23004 (glusterd: fix packed member address warning) posted (#1) for review on master by Sheetal Pamecha

Comment 719 Worker Ant 2019-07-08 03:14:53 UTC
REVIEW: https://review.gluster.org/22924 (glusterd.h: align structs) merged (#6) on master by Atin Mukherjee

Comment 720 Worker Ant 2019-07-08 09:49:16 UTC
REVIEW: https://review.gluster.org/23009 (posix: fix Wformat-overflow warning) posted (#1) for review on master by Sheetal Pamecha

Comment 721 Worker Ant 2019-07-09 07:50:38 UTC
REVIEW: https://review.gluster.org/23004 (glusterd: fix packed member address warning) merged (#3) on master by Atin Mukherjee

Comment 722 Worker Ant 2019-07-09 11:56:27 UTC
REVIEW: https://review.gluster.org/23009 (posix: fix Wformat-overflow warning) merged (#2) on master by Amar Tumballi

Comment 723 Worker Ant 2019-07-10 03:39:24 UTC
REVIEW: https://review.gluster.org/22696 (rpc/xdr: include nfs specific files in build only if gNFS is enabled) merged (#7) on master by Amar Tumballi

Comment 724 Worker Ant 2019-07-11 06:33:56 UTC
REVIEW: https://review.gluster.org/23027 (rdma: remove packed member address error) posted (#1) for review on master by Sheetal Pamecha

Comment 725 Worker Ant 2019-07-15 08:18:18 UTC
REVIEW: https://review.gluster.org/22593 (dht-common.h: reorder variables to reduce padding.) merged (#30) on master by N Balachandran

Comment 726 Worker Ant 2019-07-16 14:48:25 UTC
REVIEW: https://review.gluster.org/22827 (cli: defer create_frame() (and dict creation) to later stages.) merged (#12) on master by Atin Mukherjee

Comment 727 Worker Ant 2019-07-16 17:54:53 UTC
REVIEW: https://review.gluster.org/22988 (logging.c: check for skip_logging() in _gf_slog(), _gf_smsg()) merged (#8) on master by Amar Tumballi

Comment 728 Worker Ant 2019-07-20 19:09:48 UTC
REVIEW: https://review.gluster.org/23084 ([WIP][RFC]dict: use fixed 'hash' for keys that are fixed strings.) posted (#1) for review on master by Yaniv Kaul

Comment 729 Worker Ant 2019-07-22 11:41:50 UTC
REVIEW: https://review.gluster.org/22800 ((multiple files) use dict_allocate_and_serialize() where applicable.) merged (#18) on master by Amar Tumballi

Comment 730 Worker Ant 2019-07-25 08:28:31 UTC
REVIEW: https://review.gluster.org/23104 (Improve logging of fusedump creation failure) posted (#1) for review on master by Csaba Henk

Comment 731 Worker Ant 2019-07-25 08:57:31 UTC
REVIEW: https://review.gluster.org/23105 (build: stop suppressing \"Entering/Leaving direcory...\" messages) posted (#1) for review on master by Csaba Henk

Comment 732 Worker Ant 2019-07-25 20:42:17 UTC
REVIEW: https://review.gluster.org/23109 ([WIP]glusterd-store.c: write voldir once and don't attempt again.) posted (#1) for review on master by Yaniv Kaul

Comment 733 Worker Ant 2019-07-29 04:23:17 UTC
REVIEW: https://review.gluster.org/23109 (glusterd: write voldir once in glusterd-store and don't attempt again.) merged (#3) on master by Atin Mukherjee

Comment 734 Worker Ant 2019-07-29 04:47:46 UTC
REVIEW: https://review.gluster.org/22985 (dict.c: dict_unserialize() can use dict_addn()) merged (#14) on master by Amar Tumballi

Comment 735 Worker Ant 2019-07-29 06:23:13 UTC
REVIEW: https://review.gluster.org/23118 (tests: introduce BRICK_MUX_BAD_TESTS variable) posted (#1) for review on master by Atin Mukherjee

Comment 736 Worker Ant 2019-07-30 07:19:08 UTC
REVIEW: https://review.gluster.org/23130 ([WIP][RFE] multiple files: reduce minor work under RCU_READ_LOCK) posted (#1) for review on master by Yaniv Kaul

Comment 737 Worker Ant 2019-08-01 04:12:56 UTC
REVIEW: https://review.gluster.org/23083 (Multiple files: get trivial stuff done before lock) merged (#12) on master by Amar Tumballi

Comment 738 Worker Ant 2019-08-04 03:39:50 UTC
REVIEW: https://review.gluster.org/23118 (tests: introduce BRICK_MUX_BAD_TESTS variable) merged (#4) on master by Atin Mukherjee

Comment 739 Worker Ant 2019-08-04 14:01:13 UTC
REVIEW: https://review.gluster.org/23153 ([WIP]options.h: format OPTION_INIT similar to RECONF_INIT) posted (#1) for review on master by Yaniv Kaul

Comment 740 Worker Ant 2019-08-05 03:09:23 UTC
REVIEW: https://review.gluster.org/23130 (multiple files: reduce minor work under RCU_READ_LOCK) merged (#4) on master by Atin Mukherjee

Comment 741 Worker Ant 2019-08-05 07:08:41 UTC
REVIEW: https://review.gluster.org/23156 (index.{c|h}: minor changes) posted (#1) for review on master by Yaniv Kaul

Comment 742 Worker Ant 2019-08-06 20:23:44 UTC
REVIEW: https://review.gluster.org/23169 ([WIP]client-handshake.c: minor changes and removal of dead code.) posted (#1) for review on master by Yaniv Kaul

Comment 743 Worker Ant 2019-08-08 06:11:15 UTC
REVIEW: https://review.gluster.org/23105 (build: stop suppressing \"Entering/Leaving direcory...\" messages) merged (#2) on master by Amar Tumballi

Comment 744 Worker Ant 2019-08-08 19:43:58 UTC
REVIEW: https://review.gluster.org/23178 ([WIP]client_t.c: removal of dead code.) posted (#1) for review on master by Yaniv Kaul

Comment 745 Worker Ant 2019-08-14 05:56:12 UTC
REVIEW: https://review.gluster.org/23169 (client-handshake.c: minor changes and removal of dead code.) merged (#5) on master by Amar Tumballi

Comment 746 Worker Ant 2019-08-20 03:15:42 UTC
REVIEW: https://review.gluster.org/23178 (client_t.c: removal of dead code.) merged (#3) on master by Amar Tumballi

Comment 747 Worker Ant 2019-08-28 08:34:30 UTC
REVIEW: https://review.gluster.org/23319 ([WIP][RFC]dht-common.c: remove some strcat and temp buffers) posted (#1) for review on master by Yaniv Kaul

Comment 748 Worker Ant 2019-08-28 16:43:10 UTC
REVIEW: https://review.gluster.org/23324 ([WIP]posix*.c: remove unneeded strlen() calls) posted (#1) for review on master by Yaniv Kaul

Comment 749 Worker Ant 2019-08-29 09:37:00 UTC
REVIEW: https://review.gluster.org/23327 (build: Fix libglusterd Makefile target) posted (#1) for review on master by Anoop C S

Comment 750 Worker Ant 2019-08-29 14:58:04 UTC
REVIEW: https://review.gluster.org/23331 (logging.c: check for log level before checking for args.) posted (#1) for review on master by Yaniv Kaul

Comment 751 Worker Ant 2019-08-30 04:38:25 UTC
REVIEW: https://review.gluster.org/23327 (build: Fix libglusterd Makefile target) merged (#2) on master by Amar Tumballi

Comment 752 Worker Ant 2019-08-30 07:24:23 UTC
REVIEW: https://review.gluster.org/23335 (glusterd-store.c: remove of dead code) posted (#1) for review on master by Yaniv Kaul

Comment 753 Worker Ant 2019-09-04 19:21:51 UTC
REVIEW: https://review.gluster.org/23356 ([RFC][WIP] multiple files: exec gf_uuid_unparse() when needed.) posted (#1) for review on master by Yaniv Kaul

Comment 754 Worker Ant 2019-09-05 05:50:50 UTC
REVIEW: https://review.gluster.org/23335 (glusterd-store.c: remove of dead code) merged (#4) on master by Atin Mukherjee

Comment 755 Worker Ant 2019-09-05 08:57:51 UTC
REVIEW: https://review.gluster.org/23324 (posix*.c: remove unneeded strlen() calls) merged (#5) on master by Kotresh HR

Comment 756 Worker Ant 2019-09-07 13:00:20 UTC
REVIEW: https://review.gluster.org/23381 (logging.c: check for log level before checking for args.) posted (#1) for review on master by Yaniv Kaul

Comment 757 Worker Ant 2019-09-11 15:07:33 UTC
REVIEW: https://review.gluster.org/23401 ([WIP]client xlator: misc. cleanups) posted (#1) for review on master by Yaniv Kaul

Comment 758 Worker Ant 2019-09-12 18:22:24 UTC
REVIEW: https://review.gluster.org/23410 ([WIP]afr-common.c, afr-self-heal.h: calloc/alloca0 -> malloc/alloca) posted (#1) for review on master by Yaniv Kaul

Comment 759 Worker Ant 2019-09-13 06:35:26 UTC
REVIEW: https://review.gluster.org/23412 ([WIP]afr: align structs) posted (#1) for review on master by Yaniv Kaul

Comment 760 Worker Ant 2019-09-14 07:17:15 UTC
REVIEW: https://review.gluster.org/23421 ([WIP]rpc: align structs) posted (#1) for review on master by Yaniv Kaul

Comment 761 Worker Ant 2019-09-16 06:41:31 UTC
REVIEW: https://review.gluster.org/23381 (logging.c: check for log level before checking for args.) merged (#2) on master by Atin Mukherjee

Comment 762 Worker Ant 2019-09-18 18:21:00 UTC
REVIEW: https://review.gluster.org/23439 ([WIP]posix-helpers.c: minor changes to posix_fs_health_check) posted (#1) for review on master by Yaniv Kaul

Comment 763 Worker Ant 2019-09-19 12:17:30 UTC
REVIEW: https://review.gluster.org/23452 ([WIP][RFC]posix-helpers.c: do not copy when reading xattr) posted (#1) for review on master by Yaniv Kaul

Comment 764 Worker Ant 2019-09-19 15:15:30 UTC
REVIEW: https://review.gluster.org/23455 ([WIP]inode.c: inode_table_prune() should not re-take the table lock) posted (#1) for review on master by Yaniv Kaul

Comment 765 Worker Ant 2019-09-19 17:58:25 UTC
REVIEW: https://review.gluster.org/23457 ([WIP]afr: replace afr_frame_return() when possible with direct call) posted (#1) for review on master by Yaniv Kaul

Comment 766 Worker Ant 2019-09-20 04:50:12 UTC
REVIEW: https://review.gluster.org/23458 ([WIP]dht: replace dht_frame_return() when possible with direct call) posted (#1) for review on master by Yaniv Kaul

Comment 767 Worker Ant 2019-09-20 09:01:29 UTC
REVIEW: https://review.gluster.org/23410 (afr-common.c, afr-self-heal.h: calloc/alloca0 -> malloc/alloca) merged (#4) on master by Ravishankar N

Comment 768 Worker Ant 2019-09-20 09:09:03 UTC
REVIEW: https://review.gluster.org/23410 (afr-common.c, afr-self-heal.h: calloc/alloca0 -> malloc/alloca) merged (#4) on master by Ravishankar N

Comment 769 Worker Ant 2019-09-20 10:12:59 UTC
REVIEW: https://review.gluster.org/23410 (afr-common.c, afr-self-heal.h: calloc/alloca0 -> malloc/alloca) merged (#4) on master by Ravishankar N

Comment 770 Worker Ant 2019-09-20 22:57:15 UTC
REVIEW: https://review.gluster.org/23466 (extras: add statedumpparse.rb) posted (#1) for review on master by Csaba Henk

Comment 771 Worker Ant 2019-09-26 11:13:56 UTC
REVIEW: https://review.gluster.org/23474 (xlators/store: store all key-values at a time) posted (#8) for review on master by Yati Padia

Comment 772 Worker Ant 2019-09-27 02:50:19 UTC
REVIEW: https://review.gluster.org/23498 (glusterd: improve logging) posted (#1) for review on master by Sanju Rakonde

Comment 773 Worker Ant 2019-09-27 09:31:14 UTC
REVIEW: https://review.gluster.org/23500 ([WIP]glusterfsd-mgmt: unify read and write tests) posted (#1) for review on master by Yaniv Kaul

Comment 774 Worker Ant 2019-09-30 17:46:07 UTC
REVIEW: https://review.gluster.org/23503 (glusterd-volgen.c: fix setting the key export-dir) posted (#1) for review on master by Yaniv Kaul

Comment 775 Worker Ant 2019-10-01 07:56:23 UTC
REVIEW: https://review.gluster.org/23498 (glusterd: improve logging) merged (#2) on master by Atin Mukherjee

Comment 776 Worker Ant 2019-10-02 05:19:08 UTC
REVIEW: https://review.gluster.org/23507 ([WIP]iobuf.c, h: minor fixes) posted (#1) for review on master by Yaniv Kaul

Comment 777 Worker Ant 2019-10-02 08:23:33 UTC
REVIEW: https://review.gluster.org/23505 (tests: add a pending test case) posted (#2) for review on master by Amar Tumballi

Comment 778 Worker Ant 2019-10-03 02:10:17 UTC
REVIEW: https://review.gluster.org/23505 (tests: add a pending test case) merged (#3) on master by Raghavendra Talur

Comment 779 Worker Ant 2019-10-03 13:57:14 UTC
REVIEW: https://review.gluster.org/23511 ([WIP]glusterd-utils.c: attach_brick() - remove dead code) posted (#1) for review on master by Yaniv Kaul

Comment 780 Worker Ant 2019-10-04 08:21:51 UTC
REVIEW: https://review.gluster.org/23513 ([WIP]Multiple files: make root gfid a static variable) posted (#1) for review on master by Yaniv Kaul

Comment 781 Worker Ant 2019-10-04 20:31:33 UTC
REVIEW: https://review.gluster.org/23520 (cli-*: make some structs static to reduce space consumed.) posted (#1) for review on master by Yaniv Kaul

Comment 782 Worker Ant 2019-10-07 07:32:42 UTC
REVIEW: https://review.gluster.org/23457 (afr: replace afr_frame_return() when possible with direct call) merged (#11) on master by Pranith Kumar Karampuri

Comment 783 Worker Ant 2019-10-08 21:31:24 UTC
REVIEW: https://review.gluster.org/23525 ([WIP][RFC]dict.{c,h}: remove the lock from the _data struct) posted (#1) for review on master by Yaniv Kaul

Comment 784 Worker Ant 2019-10-09 14:51:56 UTC
REVIEW: https://review.gluster.org/23528 (packaging: Fedora 31+ can't build bd xlator) posted (#1) for review on master by Kaleb KEITHLEY

Comment 785 Worker Ant 2019-10-09 18:31:24 UTC
REVIEW: https://review.gluster.org/23529 (dict.c: remove redundant checks) posted (#1) for review on master by Yaniv Kaul

Comment 786 Worker Ant 2019-10-10 11:23:38 UTC
REVIEW: https://review.gluster.org/23528 (packaging: remove leftover bd cruft in rpm .spec) merged (#3) on master by Kaleb KEITHLEY

Comment 787 Worker Ant 2019-10-10 11:43:48 UTC
REVISION POSTED: https://review.gluster.org/23534 (packaging: remove leftover bd cruft in rpm .spec) posted (#2) for review on release-6 by Kaleb KEITHLEY

Comment 788 Worker Ant 2019-10-10 22:08:20 UTC
REVIEW: https://review.gluster.org/23537 ([DNM][RFC][WIP]: Dict - use union to storage vars in native format) posted (#1) for review on master by Yaniv Kaul

Comment 789 Worker Ant 2019-10-10 22:24:56 UTC
REVIEW: https://review.gluster.org/23538 (cloudsync: remove dead code, unused variable) posted (#1) for review on master by Yaniv Kaul

Comment 790 Worker Ant 2019-10-11 03:55:48 UTC
REVIEW: https://review.gluster.org/23452 (posix-helpers.c: do not copy when reading xattr) merged (#9) on master by Amar Tumballi

Comment 791 Worker Ant 2019-10-11 03:56:46 UTC
REVIEW: https://review.gluster.org/23511 (glusterd-utils.c: attach_brick() - remove dead code) merged (#3) on master by Amar Tumballi

Comment 792 Worker Ant 2019-10-11 03:59:47 UTC
REVIEW: https://review.gluster.org/23525 (dict.{c,h}: remove the lock from the _data struct) merged (#3) on master by Amar Tumballi

Comment 793 Worker Ant 2019-10-11 04:01:12 UTC
REVIEW: https://review.gluster.org/23401 (client xlator: misc. cleanups) merged (#8) on master by Amar Tumballi

Comment 794 Worker Ant 2019-10-11 06:39:53 UTC
REVIEW: https://review.gluster.org/23539 (tests: add tests for  bz#1758878) posted (#2) for review on master by Sanju Rakonde

Comment 795 Worker Ant 2019-10-14 04:32:12 UTC
REVIEW: https://review.gluster.org/23412 (afr: align structs) merged (#4) on master by Pranith Kumar Karampuri

Comment 796 Worker Ant 2019-10-14 08:22:49 UTC
REVIEW: https://review.gluster.org/23513 (Multiple files: make root gfid a static variable) merged (#3) on master by Xavi Hernandez

Comment 797 Worker Ant 2019-10-14 09:23:50 UTC
REVIEW: https://review.gluster.org/23503 (glusterd-volgen.c: fix setting the key export-dir) merged (#6) on master by Atin Mukherjee

Comment 798 Worker Ant 2019-10-15 06:57:23 UTC
REVIEW: https://review.gluster.org/23439 (posix-helpers.c: minor changes to posix_fs_health_check) merged (#7) on master by Amar Tumballi

Comment 799 Worker Ant 2019-10-17 03:36:11 UTC
REVIEW: https://review.gluster.org/23539 (tests: add tests for  bz#1758878) merged (#3) on master by Atin Mukherjee

Comment 800 Worker Ant 2019-10-17 06:35:32 UTC
REVIEW: https://review.gluster.org/23421 (rpc: align structs) merged (#5) on master by Amar Tumballi

Comment 801 Worker Ant 2019-10-17 09:26:37 UTC
REVIEW: https://review.gluster.org/23561 (libglusterfs: remove unused files from repo) posted (#1) for review on master by Amar Tumballi


Note You need to log in before you can comment on or make changes to this bug.